/** generated file, do not edit! */
#ifndef DT_CONFGEN_H
#define DT_CONFGEN_H

#pragma GCC diagnostic ignored "-Wunused-variable"

#include "control/conf.h"

static void _insert_default(const char *name, const char *value)
{
  dt_confgen_value_t *item = (dt_confgen_value_t *)g_hash_table_lookup(darktable.conf->x_confgen, name);

  if(item)
  {
     g_free(item->def);
  }
  else
  {
     item = (dt_confgen_value_t *)g_malloc0(sizeof(dt_confgen_value_t));
     g_hash_table_insert(darktable.conf->x_confgen, g_strdup(name), item);
  }
  item->def = g_strdup(value);
}

static void _insert_values(const char *name, const char *values)
{
  dt_confgen_value_t *item = (dt_confgen_value_t *)g_hash_table_lookup(darktable.conf->x_confgen, name);

  if(item)
  {
     g_free(item->enum_values);
  }
  else
  {
     item = (dt_confgen_value_t *)g_malloc0(sizeof(dt_confgen_value_t));
     g_hash_table_insert(darktable.conf->x_confgen, g_strdup(name), item);
  }
  item->enum_values = g_strdup(values);
}

static void _insert_min(const char *name, const char *value)
{
  dt_confgen_value_t *item = (dt_confgen_value_t *)g_hash_table_lookup(darktable.conf->x_confgen, name);

  if(item)
  {
     g_free(item->min);
  }
  else
  {
     item = (dt_confgen_value_t *)g_malloc0(sizeof(dt_confgen_value_t));
     g_hash_table_insert(darktable.conf->x_confgen, g_strdup(name), item);
  }
  item->min = g_strdup(value);
}

static void _insert_max(const char *name, const char *value)
{
  dt_confgen_value_t *item = (dt_confgen_value_t *)g_hash_table_lookup(darktable.conf->x_confgen, name);

  if(item)
  {
     g_free(item->max);
  }
  else
  {
     item = (dt_confgen_value_t *)g_malloc0(sizeof(dt_confgen_value_t));
     g_hash_table_insert(darktable.conf->x_confgen, g_strdup(name), item);
  }
  item->max = g_strdup(value);
}

static void _insert_type(const char *name, const char *value)
{
  dt_confgen_value_t *item = (dt_confgen_value_t *)g_hash_table_lookup(darktable.conf->x_confgen, name);

  if(!item)
  {
     item = (dt_confgen_value_t *)g_malloc0(sizeof(dt_confgen_value_t));
     g_hash_table_insert(darktable.conf->x_confgen, g_strdup(name), item);
  }

  if      (!strcmp(value, "int"))   item->type = DT_INT;
  else if (!strcmp(value, "int64")) item->type = DT_INT64;
  else if (!strcmp(value, "bool"))  item->type = DT_BOOL;
  else if (!strcmp(value, "float")) item->type = DT_FLOAT;
  else if (!strcmp(value, "enum"))  item->type = DT_ENUM;
  else if (!strcmp(value, "dir"))   item->type = DT_PATH;
  else                              item->type = DT_STRING;
}

static void _insert_shortdescription(const char *name, const char *value)
{
  dt_confgen_value_t *item = (dt_confgen_value_t *)g_hash_table_lookup(darktable.conf->x_confgen, name);

  if(item)
  {
     g_free(item->shortdesc);
  }
  else
  {
     item = (dt_confgen_value_t *)g_malloc0(sizeof(dt_confgen_value_t));
     g_hash_table_insert(darktable.conf->x_confgen, g_strdup(name), item);
  }
  item->shortdesc = g_strdup(value);
}

static void _insert_longdescription(const char *name, const char *value)
{
  dt_confgen_value_t *item = (dt_confgen_value_t *)g_hash_table_lookup(darktable.conf->x_confgen, name);

  if(item)
  {
     g_free(item->longdesc);
  }
  else
  {
     item = (dt_confgen_value_t *)g_malloc0(sizeof(dt_confgen_value_t));
     g_hash_table_insert(darktable.conf->x_confgen, g_strdup(name), item);
  }
  item->longdesc = g_strdup(value);
}

void dt_confgen_init()
{
   // themes/usercss
   _insert_type("themes/usercss", "bool");
   _insert_default("themes/usercss", "false");
   _insert_shortdescription("themes/usercss", "modify theme with user tweaks");

   // /views/print/enable
   _insert_type("/views/print/enable", "bool");
   _insert_default("/views/print/enable", "false");
   _insert_shortdescription("/views/print/enable", "Enable the print view");
   _insert_longdescription("/views/print/enable", "Check to enable the global printing view. If you don't print yourself, keep disabled to save some resources. (needs a restart)");

   // /views/map/enable
   _insert_type("/views/map/enable", "bool");
   _insert_default("/views/map/enable", "false");
   _insert_shortdescription("/views/map/enable", "Enable the map view");
   _insert_longdescription("/views/map/enable", "Check to enable the global map view. If you don't print yourself, keep disabled to save some resources. (needs a restart)");

   // /views/slideshow/enable
   _insert_type("/views/slideshow/enable", "bool");
   _insert_default("/views/slideshow/enable", "false");
   _insert_shortdescription("/views/slideshow/enable", "Enable the slideshow view");
   _insert_longdescription("/views/slideshow/enable", "Check to enable the global slideshow view. If you don't print yourself, keep disabled to save some resources. (needs a restart)");

   // scroll/reverse_y
   _insert_type("scroll/reverse_y", "bool");
   _insert_default("scroll/reverse_y", "false");
   _insert_shortdescription("scroll/reverse_y", "Invert the direction of the mouse vertical scroll");
   _insert_longdescription("scroll/reverse_y", "Check this if your OS/desktop environment is configured to scroll the view instead of the content, so scrolling over sliders yields the right value. This does not affect horizontal scrolling.");

   // scroll/reverse_x
   _insert_type("scroll/reverse_x", "bool");
   _insert_default("scroll/reverse_x", "false");
   _insert_shortdescription("scroll/reverse_x", "Invert the direction of the mouse horizontal scroll");
   _insert_longdescription("scroll/reverse_x", "Check this if your OS/desktop environment is configured to scroll the view instead of the content, so scrolling over sliders yields the right value. This does not affect vertical scrolling.");

   // database
   _insert_type("database", "string");
   _insert_default("database", "library.db");
   _insert_shortdescription("database", "database location");
   _insert_longdescription("database", "filename relative to ~/.config/ansel or starting with a slash (needs a restart).");

   // storage/piwigo/last_album
   _insert_type("storage/piwigo/last_album", "string");
   _insert_default("storage/piwigo/last_album", "");
   _insert_shortdescription("storage/piwigo/last_album", "");
   _insert_longdescription("storage/piwigo/last_album", "");

   // database/maintenance_check
   _insert_type("database/maintenance_check", "enum");
   _insert_values("database/maintenance_check", "[never][on startup][on close][on both][on startup (don't ask)][on close (don't ask)][on both (don't ask)]");
   const char *id1 = C_("preferences", "never");
   const char *id2 = C_("preferences", "on startup");
   const char *id3 = C_("preferences", "on close");
   const char *id4 = C_("preferences", "on both");
   const char *id5 = C_("preferences", "on startup (don't ask)");
   const char *id6 = C_("preferences", "on close (don't ask)");
   const char *id7 = C_("preferences", "on both (don't ask)");
   _insert_default("database/maintenance_check", "on close");
   _insert_shortdescription("database/maintenance_check", "check for database maintenance");
   _insert_longdescription("database/maintenance_check", "this option indicates when to check database fragmentation and perform maintenance");

   // database/maintenance_freepage_ratio
   _insert_type("database/maintenance_freepage_ratio", "int");
   _insert_default("database/maintenance_freepage_ratio", "25");
   _insert_shortdescription("database/maintenance_freepage_ratio", "database fragmentation ratio threshold");
   _insert_longdescription("database/maintenance_freepage_ratio", "fragmentation ratio above which to ask or carry out automatically database maintenance");

   // database/create_snapshot
   _insert_type("database/create_snapshot", "enum");
   _insert_values("database/create_snapshot", "[never][once a month][once a week][once a day][on close]");
   const char *id8 = C_("preferences", "never");
   const char *id9 = C_("preferences", "once a month");
   const char *id10 = C_("preferences", "once a week");
   const char *id11 = C_("preferences", "once a day");
   const char *id12 = C_("preferences", "on close");
   _insert_default("database/create_snapshot", "once a week");
   _insert_shortdescription("database/create_snapshot", "create database snapshot");
   _insert_longdescription("database/create_snapshot", "database snapshots are created right before closing ansel. options allow you to choose how often to make snapshots:\nnever - simply don't do snapshots. that way the only snapshots done are mandatory version-upgrade snapshots\nonce a month - create snapshot if a month has passed since last snapshot\nonce a week - create snapshot if 7 days had passed since last snapshot\nonce a day - create snapshot if over 24h passed since last snapshot\non close - create snapshot every time ansel is closed");

   // database/keep_snapshots
   _insert_type("database/keep_snapshots", "int");
   _insert_default("database/keep_snapshots", "10");
   _insert_shortdescription("database/keep_snapshots", "how many snapshots to keep");
   _insert_longdescription("database/keep_snapshots", "after successfully creating snapshot, how many older snapshots to keep (excluding mandatory version update ones). enter -1 to keep all snapshots\nkeep in mind that snapshots do take some space and you only need the most recent one for successful restore");

   // min_panel_width
   _insert_type("min_panel_width", "int");
   _insert_default("min_panel_width", "150");
   _insert_shortdescription("min_panel_width", "minimum width of the side panels in pixels");
   _insert_longdescription("min_panel_width", "(needs a restart)");

   // max_panel_width
   _insert_type("max_panel_width", "int");
   _insert_default("max_panel_width", "1200");
   _insert_shortdescription("max_panel_width", "maximum width of the side panels in pixels");
   _insert_longdescription("max_panel_width", "(needs a restart)");

   // min_panel_height
   _insert_type("min_panel_height", "int");
   _insert_default("min_panel_height", "64");
   _insert_shortdescription("min_panel_height", "minimum width of the side panels in pixels");
   _insert_longdescription("min_panel_height", "(needs a restart)");

   // max_panel_height
   _insert_type("max_panel_height", "int");
   _insert_default("max_panel_height", "400");
   _insert_shortdescription("max_panel_height", "maximum width of the side panels in pixels");
   _insert_longdescription("max_panel_height", "(needs a restart)");

   // slideshow_delay
   _insert_type("slideshow_delay", "int");
   _insert_default("slideshow_delay", "5");
   _insert_shortdescription("slideshow_delay", "waiting time between each picture in slideshow");

   // cachelines
   _insert_type("cachelines", "int");
   _insert_default("cachelines", "16");
   _insert_min("cachelines", "8");
   _insert_shortdescription("cachelines", "Number of image processing states to cache");
   _insert_longdescription("cachelines", "Module outputs are cached for improved performance, until the cache is full. For modules which parameters did not change between two pipeline recomputations, we can then fetch the cached output instead of recomputing it.\nThe actual size of each cache entry depends on what module is cached (some use the full-resolution image, some only the part that is visible on screen).\n Increase with care and monitor your RAM use.");

   // cpu_threads
   _insert_type("cpu_threads", "int");
   _insert_default("cpu_threads", "-1");
   _insert_min("cpu_threads", "-1");
   _insert_shortdescription("cpu_threads", "CPU cores");
   _insert_longdescription("cpu_threads", "Number of CPU cores to use for image processing, including virtual cores (hyperthreading). -1 or 0 uses all available/detected cores.");

   // worker_threads
   _insert_type("worker_threads", "int");
   _insert_default("worker_threads", "8");
   _insert_min("worker_threads", "2");
   _insert_shortdescription("worker_threads", "Background workers");
   _insert_longdescription("worker_threads", "Number of concurrent background threads that can run in parallel, for example to export images, resynchronize XMP, fetch thumbnails, etc. Increasing this number will increase the memory consumption.");

   // memory_os_headroom
   _insert_type("memory_os_headroom", "int");
   _insert_default("memory_os_headroom", "4500");
   _insert_min("memory_os_headroom", "500");
   _insert_shortdescription("memory_os_headroom", "Memory headrom for OS/application (MiB)");
   _insert_longdescription("memory_os_headroom", "This is the amount of memory that Ansel will leave to the operating system and other applications");

   // host_memory_limit
   _insert_type("host_memory_limit", "int");
   _insert_default("host_memory_limit", "-1");
   _insert_shortdescription("host_memory_limit", "Host memory limit (MiB)");
   _insert_longdescription("host_memory_limit", "If set to -1 or 0, Ansel detects the available RAM on the system. Otherwise, we use this value.");

   // memory_mipmap_cache
   _insert_type("memory_mipmap_cache", "int");
   _insert_default("memory_mipmap_cache", "1000");
   _insert_min("memory_mipmap_cache", "500");
   _insert_shortdescription("memory_mipmap_cache", "Memory reserved for lighttable thumbnail cache (MiB)");
   _insert_longdescription("memory_mipmap_cache", "This is the amount of memory that Ansel will use to keep lighttable thumbnails quickly accessible when scrolling back");

   // memory_pixelpipe_cache
   _insert_type("memory_pixelpipe_cache", "int");
   _insert_default("memory_pixelpipe_cache", "1000");
   _insert_min("memory_pixelpipe_cache", "500");
   _insert_shortdescription("memory_pixelpipe_cache", "Memory reserved for pixelpipe (modules) cache (MiB)");
   _insert_longdescription("memory_pixelpipe_cache", "This is the amount of memory that Ansel will use to keep intermediate module outputs for the pixelpipe");

   // raw_resolution
   _insert_type("raw_resolution", "enum");
   _insert_values("raw_resolution", "[12 Mpx][16 Mpx][24 Mpx][36 Mpx][46 Mpx][52 Mpx][72 Mpx][100 Mpx][150 Mpx]");
   const char *id13 = C_("preferences", "12 Mpx");
   const char *id14 = C_("preferences", "16 Mpx");
   const char *id15 = C_("preferences", "24 Mpx");
   const char *id16 = C_("preferences", "36 Mpx");
   const char *id17 = C_("preferences", "46 Mpx");
   const char *id18 = C_("preferences", "52 Mpx");
   const char *id19 = C_("preferences", "72 Mpx");
   const char *id20 = C_("preferences", "100 Mpx");
   const char *id21 = C_("preferences", "150 Mpx");
   _insert_default("raw_resolution", "36 Mpx");
   _insert_shortdescription("raw_resolution", "Maximum RAW resolution to edit");
   _insert_longdescription("raw_resolution", "This is the maximum resolution for your RAW images. It will be used to compute the required pixelpipe memory.");

   // timeout
   _insert_type("timeout", "int");
   _insert_default("timeout", "100");
   _insert_min("timeout", "0");
   _insert_shortdescription("timeout", "Pipe recompute timeout (milliseconds)");
   _insert_longdescription("timeout", "Timeout preventing intermediate setting steps (e.g. while scrolling) to recompute the pipeline too often. Set to 0 to recompute immediately on module change.");

   // cache_disk_backend
   _insert_type("cache_disk_backend", "bool");
   _insert_default("cache_disk_backend", "true");
   _insert_shortdescription("cache_disk_backend", "enable disk backend for thumbnail cache");
   _insert_longdescription("cache_disk_backend", "if enabled, write thumbnails to disk (.cache/ansel/) when evicted from the memory cache. note that this can take a lot of memory (several gigabytes for 20k images) and will never delete cached thumbnails again. it's safe though to delete these manually, if you want. light table performance will be increased greatly when browsing a lot. to generate all thumbnails of your entire collection offline, run 'ansel-generate-cache'.");

   // opencl_devid_darkroom
   _insert_type("opencl_devid_darkroom", "string");
   _insert_default("opencl_devid_darkroom", "*");
   _insert_shortdescription("opencl_devid_darkroom", "priority of OpenCL devices for each pixelpipe type");

   // opencl_devid_preview
   _insert_type("opencl_devid_preview", "string");
   _insert_default("opencl_devid_preview", "*");
   _insert_shortdescription("opencl_devid_preview", "priority of OpenCL devices for each pixelpipe type");

   // opencl_devid_export
   _insert_type("opencl_devid_export", "string");
   _insert_default("opencl_devid_export", "*");
   _insert_shortdescription("opencl_devid_export", "priority of OpenCL devices for each pixelpipe type");

   // opencl_devid_thumbnail
   _insert_type("opencl_devid_thumbnail", "string");
   _insert_default("opencl_devid_thumbnail", "*");
   _insert_shortdescription("opencl_devid_thumbnail", "priority of OpenCL devices for each pixelpipe type");

   // opencl_mandatory_timeout
   _insert_type("opencl_mandatory_timeout", "int");
   _insert_default("opencl_mandatory_timeout", "400");
   _insert_min("opencl_mandatory_timeout", "100");
   _insert_shortdescription("opencl_mandatory_timeout", "timeout period for locking mandatory opencl device");
   _insert_longdescription("opencl_mandatory_timeout", "time period (in units of 5ms) after which we give up try-locking an opencl device for mandatory use. defaults to 400 (2 seconds).");

   // opencl_checksum
   _insert_type("opencl_checksum", "string");
   _insert_default("opencl_checksum", "");
   _insert_shortdescription("opencl_checksum", "checksum representing the setup of opencl devices on this computer");
   _insert_longdescription("opencl_checksum", "ansel re-checks the performance benchmarks of your system in case your setup has changed, which is indicated by a change versus the stored checksum in this config variable; ansel de-activates opencl if the GPU benchmark lies below the one of the CPU; initial value is the empty string; set to OFF if you want to deactivate any automatic checks and prefer to do all configurations manually.");

   // pixelpipe_synchronization_timeout
   _insert_type("pixelpipe_synchronization_timeout", "int");
   _insert_default("pixelpipe_synchronization_timeout", "200");
   _insert_shortdescription("pixelpipe_synchronization_timeout", "timeout period of pixelpipe synchronization");
   _insert_longdescription("pixelpipe_synchronization_timeout", "time period (in units of 5ms) after which synchronization of preview and full pixelpipe is assumed to have failed. set to zero to omit pixelpipe synchronization. defaults to 200.");

   // write_sidecar_files
   _insert_type("write_sidecar_files", "enum");
   _insert_values("write_sidecar_files", "[never][after edit][on import]");
   const char *id22 = C_("preferences", "never");
   const char *id23 = C_("preferences", "after edit");
   const char *id24 = C_("preferences", "on import");
   _insert_default("write_sidecar_files", "on import");
   _insert_shortdescription("write_sidecar_files", "write sidecar file for each image");
   _insert_longdescription("write_sidecar_files", "the sidecar files hold information about all your development steps to allow flawless re-importing of image files.\n\ndepending on the selected mode sidecar files will be written:\n - never\n - on import: immediately after importing the image\n - after edit: after any user change on the image");

   // compress_xmp_tags
   _insert_type("compress_xmp_tags", "enum");
   _insert_values("compress_xmp_tags", "[never][always][only large entries]");
   const char *id25 = C_("preferences", "never");
   const char *id26 = C_("preferences", "always");
   const char *id27 = C_("preferences", "only large entries");
   _insert_default("compress_xmp_tags", "only large entries");
   _insert_shortdescription("compress_xmp_tags", "store xmp tags in compressed format");
   _insert_longdescription("compress_xmp_tags", "entries in xmp tags can get rather large and may exceed the available space to store the history stack in output files. this option allows xmp tags to be compressed and save space.");

   // omit_tag_hierarchy
   _insert_type("omit_tag_hierarchy", "bool");
   _insert_default("omit_tag_hierarchy", "false");
   _insert_shortdescription("omit_tag_hierarchy", "omit hierarchy in simple tag lists");
   _insert_longdescription("omit_tag_hierarchy", "when creating XMP file the hierarchical tags are also added as a simple list of non-hierarchical ones to make them visible to some other programs. when this option is checked ansel will only include their last part and ignore the rest. so 'foo|bar|baz' will only add 'baz'.");

   // plugins/lighttable/tagging/no_uncategorized
   _insert_type("plugins/lighttable/tagging/no_uncategorized", "bool");
   _insert_default("plugins/lighttable/tagging/no_uncategorized", "false");
   _insert_shortdescription("plugins/lighttable/tagging/no_uncategorized", "do not set the 'uncategorized' entry for tags");
   _insert_longdescription("plugins/lighttable/tagging/no_uncategorized", "do not set the 'uncategorized' entry for tags which do not have children");

   // opencl
   _insert_type("opencl", "bool");
   _insert_default("opencl", "true");
   _insert_shortdescription("opencl", "activate OpenCL support");
   _insert_longdescription("opencl", "if found, use OpenCL runtime on your system for improved processing speed. can be switched on and off at any time.");

   // memory_opencl_headroom
   _insert_type("memory_opencl_headroom", "int");
   _insert_default("memory_opencl_headroom", "200");
   _insert_shortdescription("memory_opencl_headroom", "GPU vRAM headroom (MiB)");
   _insert_longdescription("memory_opencl_headroom", "This is the amount of GPU memory that Ansel will leave to other GPU-accelerated applications, OpenGL, X server, etc.");

   // opencl_library
   _insert_type("opencl_library", "string");
   _insert_default("opencl_library", "");
   _insert_shortdescription("opencl_library", "system library with OpenCL runtime");
   _insert_longdescription("opencl_library", "OpenCL runtime library is normally detected automatically by ansel. if your OpenCL runtime is at an unusual place and cannot be detected, enter the full pathname here. leave empty for default behavior.");

   // libraw/extensions
   _insert_type("libraw/extensions", "string");
   _insert_default("libraw/extensions", "cr3,");
   _insert_shortdescription("libraw/extensions", "Raw file extensions to load through Libraw");
   _insert_longdescription("libraw/extensions", "Force Libraw use to decode the defined coma-separated file extensions. Otherwise, they are loaded through Rawspeed if it supports them, which is better integrated into Ansel. Use this if your camera is not properly supported by Rawspeed.");

   // libraw/models
   _insert_type("libraw/models", "string");
   _insert_default("libraw/models", "");
   _insert_shortdescription("libraw/models", "Camera models to load through Libraw");
   _insert_longdescription("libraw/models", "Force Libraw use to decode the defined coma-separated camera models, described by the EXIF model field. Otherwise, they are loaded through Rawspeed if it supports them, which is better integrated into Ansel. Use this if your camera is not properly supported by Rawspeed.");

   // libraw/makers
   _insert_type("libraw/makers", "string");
   _insert_default("libraw/makers", "");
   _insert_shortdescription("libraw/makers", "Camera makers to load through Libraw");
   _insert_longdescription("libraw/makers", "Force Libraw use to decode the defined coma-separated camera vendors, described by the EXIF maker field. Otherwise, they are loaded through Rawspeed if it supports them, which is better integrated into Ansel. Use this if your camera is not properly supported by Rawspeed.");

   // ask_before_remove
   _insert_type("ask_before_remove", "bool");
   _insert_default("ask_before_remove", "true");
   _insert_shortdescription("ask_before_remove", "ask before removing images from the library");
   _insert_longdescription("ask_before_remove", "always ask the user before any image is removed from the library");

   // ask_before_delete
   _insert_type("ask_before_delete", "bool");
   _insert_default("ask_before_delete", "true");
   _insert_shortdescription("ask_before_delete", "ask before deleting images from disk");
   _insert_longdescription("ask_before_delete", "always ask the user before any image file is deleted");

   // ask_before_discard
   _insert_type("ask_before_discard", "bool");
   _insert_default("ask_before_discard", "true");
   _insert_shortdescription("ask_before_discard", "ask before discarding history stack");
   _insert_longdescription("ask_before_discard", "always ask the user before history stack is discarded on any image");

   // send_to_trash
   _insert_type("send_to_trash", "bool");
   _insert_default("send_to_trash", "true");
   _insert_shortdescription("send_to_trash", "try to use trash when deleting images");
   _insert_longdescription("send_to_trash", "send files to trash instead of permanently deleting files on system that supports it");

   // ask_before_move
   _insert_type("ask_before_move", "bool");
   _insert_default("ask_before_move", "true");
   _insert_shortdescription("ask_before_move", "ask before moving images from film roll folder");
   _insert_longdescription("ask_before_move", "always ask the user before any image file is moved.");

   // ask_before_copy
   _insert_type("ask_before_copy", "bool");
   _insert_default("ask_before_copy", "true");
   _insert_shortdescription("ask_before_copy", "ask before copying images to new film roll folder");
   _insert_longdescription("ask_before_copy", "always ask the user before any image file is copied.");

   // ask_before_rmdir
   _insert_type("ask_before_rmdir", "bool");
   _insert_default("ask_before_rmdir", "false");
   _insert_shortdescription("ask_before_rmdir", "ask before removing empty folders");
   _insert_longdescription("ask_before_rmdir", "always ask the user before removing any empty folder. this can happen after moving or deleting images.");

   // plugins/lighttable/recentcollect/max_items
   _insert_type("plugins/lighttable/recentcollect/max_items", "int");
   _insert_default("plugins/lighttable/recentcollect/max_items", "10");
   _insert_min("plugins/lighttable/recentcollect/max_items", "1");
   _insert_max("plugins/lighttable/recentcollect/max_items", "50");
   _insert_shortdescription("plugins/lighttable/recentcollect/max_items", "number of collections to be stored");
   _insert_longdescription("plugins/lighttable/recentcollect/max_items", "the number of recent collections to store and show in this list");

   // show_folder_levels
   _insert_type("show_folder_levels", "int");
   _insert_default("show_folder_levels", "1");
   _insert_min("show_folder_levels", "1");
   _insert_max("show_folder_levels", "5");
   _insert_shortdescription("show_folder_levels", "number of folder levels to show in lists");
   _insert_longdescription("show_folder_levels", "the number of folder levels to show in film roll names, starting from the right");

   // plugins/collection/rating
   _insert_type("plugins/collection/rating", "int");
   _insert_default("plugins/collection/rating", "1");
   _insert_shortdescription("plugins/collection/rating", "");
   _insert_longdescription("plugins/collection/rating", "");

   // plugins/collection/rating_comparator
   _insert_type("plugins/collection/rating_comparator", "int");
   _insert_default("plugins/collection/rating_comparator", "3");
   _insert_shortdescription("plugins/collection/rating_comparator", "");
   _insert_longdescription("plugins/collection/rating_comparator", "");

   // plugins/collection/query_flags
   _insert_type("plugins/collection/query_flags", "int");
   _insert_default("plugins/collection/query_flags", "3");
   _insert_shortdescription("plugins/collection/query_flags", "");
   _insert_longdescription("plugins/collection/query_flags", "");

   // plugins/collection/filter_flags
   _insert_type("plugins/collection/filter_flags", "int");
   _insert_default("plugins/collection/filter_flags", "3");
   _insert_shortdescription("plugins/collection/filter_flags", "");
   _insert_longdescription("plugins/collection/filter_flags", "");

   // plugins/collection/colors_filter
   _insert_type("plugins/collection/colors_filter", "string");
   _insert_default("plugins/collection/colors_filter", "80000000");
   _insert_shortdescription("plugins/collection/colors_filter", "");
   _insert_longdescription("plugins/collection/colors_filter", "");

   // plugins/collection/text_filter
   _insert_type("plugins/collection/text_filter", "string");
   _insert_default("plugins/collection/text_filter", "");
   _insert_shortdescription("plugins/collection/text_filter", "");
   _insert_longdescription("plugins/collection/text_filter", "");

   // plugins/collection/descending
   _insert_type("plugins/collection/descending", "bool");
   _insert_default("plugins/collection/descending", "false");
   _insert_shortdescription("plugins/collection/descending", "");
   _insert_longdescription("plugins/collection/descending", "");

   // plugins/collection/sort
   _insert_type("plugins/collection/sort", "int");
   _insert_default("plugins/collection/sort", "0");
   _insert_shortdescription("plugins/collection/sort", "");
   _insert_longdescription("plugins/collection/sort", "");

   // plugins/session/jobcode
   _insert_type("plugins/session/jobcode", "string");
   _insert_default("plugins/session/jobcode", "Project name (jobcode)");
   _insert_shortdescription("plugins/session/jobcode", "Name of the current session, used as the `$(JOBCODE)` variable.");
   _insert_longdescription("plugins/session/jobcode", "");

   // session/base_directory_pattern
   _insert_type("session/base_directory_pattern", "string");
   _insert_default("session/base_directory_pattern", "");
   _insert_shortdescription("session/base_directory_pattern", "Base directory of projects");
   _insert_longdescription("session/base_directory_pattern", "part of full import path for an import session");

   // session/sub_directory_pattern
   _insert_type("session/sub_directory_pattern", "string");
   _insert_default("session/sub_directory_pattern", "$(YEAR)-$(MONTH)-$(DAY)-$(JOBCODE)");
   _insert_shortdescription("session/sub_directory_pattern", "Project directory naming pattern");
   _insert_longdescription("session/sub_directory_pattern", "part of full import path for an import session");

   // session/filename_pattern
   _insert_type("session/filename_pattern", "string");
   _insert_default("session/filename_pattern", "$(JOBCODE)-$(FILE.NAME)-$(SEQUENCE).$(FILE.EXTENSION)");
   _insert_shortdescription("session/filename_pattern", "Picture naming pattern");
   _insert_longdescription("session/filename_pattern", "file naming pattern used for a import session");

   // plugins/collect/filmroll_sort
   _insert_type("plugins/collect/filmroll_sort", "enum");
   _insert_values("plugins/collect/filmroll_sort", "[id][folder]");
   const char *id28 = C_("preferences", "id");
   const char *id29 = C_("preferences", "folder");
   _insert_default("plugins/collect/filmroll_sort", "id");
   _insert_shortdescription("plugins/collect/filmroll_sort", "sort film rolls by");
   _insert_longdescription("plugins/collect/filmroll_sort", "sets the collections-list order for film rolls");

   // plugins/collect/descending
   _insert_type("plugins/collect/descending", "bool");
   _insert_default("plugins/collect/descending", "true");
   _insert_shortdescription("plugins/collect/descending", "sort collection descending");
   _insert_longdescription("plugins/collect/descending", "sort the following collections in descending order: 'film roll' by folder, 'folder', 'times' (e.g. 'date taken')");

   // ui_last/colorpicker_model
   _insert_type("ui_last/colorpicker_model", "enum");
   _insert_values("ui_last/colorpicker_model", "[RGB][Lab][LCh][HSL][Hex][none]");
   const char *id30 = C_("preferences", "RGB");
   const char *id31 = C_("preferences", "Lab");
   const char *id32 = C_("preferences", "LCh");
   const char *id33 = C_("preferences", "HSL");
   const char *id34 = C_("preferences", "Hex");
   const char *id35 = C_("preferences", "none");
   _insert_default("ui_last/colorpicker_model", "RGB");
   _insert_shortdescription("ui_last/colorpicker_model", "color model with which to represent primary colorpicker");
   _insert_longdescription("ui_last/colorpicker_model", "");

   // ui_last/colorpicker_mode
   _insert_type("ui_last/colorpicker_mode", "enum");
   _insert_values("ui_last/colorpicker_mode", "[mean][min][max]");
   const char *id36 = C_("preferences", "mean");
   const char *id37 = C_("preferences", "min");
   const char *id38 = C_("preferences", "max");
   _insert_default("ui_last/colorpicker_mode", "mean");
   _insert_shortdescription("ui_last/colorpicker_mode", "statistic used to describe colorpicker box");
   _insert_longdescription("ui_last/colorpicker_mode", "");

   // ui_last/colorpicker_display_samples
   _insert_type("ui_last/colorpicker_display_samples", "boolean");
   _insert_default("ui_last/colorpicker_display_samples", "false");
   _insert_shortdescription("ui_last/colorpicker_display_samples", "display live sample areas on image");
   _insert_longdescription("ui_last/colorpicker_display_samples", "");

   // ui_last/colorpicker_restrict_histogram
   _insert_type("ui_last/colorpicker_restrict_histogram", "boolean");
   _insert_default("ui_last/colorpicker_restrict_histogram", "false");
   _insert_shortdescription("ui_last/colorpicker_restrict_histogram", "restrict histogram to selection");
   _insert_longdescription("ui_last/colorpicker_restrict_histogram", "");

   // ui_last/colorpicker_large
   _insert_type("ui_last/colorpicker_large", "boolean");
   _insert_default("ui_last/colorpicker_large", "false");
   _insert_shortdescription("ui_last/colorpicker_large", "display large colorpicker patch");
   _insert_longdescription("ui_last/colorpicker_large", "");

   // ui_last/fullscreen
   _insert_type("ui_last/fullscreen", "bool");
   _insert_default("ui_last/fullscreen", "false");
   _insert_shortdescription("ui_last/fullscreen", "");
   _insert_longdescription("ui_last/fullscreen", "");

   // ui_last/maximized
   _insert_type("ui_last/maximized", "bool");
   _insert_default("ui_last/maximized", "true");
   _insert_shortdescription("ui_last/maximized", "");
   _insert_longdescription("ui_last/maximized", "");

   // ui_last/grouping
   _insert_type("ui_last/grouping", "bool");
   _insert_default("ui_last/grouping", "false");
   _insert_shortdescription("ui_last/grouping", "grouping of images");
   _insert_longdescription("ui_last/grouping", "only show a single image for each set of grouped images in lighttable and filmstrip");

   // ui_last/view
   _insert_type("ui_last/view", "int");
   _insert_default("ui_last/view", "0");
   _insert_shortdescription("ui_last/view", "");
   _insert_longdescription("ui_last/view", "");

   // ui_last/window_x
   _insert_type("ui_last/window_x", "int");
   _insert_default("ui_last/window_x", "0");
   _insert_shortdescription("ui_last/window_x", "");
   _insert_longdescription("ui_last/window_x", "");

   // ui_last/window_y
   _insert_type("ui_last/window_y", "int");
   _insert_default("ui_last/window_y", "0");
   _insert_shortdescription("ui_last/window_y", "");
   _insert_longdescription("ui_last/window_y", "");

   // ui_last/window_w
   _insert_type("ui_last/window_w", "int");
   _insert_default("ui_last/window_w", "900");
   _insert_shortdescription("ui_last/window_w", "");
   _insert_longdescription("ui_last/window_w", "");

   // ui_last/window_h
   _insert_type("ui_last/window_h", "int");
   _insert_default("ui_last/window_h", "500");
   _insert_shortdescription("ui_last/window_h", "");
   _insert_longdescription("ui_last/window_h", "");

   // ui_last/panel_left
   _insert_type("ui_last/panel_left", "int");
   _insert_default("ui_last/panel_left", "-1");
   _insert_shortdescription("ui_last/panel_left", "");
   _insert_longdescription("ui_last/panel_left", "");

   // ui_last/panel_right
   _insert_type("ui_last/panel_right", "int");
   _insert_default("ui_last/panel_right", "-1");
   _insert_shortdescription("ui_last/panel_right", "");
   _insert_longdescription("ui_last/panel_right", "");

   // ui_last/panel_top
   _insert_type("ui_last/panel_top", "int");
   _insert_default("ui_last/panel_top", "0");
   _insert_shortdescription("ui_last/panel_top", "");
   _insert_longdescription("ui_last/panel_top", "");

   // ui_last/panel_bottom
   _insert_type("ui_last/panel_bottom", "int");
   _insert_default("ui_last/panel_bottom", "0");
   _insert_shortdescription("ui_last/panel_bottom", "");
   _insert_longdescription("ui_last/panel_bottom", "");

   // ui_last/expander_import
   _insert_type("ui_last/expander_import", "bool");
   _insert_default("ui_last/expander_import", "false");
   _insert_shortdescription("ui_last/expander_import", "");
   _insert_longdescription("ui_last/expander_import", "");

   // ui_last/import_dialog_paned_pos
   _insert_type("ui_last/import_dialog_paned_pos", "int");
   _insert_default("ui_last/import_dialog_paned_pos", "0");
   _insert_shortdescription("ui_last/import_dialog_paned_pos", "");
   _insert_longdescription("ui_last/import_dialog_paned_pos", "");

   // ui_last/import_dialog_paned_places_pos
   _insert_type("ui_last/import_dialog_paned_places_pos", "int");
   _insert_default("ui_last/import_dialog_paned_places_pos", "150");
   _insert_shortdescription("ui_last/import_dialog_paned_places_pos", "");
   _insert_longdescription("ui_last/import_dialog_paned_places_pos", "");

   // ui_last/import_dialog_show_home
   _insert_type("ui_last/import_dialog_show_home", "bool");
   _insert_default("ui_last/import_dialog_show_home", "true");
   _insert_shortdescription("ui_last/import_dialog_show_home", "");
   _insert_longdescription("ui_last/import_dialog_show_home", "");

   // ui_last/import_dialog_show_pictures
   _insert_type("ui_last/import_dialog_show_pictures", "bool");
   _insert_default("ui_last/import_dialog_show_pictures", "true");
   _insert_shortdescription("ui_last/import_dialog_show_pictures", "");
   _insert_longdescription("ui_last/import_dialog_show_pictures", "");

   // ui_last/import_dialog_show_mounted
   _insert_type("ui_last/import_dialog_show_mounted", "bool");
   _insert_default("ui_last/import_dialog_show_mounted", "true");
   _insert_shortdescription("ui_last/import_dialog_show_mounted", "");
   _insert_longdescription("ui_last/import_dialog_show_mounted", "");

   // ui_last/import_dialog_width
   _insert_type("ui_last/import_dialog_width", "int");
   _insert_default("ui_last/import_dialog_width", "800");
   _insert_shortdescription("ui_last/import_dialog_width", "");
   _insert_longdescription("ui_last/import_dialog_width", "");

   // ui_last/import_dialog_height
   _insert_type("ui_last/import_dialog_height", "int");
   _insert_default("ui_last/import_dialog_height", "600");
   _insert_shortdescription("ui_last/import_dialog_height", "");
   _insert_longdescription("ui_last/import_dialog_height", "");

   // ui_last/shortcuts_dialog_width
   _insert_type("ui_last/shortcuts_dialog_width", "int");
   _insert_default("ui_last/shortcuts_dialog_width", "1100");
   _insert_shortdescription("ui_last/shortcuts_dialog_width", "");
   _insert_longdescription("ui_last/shortcuts_dialog_width", "");

   // ui_last/shortcuts_dialog_height
   _insert_type("ui_last/shortcuts_dialog_height", "int");
   _insert_default("ui_last/shortcuts_dialog_height", "700");
   _insert_shortdescription("ui_last/shortcuts_dialog_height", "");
   _insert_longdescription("ui_last/shortcuts_dialog_height", "");

   // ui_last/preferences_dialog_width
   _insert_type("ui_last/preferences_dialog_width", "int");
   _insert_default("ui_last/preferences_dialog_width", "1100");
   _insert_shortdescription("ui_last/preferences_dialog_width", "");
   _insert_longdescription("ui_last/preferences_dialog_width", "");

   // ui_last/preferences_dialog_height
   _insert_type("ui_last/preferences_dialog_height", "int");
   _insert_default("ui_last/preferences_dialog_height", "700");
   _insert_shortdescription("ui_last/preferences_dialog_height", "");
   _insert_longdescription("ui_last/preferences_dialog_height", "");

   // ui_last/modulegroups_dialog_width
   _insert_type("ui_last/modulegroups_dialog_width", "int");
   _insert_default("ui_last/modulegroups_dialog_width", "1100");
   _insert_shortdescription("ui_last/modulegroups_dialog_width", "");
   _insert_longdescription("ui_last/modulegroups_dialog_width", "");

   // ui_last/session_expander_import
   _insert_type("ui_last/session_expander_import", "bool");
   _insert_default("ui_last/session_expander_import", "false");
   _insert_shortdescription("ui_last/session_expander_import", "");
   _insert_longdescription("ui_last/session_expander_import", "");

   // ui_last/import_last_directory
   _insert_type("ui_last/import_last_directory", "string");
   _insert_default("ui_last/import_last_directory", "");
   _insert_shortdescription("ui_last/import_last_directory", "last opened directory.");
   _insert_longdescription("ui_last/import_last_directory", "");

   // ui_last/import_copy
   _insert_type("ui_last/import_copy", "bool");
   _insert_default("ui_last/import_copy", "FALSE");
   _insert_shortdescription("ui_last/import_copy", "Copy the files");
   _insert_longdescription("ui_last/import_copy", "Duplicate the original files on the filesystem, using naming patterns. Useful when the original files are on a temporary storage, like a flash drive or a memory card.");

   // ui_last/nb_imported
   _insert_type("ui_last/nb_imported", "int");
   _insert_default("ui_last/nb_imported", "0");
   _insert_shortdescription("ui_last/nb_imported", "Number of images imported in the last fileroll");
   _insert_longdescription("ui_last/nb_imported", "");

   // ui_last/import_jobcode
   _insert_type("ui_last/import_jobcode", "string");
   _insert_default("ui_last/import_jobcode", "no_name");
   _insert_shortdescription("ui_last/import_jobcode", _("Project name (jobcode)"));
   _insert_longdescription("ui_last/import_jobcode", _("Name of the import job"));

   // ui_last/import_datetime_override
   _insert_type("ui_last/import_datetime_override", "string");
   _insert_default("ui_last/import_datetime_override", "");
   _insert_shortdescription("ui_last/import_datetime_override", _("Project date"));
   _insert_longdescription("ui_last/import_datetime_override", _("type a date in the form: YYYY:MM:DD[ hh:mm:ss[.sss]] if you want to override the current date/time used when expanding variables:\n$(YEAR), $(MONTH), $(DAY), $(HOUR), $(MINUTE), $(SECONDS), $(MSEC).\nlet the field empty otherwise"));

   // ui_last/import_keep_open
   _insert_type("ui_last/import_keep_open", "bool");
   _insert_default("ui_last/import_keep_open", "false");
   _insert_shortdescription("ui_last/import_keep_open", _("keep this window open"));
   _insert_longdescription("ui_last/import_keep_open", _("keep this window open to run several imports"));

   // plugins/capture/mode
   _insert_type("plugins/capture/mode", "int");
   _insert_default("plugins/capture/mode", "0");
   _insert_shortdescription("plugins/capture/mode", "capture view mode");
   _insert_longdescription("plugins/capture/mode", "");

   // plugins/lighttable/overlays/global
   _insert_type("plugins/lighttable/overlays/global", "int");
   _insert_default("plugins/lighttable/overlays/global", "2");
   _insert_shortdescription("plugins/lighttable/overlays/global", "overlays for thumbnails");
   _insert_longdescription("plugins/lighttable/overlays/global", "");

   // plugins/lighttable/tooltips/0/0
   _insert_type("plugins/lighttable/tooltips/0/0", "bool");
   _insert_default("plugins/lighttable/tooltips/0/0", "true");
   _insert_shortdescription("plugins/lighttable/tooltips/0/0", "tooltips for filemanager at size 0");
   _insert_longdescription("plugins/lighttable/tooltips/0/0", "");

   // plugins/lighttable/tooltips/0/1
   _insert_type("plugins/lighttable/tooltips/0/1", "bool");
   _insert_default("plugins/lighttable/tooltips/0/1", "true");
   _insert_shortdescription("plugins/lighttable/tooltips/0/1", "tooltips for filemanager at size 1");
   _insert_longdescription("plugins/lighttable/tooltips/0/1", "");

   // plugins/lighttable/tooltips/0/2
   _insert_type("plugins/lighttable/tooltips/0/2", "bool");
   _insert_default("plugins/lighttable/tooltips/0/2", "false");
   _insert_shortdescription("plugins/lighttable/tooltips/0/2", "tooltips for filemanager at size 2");
   _insert_longdescription("plugins/lighttable/tooltips/0/2", "");

   // plugins/lighttable/tooltips/1/0
   _insert_type("plugins/lighttable/tooltips/1/0", "bool");
   _insert_default("plugins/lighttable/tooltips/1/0", "true");
   _insert_shortdescription("plugins/lighttable/tooltips/1/0", "tooltips for filmstrip at size 0");
   _insert_longdescription("plugins/lighttable/tooltips/1/0", "");

   // plugins/lighttable/tooltips/1/1
   _insert_type("plugins/lighttable/tooltips/1/1", "bool");
   _insert_default("plugins/lighttable/tooltips/1/1", "true");
   _insert_shortdescription("plugins/lighttable/tooltips/1/1", "tooltips for filmstrip at size 1");
   _insert_longdescription("plugins/lighttable/tooltips/1/1", "");

   // plugins/lighttable/tooltips/1/2
   _insert_type("plugins/lighttable/tooltips/1/2", "bool");
   _insert_default("plugins/lighttable/tooltips/1/2", "true");
   _insert_shortdescription("plugins/lighttable/tooltips/1/2", "tooltips for filmstrip at size 2");
   _insert_longdescription("plugins/lighttable/tooltips/1/2", "");

   // plugins/lighttable/tooltips/2/0
   _insert_type("plugins/lighttable/tooltips/2/0", "bool");
   _insert_default("plugins/lighttable/tooltips/2/0", "true");
   _insert_shortdescription("plugins/lighttable/tooltips/2/0", "tooltips for zomable lighttable at size 0");
   _insert_longdescription("plugins/lighttable/tooltips/2/0", "");

   // plugins/lighttable/tooltips/2/1
   _insert_type("plugins/lighttable/tooltips/2/1", "bool");
   _insert_default("plugins/lighttable/tooltips/2/1", "true");
   _insert_shortdescription("plugins/lighttable/tooltips/2/1", "tooltips for zomable lighttable at size 1");
   _insert_longdescription("plugins/lighttable/tooltips/2/1", "");

   // plugins/lighttable/tooltips/2/2
   _insert_type("plugins/lighttable/tooltips/2/2", "bool");
   _insert_default("plugins/lighttable/tooltips/2/2", "false");
   _insert_shortdescription("plugins/lighttable/tooltips/2/2", "tooltips for zomable lighttable at size 2");
   _insert_longdescription("plugins/lighttable/tooltips/2/2", "");

   // plugins/lighttable/tooltips/culling/0
   _insert_type("plugins/lighttable/tooltips/culling/0", "bool");
   _insert_default("plugins/lighttable/tooltips/culling/0", "false");
   _insert_shortdescription("plugins/lighttable/tooltips/culling/0", "tooltips for culling");
   _insert_longdescription("plugins/lighttable/tooltips/culling/0", "");

   // plugins/lighttable/tooltips/culling/1
   _insert_type("plugins/lighttable/tooltips/culling/1", "bool");
   _insert_default("plugins/lighttable/tooltips/culling/1", "false");
   _insert_shortdescription("plugins/lighttable/tooltips/culling/1", "tooltips for full preview");
   _insert_longdescription("plugins/lighttable/tooltips/culling/1", "");

   // plugins/lighttable/timeline/last_zoom
   _insert_type("plugins/lighttable/timeline/last_zoom", "int");
   _insert_default("plugins/lighttable/timeline/last_zoom", "0");
   _insert_shortdescription("plugins/lighttable/timeline/last_zoom", "last timeline zoom.");
   _insert_longdescription("plugins/lighttable/timeline/last_zoom", "");

   // lighttable/embedded_jpg
   _insert_type("lighttable/embedded_jpg", "int");
   _insert_default("lighttable/embedded_jpg", "1");
   _insert_shortdescription("lighttable/embedded_jpg", "Use the embedded JPG instead of rendering thumbnails from RAW.");
   _insert_longdescription("lighttable/embedded_jpg", "");

   // pressure_sensitivity
   _insert_type("pressure_sensitivity", "enum");
   _insert_values("pressure_sensitivity", "[off][hardness (relative)][hardness (absolute)][opacity (relative)][opacity (absolute)][brush size (relative)]");
   const char *id39 = C_("preferences", "off");
   const char *id40 = C_("preferences", "hardness (relative)");
   const char *id41 = C_("preferences", "hardness (absolute)");
   const char *id42 = C_("preferences", "opacity (relative)");
   const char *id43 = C_("preferences", "opacity (absolute)");
   const char *id44 = C_("preferences", "brush size (relative)");
   _insert_default("pressure_sensitivity", "off");
   _insert_shortdescription("pressure_sensitivity", "pen pressure control for brush masks");
   _insert_longdescription("pressure_sensitivity", "off - pressure reading ignored, hardness/opacity/brush size - pressure reading controls specified attribute, absolute/relative - pressure reading is taken directly as attribute value or multiplied with pre-defined setting.");

   // brush_smoothing
   _insert_type("brush_smoothing", "enum");
   _insert_values("brush_smoothing", "[low][medium][high]");
   const char *id45 = C_("preferences", "low");
   const char *id46 = C_("preferences", "medium");
   const char *id47 = C_("preferences", "high");
   _insert_default("brush_smoothing", "medium");
   _insert_shortdescription("brush_smoothing", "smoothing of brush strokes");
   _insert_longdescription("brush_smoothing", "sets level for smoothing of brush strokes. stronger smoothing leads to less nodes and easier editing but with lower control of accuracy.");

   // channel_display
   _insert_type("channel_display", "enum");
   _insert_values("channel_display", "[false color][grayscale]");
   const char *id48 = C_("preferences", "false color");
   const char *id49 = C_("preferences", "grayscale");
   _insert_default("channel_display", "false color");
   _insert_shortdescription("channel_display", "display of individual color channels");
   _insert_longdescription("channel_display", "defines how color channels are displayed when activated in the parametric masks feature.");

   // plugins/darkroom/image_infos_pattern
   _insert_type("plugins/darkroom/image_infos_pattern", "longstring");
   _insert_default("plugins/darkroom/image_infos_pattern", "$(EXIF_EXPOSURE) • f/$(EXIF_APERTURE) • $(EXIF_FOCAL_LENGTH) mm • $(EXIF_ISO) ISO");
   _insert_shortdescription("plugins/darkroom/image_infos_pattern", "pattern for the image information line");
   _insert_longdescription("plugins/darkroom/image_infos_pattern", "see manual for a list of the tags you can use.");

   // plugins/darkroom/image_infos_position
   _insert_type("plugins/darkroom/image_infos_position", "enum");
   _insert_values("plugins/darkroom/image_infos_position", "[top left][top right][top center][bottom][hidden]");
   const char *id50 = C_("preferences", "top left");
   const char *id51 = C_("preferences", "top right");
   const char *id52 = C_("preferences", "top center");
   const char *id53 = C_("preferences", "bottom");
   const char *id54 = C_("preferences", "hidden");
   _insert_default("plugins/darkroom/image_infos_position", "bottom");
   _insert_shortdescription("plugins/darkroom/image_infos_position", "position of the image information line");
   _insert_longdescription("plugins/darkroom/image_infos_position", "");

   // database_cache_quality
   _insert_type("database_cache_quality", "int");
   _insert_default("database_cache_quality", "89");
   _insert_shortdescription("database_cache_quality", "JPEG quality of on-disk thumbnails");
   _insert_longdescription("database_cache_quality", "affects only the thumbnail cache used for quick startup.");

   // plugins/lighttable/draw_group_borders
   _insert_type("plugins/lighttable/draw_group_borders", "bool");
   _insert_default("plugins/lighttable/draw_group_borders", "true");
   _insert_shortdescription("plugins/lighttable/draw_group_borders", "draw borders around grouped images");
   _insert_longdescription("plugins/lighttable/draw_group_borders", "draw borders around grouped images when grouping is turned off and the mouse hovers over one of the images of the group");

   // modules/default_presets_first
   _insert_type("modules/default_presets_first", "bool");
   _insert_default("modules/default_presets_first", "true");
   _insert_shortdescription("modules/default_presets_first", "sort built-in presets first");
   _insert_longdescription("modules/default_presets_first", "whether to show built-in presets first before user's presets in presets menu.");

   // plugins/darkroom/hide_default_presets
   _insert_type("plugins/darkroom/hide_default_presets", "bool");
   _insert_default("plugins/darkroom/hide_default_presets", "false");
   _insert_shortdescription("plugins/darkroom/hide_default_presets", "hide built-in presets for processing modules");
   _insert_longdescription("plugins/darkroom/hide_default_presets", "hides built-in presets of processing modules in both presets and favourites menu.");

   // plugins/lighttable/hide_default_presets
   _insert_type("plugins/lighttable/hide_default_presets", "bool");
   _insert_default("plugins/lighttable/hide_default_presets", "false");
   _insert_shortdescription("plugins/lighttable/hide_default_presets", "hide built-in presets for utility modules");
   _insert_longdescription("plugins/lighttable/hide_default_presets", "hides built-in presets of utility modules in presets menu.");

   // plugins/lighttable/layout
   _insert_type("plugins/lighttable/layout", "int");
   _insert_default("plugins/lighttable/layout", "1");
   _insert_shortdescription("plugins/lighttable/layout", "lighttable layout mode");
   _insert_longdescription("plugins/lighttable/layout", "select a layout for the lighttable: 0 - zoomable lighttable or 1 - file manager or 2 - culling layout.");

   // plugins/lighttable/base_layout
   _insert_type("plugins/lighttable/base_layout", "int");
   _insert_default("plugins/lighttable/base_layout", "1");
   _insert_shortdescription("plugins/lighttable/base_layout", "lighttable basic layout mode");
   _insert_longdescription("plugins/lighttable/base_layout", "the layout to return to when exiting culling layout");

   // plugins/lighttable/images_in_row
   _insert_type("plugins/lighttable/images_in_row", "int");
   _insert_default("plugins/lighttable/images_in_row", "5");
   _insert_shortdescription("plugins/lighttable/images_in_row", "images per row");
   _insert_longdescription("plugins/lighttable/images_in_row", "");

   // plugins/lighttable/culling_num_images
   _insert_type("plugins/lighttable/culling_num_images", "int");
   _insert_default("plugins/lighttable/culling_num_images", "2");
   _insert_shortdescription("plugins/lighttable/culling_num_images", "images to display in culling layout");
   _insert_longdescription("plugins/lighttable/culling_num_images", "");

   // plugins/lighttable/culling_zoom_mode
   _insert_type("plugins/lighttable/culling_zoom_mode", "int");
   _insert_default("plugins/lighttable/culling_zoom_mode", "0");
   _insert_shortdescription("plugins/lighttable/culling_zoom_mode", "zoom mode in culling layout. 0=fixed ; 1=dynamic");
   _insert_longdescription("plugins/lighttable/culling_zoom_mode", "");

   // plugins/lighttable/culling_last_id
   _insert_type("plugins/lighttable/culling_last_id", "int");
   _insert_default("plugins/lighttable/culling_last_id", "-1");
   _insert_shortdescription("plugins/lighttable/culling_last_id", "last culling first image id");
   _insert_longdescription("plugins/lighttable/culling_last_id", "");

   // plugins/lighttable/recentcollect/num_items
   _insert_type("plugins/lighttable/recentcollect/num_items", "int");
   _insert_default("plugins/lighttable/recentcollect/num_items", "0");
   _insert_shortdescription("plugins/lighttable/recentcollect/num_items", "");
   _insert_longdescription("plugins/lighttable/recentcollect/num_items", "");

   // plugins/lighttable/recentcollect/line0
   _insert_type("plugins/lighttable/recentcollect/line0", "string");
   _insert_default("plugins/lighttable/recentcollect/line0", "");
   _insert_shortdescription("plugins/lighttable/recentcollect/line0", "");
   _insert_longdescription("plugins/lighttable/recentcollect/line0", "");

   // plugins/lighttable/recentcollect/line1
   _insert_type("plugins/lighttable/recentcollect/line1", "string");
   _insert_default("plugins/lighttable/recentcollect/line1", "");
   _insert_shortdescription("plugins/lighttable/recentcollect/line1", "");
   _insert_longdescription("plugins/lighttable/recentcollect/line1", "");

   // plugins/lighttable/recentcollect/line2
   _insert_type("plugins/lighttable/recentcollect/line2", "string");
   _insert_default("plugins/lighttable/recentcollect/line2", "");
   _insert_shortdescription("plugins/lighttable/recentcollect/line2", "");
   _insert_longdescription("plugins/lighttable/recentcollect/line2", "");

   // plugins/lighttable/recentcollect/line3
   _insert_type("plugins/lighttable/recentcollect/line3", "string");
   _insert_default("plugins/lighttable/recentcollect/line3", "");
   _insert_shortdescription("plugins/lighttable/recentcollect/line3", "");
   _insert_longdescription("plugins/lighttable/recentcollect/line3", "");

   // plugins/lighttable/recentcollect/line4
   _insert_type("plugins/lighttable/recentcollect/line4", "string");
   _insert_default("plugins/lighttable/recentcollect/line4", "");
   _insert_shortdescription("plugins/lighttable/recentcollect/line4", "");
   _insert_longdescription("plugins/lighttable/recentcollect/line4", "");

   // plugins/lighttable/recentcollect/line5
   _insert_type("plugins/lighttable/recentcollect/line5", "string");
   _insert_default("plugins/lighttable/recentcollect/line5", "");
   _insert_shortdescription("plugins/lighttable/recentcollect/line5", "");
   _insert_longdescription("plugins/lighttable/recentcollect/line5", "");

   // plugins/lighttable/recentcollect/line6
   _insert_type("plugins/lighttable/recentcollect/line6", "string");
   _insert_default("plugins/lighttable/recentcollect/line6", "");
   _insert_shortdescription("plugins/lighttable/recentcollect/line6", "");
   _insert_longdescription("plugins/lighttable/recentcollect/line6", "");

   // plugins/lighttable/recentcollect/line7
   _insert_type("plugins/lighttable/recentcollect/line7", "string");
   _insert_default("plugins/lighttable/recentcollect/line7", "");
   _insert_shortdescription("plugins/lighttable/recentcollect/line7", "");
   _insert_longdescription("plugins/lighttable/recentcollect/line7", "");

   // plugins/lighttable/recentcollect/line8
   _insert_type("plugins/lighttable/recentcollect/line8", "string");
   _insert_default("plugins/lighttable/recentcollect/line8", "");
   _insert_shortdescription("plugins/lighttable/recentcollect/line8", "");
   _insert_longdescription("plugins/lighttable/recentcollect/line8", "");

   // plugins/lighttable/recentcollect/line9
   _insert_type("plugins/lighttable/recentcollect/line9", "string");
   _insert_default("plugins/lighttable/recentcollect/line9", "");
   _insert_shortdescription("plugins/lighttable/recentcollect/line9", "");
   _insert_longdescription("plugins/lighttable/recentcollect/line9", "");

   // plugins/lighttable/collect/num_rules
   _insert_type("plugins/lighttable/collect/num_rules", "int");
   _insert_default("plugins/lighttable/collect/num_rules", "1");
   _insert_shortdescription("plugins/lighttable/collect/num_rules", "");
   _insert_longdescription("plugins/lighttable/collect/num_rules", "");

   // plugins/lighttable/collect/item0
   _insert_type("plugins/lighttable/collect/item0", "int");
   _insert_default("plugins/lighttable/collect/item0", "0");
   _insert_shortdescription("plugins/lighttable/collect/item0", "");
   _insert_longdescription("plugins/lighttable/collect/item0", "");

   // plugins/lighttable/collect/string0
   _insert_type("plugins/lighttable/collect/string0", "string");
   _insert_default("plugins/lighttable/collect/string0", "%");
   _insert_shortdescription("plugins/lighttable/collect/string0", "");
   _insert_longdescription("plugins/lighttable/collect/string0", "");

   // plugins/lighttable/collect/item1
   _insert_type("plugins/lighttable/collect/item1", "int");
   _insert_default("plugins/lighttable/collect/item1", "0");
   _insert_shortdescription("plugins/lighttable/collect/item1", "");
   _insert_longdescription("plugins/lighttable/collect/item1", "");

   // plugins/lighttable/collect/string1
   _insert_type("plugins/lighttable/collect/string1", "string");
   _insert_default("plugins/lighttable/collect/string1", "");
   _insert_shortdescription("plugins/lighttable/collect/string1", "");
   _insert_longdescription("plugins/lighttable/collect/string1", "");

   // plugins/lighttable/collect/item2
   _insert_type("plugins/lighttable/collect/item2", "int");
   _insert_default("plugins/lighttable/collect/item2", "0");
   _insert_shortdescription("plugins/lighttable/collect/item2", "");
   _insert_longdescription("plugins/lighttable/collect/item2", "");

   // plugins/lighttable/collect/string2
   _insert_type("plugins/lighttable/collect/string2", "string");
   _insert_default("plugins/lighttable/collect/string2", "");
   _insert_shortdescription("plugins/lighttable/collect/string2", "");
   _insert_longdescription("plugins/lighttable/collect/string2", "");

   // plugins/lighttable/collect/item3
   _insert_type("plugins/lighttable/collect/item3", "int");
   _insert_default("plugins/lighttable/collect/item3", "0");
   _insert_shortdescription("plugins/lighttable/collect/item3", "");
   _insert_longdescription("plugins/lighttable/collect/item3", "");

   // plugins/lighttable/collect/string3
   _insert_type("plugins/lighttable/collect/string3", "string");
   _insert_default("plugins/lighttable/collect/string3", "");
   _insert_shortdescription("plugins/lighttable/collect/string3", "");
   _insert_longdescription("plugins/lighttable/collect/string3", "");

   // plugins/lighttable/collect/item4
   _insert_type("plugins/lighttable/collect/item4", "int");
   _insert_default("plugins/lighttable/collect/item4", "0");
   _insert_shortdescription("plugins/lighttable/collect/item4", "");
   _insert_longdescription("plugins/lighttable/collect/item4", "");

   // plugins/lighttable/collect/string4
   _insert_type("plugins/lighttable/collect/string4", "string");
   _insert_default("plugins/lighttable/collect/string4", "");
   _insert_shortdescription("plugins/lighttable/collect/string4", "");
   _insert_longdescription("plugins/lighttable/collect/string4", "");

   // plugins/lighttable/collect/item5
   _insert_type("plugins/lighttable/collect/item5", "int");
   _insert_default("plugins/lighttable/collect/item5", "0");
   _insert_shortdescription("plugins/lighttable/collect/item5", "");
   _insert_longdescription("plugins/lighttable/collect/item5", "");

   // plugins/lighttable/collect/string5
   _insert_type("plugins/lighttable/collect/string5", "string");
   _insert_default("plugins/lighttable/collect/string5", "");
   _insert_shortdescription("plugins/lighttable/collect/string5", "");
   _insert_longdescription("plugins/lighttable/collect/string5", "");

   // plugins/lighttable/collect/item6
   _insert_type("plugins/lighttable/collect/item6", "int");
   _insert_default("plugins/lighttable/collect/item6", "0");
   _insert_shortdescription("plugins/lighttable/collect/item6", "");
   _insert_longdescription("plugins/lighttable/collect/item6", "");

   // plugins/lighttable/collect/string6
   _insert_type("plugins/lighttable/collect/string6", "string");
   _insert_default("plugins/lighttable/collect/string6", "");
   _insert_shortdescription("plugins/lighttable/collect/string6", "");
   _insert_longdescription("plugins/lighttable/collect/string6", "");

   // plugins/lighttable/collect/item7
   _insert_type("plugins/lighttable/collect/item7", "int");
   _insert_default("plugins/lighttable/collect/item7", "0");
   _insert_shortdescription("plugins/lighttable/collect/item7", "");
   _insert_longdescription("plugins/lighttable/collect/item7", "");

   // plugins/lighttable/collect/string7
   _insert_type("plugins/lighttable/collect/string7", "string");
   _insert_default("plugins/lighttable/collect/string7", "");
   _insert_shortdescription("plugins/lighttable/collect/string7", "");
   _insert_longdescription("plugins/lighttable/collect/string7", "");

   // plugins/lighttable/collect/item8
   _insert_type("plugins/lighttable/collect/item8", "int");
   _insert_default("plugins/lighttable/collect/item8", "0");
   _insert_shortdescription("plugins/lighttable/collect/item8", "");
   _insert_longdescription("plugins/lighttable/collect/item8", "");

   // plugins/lighttable/collect/string8
   _insert_type("plugins/lighttable/collect/string8", "string");
   _insert_default("plugins/lighttable/collect/string8", "");
   _insert_shortdescription("plugins/lighttable/collect/string8", "");
   _insert_longdescription("plugins/lighttable/collect/string8", "");

   // plugins/lighttable/collect/item9
   _insert_type("plugins/lighttable/collect/item9", "int");
   _insert_default("plugins/lighttable/collect/item9", "0");
   _insert_shortdescription("plugins/lighttable/collect/item9", "");
   _insert_longdescription("plugins/lighttable/collect/item9", "");

   // plugins/lighttable/collect/string9
   _insert_type("plugins/lighttable/collect/string9", "string");
   _insert_default("plugins/lighttable/collect/string9", "");
   _insert_shortdescription("plugins/lighttable/collect/string9", "");
   _insert_longdescription("plugins/lighttable/collect/string9", "");

   // plugins/lighttable/collect/mode0
   _insert_type("plugins/lighttable/collect/mode0", "int");
   _insert_default("plugins/lighttable/collect/mode0", "0");
   _insert_shortdescription("plugins/lighttable/collect/mode0", "");
   _insert_longdescription("plugins/lighttable/collect/mode0", "");

   // plugins/lighttable/collect/mode1
   _insert_type("plugins/lighttable/collect/mode1", "int");
   _insert_default("plugins/lighttable/collect/mode1", "0");
   _insert_shortdescription("plugins/lighttable/collect/mode1", "");
   _insert_longdescription("plugins/lighttable/collect/mode1", "");

   // plugins/lighttable/collect/mode2
   _insert_type("plugins/lighttable/collect/mode2", "int");
   _insert_default("plugins/lighttable/collect/mode2", "0");
   _insert_shortdescription("plugins/lighttable/collect/mode2", "");
   _insert_longdescription("plugins/lighttable/collect/mode2", "");

   // plugins/lighttable/collect/mode3
   _insert_type("plugins/lighttable/collect/mode3", "int");
   _insert_default("plugins/lighttable/collect/mode3", "0");
   _insert_shortdescription("plugins/lighttable/collect/mode3", "");
   _insert_longdescription("plugins/lighttable/collect/mode3", "");

   // plugins/lighttable/collect/mode4
   _insert_type("plugins/lighttable/collect/mode4", "int");
   _insert_default("plugins/lighttable/collect/mode4", "0");
   _insert_shortdescription("plugins/lighttable/collect/mode4", "");
   _insert_longdescription("plugins/lighttable/collect/mode4", "");

   // plugins/lighttable/collect/mode5
   _insert_type("plugins/lighttable/collect/mode5", "int");
   _insert_default("plugins/lighttable/collect/mode5", "0");
   _insert_shortdescription("plugins/lighttable/collect/mode5", "");
   _insert_longdescription("plugins/lighttable/collect/mode5", "");

   // plugins/lighttable/collect/mode6
   _insert_type("plugins/lighttable/collect/mode6", "int");
   _insert_default("plugins/lighttable/collect/mode6", "0");
   _insert_shortdescription("plugins/lighttable/collect/mode6", "");
   _insert_longdescription("plugins/lighttable/collect/mode6", "");

   // plugins/lighttable/collect/mode7
   _insert_type("plugins/lighttable/collect/mode7", "int");
   _insert_default("plugins/lighttable/collect/mode7", "0");
   _insert_shortdescription("plugins/lighttable/collect/mode7", "");
   _insert_longdescription("plugins/lighttable/collect/mode7", "");

   // plugins/lighttable/collect/mode8
   _insert_type("plugins/lighttable/collect/mode8", "int");
   _insert_default("plugins/lighttable/collect/mode8", "0");
   _insert_shortdescription("plugins/lighttable/collect/mode8", "");
   _insert_longdescription("plugins/lighttable/collect/mode8", "");

   // plugins/lighttable/collect/mode9
   _insert_type("plugins/lighttable/collect/mode9", "int");
   _insert_default("plugins/lighttable/collect/mode9", "0");
   _insert_shortdescription("plugins/lighttable/collect/mode9", "");
   _insert_longdescription("plugins/lighttable/collect/mode9", "");

   // plugins/darkroom/tagging/visible
   _insert_type("plugins/darkroom/tagging/visible", "bool");
   _insert_default("plugins/darkroom/tagging/visible", "true");
   _insert_shortdescription("plugins/darkroom/tagging/visible", "show the tagging module in the darkroom view (as well as in lighttable)");
   _insert_longdescription("plugins/darkroom/tagging/visible", "");

   // plugins/lighttable/tagging/ask_before_delete_tag
   _insert_type("plugins/lighttable/tagging/ask_before_delete_tag", "bool");
   _insert_default("plugins/lighttable/tagging/ask_before_delete_tag", "true");
   _insert_shortdescription("plugins/lighttable/tagging/ask_before_delete_tag", "ask before deleting a tag");
   _insert_longdescription("plugins/lighttable/tagging/ask_before_delete_tag", "");

   // plugins/lighttable/tagging/dttags
   _insert_type("plugins/lighttable/tagging/dttags", "bool");
   _insert_default("plugins/lighttable/tagging/dttags", "false");
   _insert_shortdescription("plugins/lighttable/tagging/dttags", "whether to show ansel internal tags");
   _insert_longdescription("plugins/lighttable/tagging/dttags", "");

   // plugins/lighttable/tagging/nosuggestion
   _insert_type("plugins/lighttable/tagging/nosuggestion", "bool");
   _insert_default("plugins/lighttable/tagging/nosuggestion", "false");
   _insert_shortdescription("plugins/lighttable/tagging/nosuggestion", "whether display suggestions");
   _insert_longdescription("plugins/lighttable/tagging/nosuggestion", "");

   // plugins/lighttable/tagging/treeview
   _insert_type("plugins/lighttable/tagging/treeview", "bool");
   _insert_default("plugins/lighttable/tagging/treeview", "false");
   _insert_shortdescription("plugins/lighttable/tagging/treeview", "whether display tags in list or tree");
   _insert_longdescription("plugins/lighttable/tagging/treeview", "");

   // plugins/lighttable/tagging/hidehierarchy
   _insert_type("plugins/lighttable/tagging/hidehierarchy", "bool");
   _insert_default("plugins/lighttable/tagging/hidehierarchy", "false");
   _insert_shortdescription("plugins/lighttable/tagging/hidehierarchy", "whether to show/hide the tag hierarchy");
   _insert_longdescription("plugins/lighttable/tagging/hidehierarchy", "");

   // plugins/lighttable/tagging/listsortedbycount
   _insert_type("plugins/lighttable/tagging/listsortedbycount", "bool");
   _insert_default("plugins/lighttable/tagging/listsortedbycount", "false");
   _insert_shortdescription("plugins/lighttable/tagging/listsortedbycount", "whether to sort tags by count or by name");
   _insert_longdescription("plugins/lighttable/tagging/listsortedbycount", "");

   // plugins/lighttable/tagging/heightattachedwindow
   _insert_type("plugins/lighttable/tagging/heightattachedwindow", "int");
   _insert_default("plugins/lighttable/tagging/heightattachedwindow", "100");
   _insert_shortdescription("plugins/lighttable/tagging/heightattachedwindow", "height of the tagging attached view");
   _insert_longdescription("plugins/lighttable/tagging/heightattachedwindow", "maximum height the tagging attached view will grow to before scrolling");

   // plugins/lighttable/tagging/heightdictionarywindow
   _insert_type("plugins/lighttable/tagging/heightdictionarywindow", "int");
   _insert_default("plugins/lighttable/tagging/heightdictionarywindow", "200");
   _insert_shortdescription("plugins/lighttable/tagging/heightdictionarywindow", "height of the tagging dictionary view");
   _insert_longdescription("plugins/lighttable/tagging/heightdictionarywindow", "maximum height the tagging dictionary view will grow to before scrolling");

   // plugins/lighttable/tagging/confidence
   _insert_type("plugins/lighttable/tagging/confidence", "int");
   _insert_default("plugins/lighttable/tagging/confidence", "50");
   _insert_min("plugins/lighttable/tagging/confidence", "0");
   _insert_max("plugins/lighttable/tagging/confidence", "100");
   _insert_shortdescription("plugins/lighttable/tagging/confidence", "suggested tags level of confidence");
   _insert_longdescription("plugins/lighttable/tagging/confidence", "level of confidence to include the tag in the suggestions list, 0: all associated tags, 99: 99% matching associated tags, 100: no matching tag to show only recent tags (faster)");

   // plugins/lighttable/tagging/nb_recent_tags
   _insert_type("plugins/lighttable/tagging/nb_recent_tags", "int");
   _insert_default("plugins/lighttable/tagging/nb_recent_tags", "20");
   _insert_min("plugins/lighttable/tagging/nb_recent_tags", "-1");
   _insert_max("plugins/lighttable/tagging/nb_recent_tags", "1000");
   _insert_shortdescription("plugins/lighttable/tagging/nb_recent_tags", "number of recently attached tags");
   _insert_longdescription("plugins/lighttable/tagging/nb_recent_tags", "number of recently attached tags which are included in the suggestions list. the value `-1' disables the recent list");

   // plugins/lighttable/tagging/recent_tags
   _insert_type("plugins/lighttable/tagging/recent_tags", "string");
   _insert_default("plugins/lighttable/tagging/recent_tags", "");
   _insert_shortdescription("plugins/lighttable/tagging/recent_tags", "");
   _insert_longdescription("plugins/lighttable/tagging/recent_tags", "");

   // plugins/lighttable/metadata/creator_text_height
   _insert_type("plugins/lighttable/metadata/creator_text_height", "int");
   _insert_default("plugins/lighttable/metadata/creator_text_height", "1");
   _insert_shortdescription("plugins/lighttable/metadata/creator_text_height", "height of the metadata creator field");
   _insert_longdescription("plugins/lighttable/metadata/creator_text_height", "maximum height the metadata textview will grow to before scrolling");

   // plugins/lighttable/metadata/publisher_text_height
   _insert_type("plugins/lighttable/metadata/publisher_text_height", "int");
   _insert_default("plugins/lighttable/metadata/publisher_text_height", "1");
   _insert_shortdescription("plugins/lighttable/metadata/publisher_text_height", "height of the metadata publisher field");
   _insert_longdescription("plugins/lighttable/metadata/publisher_text_height", "maximum height the metadata textview will grow to before scrolling");

   // plugins/lighttable/metadata/title_text_height
   _insert_type("plugins/lighttable/metadata/title_text_height", "int");
   _insert_default("plugins/lighttable/metadata/title_text_height", "1");
   _insert_shortdescription("plugins/lighttable/metadata/title_text_height", "height of the metadata title field");
   _insert_longdescription("plugins/lighttable/metadata/title_text_height", "maximum height the metadata textview will grow to before scrolling");

   // plugins/lighttable/metadata/description_text_height
   _insert_type("plugins/lighttable/metadata/description_text_height", "int");
   _insert_default("plugins/lighttable/metadata/description_text_height", "1");
   _insert_shortdescription("plugins/lighttable/metadata/description_text_height", "height of the metadata description field");
   _insert_longdescription("plugins/lighttable/metadata/description_text_height", "maximum height the metadata textview will grow to before scrolling");

   // plugins/lighttable/metadata/rights_text_height
   _insert_type("plugins/lighttable/metadata/rights_text_height", "int");
   _insert_default("plugins/lighttable/metadata/rights_text_height", "1");
   _insert_shortdescription("plugins/lighttable/metadata/rights_text_height", "height of the metadata rights field");
   _insert_longdescription("plugins/lighttable/metadata/rights_text_height", "maximum height the metadata textview will grow to before scrolling");

   // plugins/lighttable/metadata/notes_text_height
   _insert_type("plugins/lighttable/metadata/notes_text_height", "int");
   _insert_default("plugins/lighttable/metadata/notes_text_height", "1");
   _insert_shortdescription("plugins/lighttable/metadata/notes_text_height", "height of the metadata notes field");
   _insert_longdescription("plugins/lighttable/metadata/notes_text_height", "maximum height the metadata textview will grow to before scrolling");

   // plugins/lighttable/metadata/version name_text_height
   _insert_type("plugins/lighttable/metadata/version name_text_height", "int");
   _insert_default("plugins/lighttable/metadata/version name_text_height", "1");
   _insert_shortdescription("plugins/lighttable/metadata/version name_text_height", "height of the metadata version name field");
   _insert_longdescription("plugins/lighttable/metadata/version name_text_height", "maximum height the metadata textview will grow to before scrolling");

   // plugins/lighttable/style/ask_before_delete_style
   _insert_type("plugins/lighttable/style/ask_before_delete_style", "bool");
   _insert_default("plugins/lighttable/style/ask_before_delete_style", "true");
   _insert_shortdescription("plugins/lighttable/style/ask_before_delete_style", "ask before deleting a style");
   _insert_longdescription("plugins/lighttable/style/ask_before_delete_style", "");

   // plugins/lighttable/preset/ask_before_delete_preset
   _insert_type("plugins/lighttable/preset/ask_before_delete_preset", "bool");
   _insert_default("plugins/lighttable/preset/ask_before_delete_preset", "true");
   _insert_shortdescription("plugins/lighttable/preset/ask_before_delete_preset", "ask before deleting a preset");
   _insert_longdescription("plugins/lighttable/preset/ask_before_delete_preset", "will ask for confirmation before deleting or overwriting a preset");

   // plugins/lighttable/export/ask_before_export_overwrite
   _insert_type("plugins/lighttable/export/ask_before_export_overwrite", "bool");
   _insert_default("plugins/lighttable/export/ask_before_export_overwrite", "true");
   _insert_shortdescription("plugins/lighttable/export/ask_before_export_overwrite", "ask before exporting in overwrite mode");
   _insert_longdescription("plugins/lighttable/export/ask_before_export_overwrite", "will ask for confirmation before exporting files in overwrite mode");

   // plugins/map/show_map_osd
   _insert_type("plugins/map/show_map_osd", "bool");
   _insert_default("plugins/map/show_map_osd", "true");
   _insert_shortdescription("plugins/map/show_map_osd", _("show OSD"));
   _insert_longdescription("plugins/map/show_map_osd", _("toggle the visibility of the map overlays"));

   // plugins/map/filter_images_drawn
   _insert_type("plugins/map/filter_images_drawn", "bool");
   _insert_default("plugins/map/filter_images_drawn", "false");
   _insert_shortdescription("plugins/map/filter_images_drawn", _("filtered images"));
   _insert_longdescription("plugins/map/filter_images_drawn", _("when set limit the images drawn to the current filmstrip"));

   // plugins/map/max_images_drawn
   _insert_type("plugins/map/max_images_drawn", "int");
   _insert_default("plugins/map/max_images_drawn", "100");
   _insert_min("plugins/map/max_images_drawn", "10");
   _insert_max("plugins/map/max_images_drawn", "100000");
   _insert_shortdescription("plugins/map/max_images_drawn", _("max images"));
   _insert_longdescription("plugins/map/max_images_drawn", _("the maximum number of image thumbnails drawn on the map"));

   // plugins/map/epsilon_factor
   _insert_type("plugins/map/epsilon_factor", "int");
   _insert_default("plugins/map/epsilon_factor", "25");
   _insert_min("plugins/map/epsilon_factor", "1");
   _insert_max("plugins/map/epsilon_factor", "100");
   _insert_shortdescription("plugins/map/epsilon_factor", _("group size factor"));
   _insert_longdescription("plugins/map/epsilon_factor", _("increase or decrease the spatial size of images groups on the map. can influence the calculation time"));

   // plugins/map/min_images_per_group
   _insert_type("plugins/map/min_images_per_group", "int");
   _insert_default("plugins/map/min_images_per_group", "1");
   _insert_min("plugins/map/min_images_per_group", "1");
   _insert_max("plugins/map/min_images_per_group", "10");
   _insert_shortdescription("plugins/map/min_images_per_group", _("min images per group"));
   _insert_longdescription("plugins/map/min_images_per_group", _("the minimum number of images to set up an images group. can influence the calculation time."));

   // plugins/map/images_thumbnail
   _insert_type("plugins/map/images_thumbnail", "enum");
   _insert_values("plugins/map/images_thumbnail", "[thumbnail][count][none]");
   const char *id55 = C_("preferences", "thumbnail");
   const char *id56 = C_("preferences", "count");
   const char *id57 = C_("preferences", "none");
   _insert_default("plugins/map/images_thumbnail", "thumbnail");
   _insert_shortdescription("plugins/map/images_thumbnail", _("thumbnail display"));
   _insert_longdescription("plugins/map/images_thumbnail", _("three options are available: images thumbnails, only the count of images of the group or nothing"));

   // plugins/map/show_outline
   _insert_type("plugins/map/show_outline", "bool");
   _insert_default("plugins/map/show_outline", "true");
   _insert_shortdescription("plugins/map/show_outline", "Whether to highlight the search result on the map");
   _insert_longdescription("plugins/map/show_outline", "");

   // plugins/map/max_outline_nodes
   _insert_type("plugins/map/max_outline_nodes", "int");
   _insert_default("plugins/map/max_outline_nodes", "10000");
   _insert_shortdescription("plugins/map/max_outline_nodes", _("max polygon points"));
   _insert_longdescription("plugins/map/max_outline_nodes", _("limit the number of points imported with polygon in find location module"));

   // plugins/lighttable/metadata_view/pretty_location
   _insert_type("plugins/lighttable/metadata_view/pretty_location", "bool");
   _insert_default("plugins/lighttable/metadata_view/pretty_location", "true");
   _insert_shortdescription("plugins/lighttable/metadata_view/pretty_location", "pretty print the image location");
   _insert_longdescription("plugins/lighttable/metadata_view/pretty_location", "show a more readable representation of the location in the image information module");

   // lighttable/ui/expose_statuses
   _insert_type("lighttable/ui/expose_statuses", "bool");
   _insert_default("lighttable/ui/expose_statuses", "false");
   _insert_shortdescription("lighttable/ui/expose_statuses", "always show thumbnail overlays");
   _insert_longdescription("lighttable/ui/expose_statuses", "show overlays (rating stars, 'edited' mark, etc) for all thumbnails in file manager, not only hovered one");

   // darkroom/ui/overlay_contrast
   _insert_type("darkroom/ui/overlay_contrast", "float");
   _insert_default("darkroom/ui/overlay_contrast", "0.5");
   _insert_shortdescription("darkroom/ui/overlay_contrast", "contrast to use in darkroom overlays");

   // lighttable/ui/preview/bottom_visible
   _insert_type("lighttable/ui/preview/bottom_visible", "bool");
   _insert_default("lighttable/ui/preview/bottom_visible", "true");
   _insert_shortdescription("lighttable/ui/preview/bottom_visible", "show bottom panel in preview mode");
   _insert_longdescription("lighttable/ui/preview/bottom_visible", "");

   // lighttable/ui/preview/left_visible
   _insert_type("lighttable/ui/preview/left_visible", "bool");
   _insert_default("lighttable/ui/preview/left_visible", "false");
   _insert_shortdescription("lighttable/ui/preview/left_visible", "show left panel in preview mode");
   _insert_longdescription("lighttable/ui/preview/left_visible", "");

   // lighttable/ui/preview/right_visible
   _insert_type("lighttable/ui/preview/right_visible", "bool");
   _insert_default("lighttable/ui/preview/right_visible", "false");
   _insert_shortdescription("lighttable/ui/preview/right_visible", "show right panel in preview mode");
   _insert_longdescription("lighttable/ui/preview/right_visible", "");

   // lighttable/ui/preview/header_visible
   _insert_type("lighttable/ui/preview/header_visible", "bool");
   _insert_default("lighttable/ui/preview/header_visible", "false");
   _insert_shortdescription("lighttable/ui/preview/header_visible", "show header panel in preview mode");
   _insert_longdescription("lighttable/ui/preview/header_visible", "");

   // lighttable/ui/preview/toolbar_bottom_visible
   _insert_type("lighttable/ui/preview/toolbar_bottom_visible", "bool");
   _insert_default("lighttable/ui/preview/toolbar_bottom_visible", "false");
   _insert_shortdescription("lighttable/ui/preview/toolbar_bottom_visible", "show toolbar bottom panel in preview mode");
   _insert_longdescription("lighttable/ui/preview/toolbar_bottom_visible", "");

   // lighttable/ui/preview/toolbar_top_visible
   _insert_type("lighttable/ui/preview/toolbar_top_visible", "bool");
   _insert_default("lighttable/ui/preview/toolbar_top_visible", "false");
   _insert_shortdescription("lighttable/ui/preview/toolbar_top_visible", "show toolbar top panel in preview mode");
   _insert_longdescription("lighttable/ui/preview/toolbar_top_visible", "");

   // lighttable/ui/preview/panel_collaps_state
   _insert_type("lighttable/ui/preview/panel_collaps_state", "int");
   _insert_default("lighttable/ui/preview/panel_collaps_state", "1");
   _insert_shortdescription("lighttable/ui/preview/panel_collaps_state", "panels collapsing state in preview mode");
   _insert_longdescription("lighttable/ui/preview/panel_collaps_state", "");

   // slideshow/ui/panel_collaps_state
   _insert_type("slideshow/ui/panel_collaps_state", "int");
   _insert_default("slideshow/ui/panel_collaps_state", "1");
   _insert_shortdescription("slideshow/ui/panel_collaps_state", "panels collapsing state in slideshow");
   _insert_longdescription("slideshow/ui/panel_collaps_state", "");

   // plugins/darkroom/ui/border_size
   _insert_type("plugins/darkroom/ui/border_size", "int");
   _insert_default("plugins/darkroom/ui/border_size", "10");
   _insert_shortdescription("plugins/darkroom/ui/border_size", "border around image in darkroom mode");
   _insert_longdescription("plugins/darkroom/ui/border_size", "process the image in darkroom mode with a small border. set to 0 if you don't want any border.");

   // display/brightness
   _insert_type("display/brightness", "int");
   _insert_default("display/brightness", "50");
   _insert_min("display/brightness", "0");
   _insert_max("display/brightness", "100");
   _insert_shortdescription("display/brightness", "background brightness to show pictures against");

   // ui_last/expander_metadata
   _insert_type("ui_last/expander_metadata", "int");
   _insert_default("ui_last/expander_metadata", "0");
   _insert_shortdescription("ui_last/expander_metadata", "");
   _insert_longdescription("ui_last/expander_metadata", "");

   // ui_last/expander_navigation
   _insert_type("ui_last/expander_navigation", "int");
   _insert_default("ui_last/expander_navigation", "-1");
   _insert_shortdescription("ui_last/expander_navigation", "");
   _insert_longdescription("ui_last/expander_navigation", "");

   // ui_last/expander_histogram
   _insert_type("ui_last/expander_histogram", "int");
   _insert_default("ui_last/expander_histogram", "-1");
   _insert_shortdescription("ui_last/expander_histogram", "");
   _insert_longdescription("ui_last/expander_histogram", "");

   // ui_last/expander_snapshots
   _insert_type("ui_last/expander_snapshots", "int");
   _insert_default("ui_last/expander_snapshots", "-1");
   _insert_shortdescription("ui_last/expander_snapshots", "");
   _insert_longdescription("ui_last/expander_snapshots", "");

   // ui_last/expander_history
   _insert_type("ui_last/expander_history", "int");
   _insert_default("ui_last/expander_history", "-1");
   _insert_shortdescription("ui_last/expander_history", "");
   _insert_longdescription("ui_last/expander_history", "");

   // plugins/lighttable/export/force_lcms2
   _insert_type("plugins/lighttable/export/force_lcms2", "bool");
   _insert_default("plugins/lighttable/export/force_lcms2", "false");
   _insert_shortdescription("plugins/lighttable/export/force_lcms2", "always use LittleCMS 2 to apply output color profile");
   _insert_longdescription("plugins/lighttable/export/force_lcms2", "this is slower than the default.");

   // lighttable/ui/milliseconds
   _insert_type("lighttable/ui/milliseconds", "bool");
   _insert_default("lighttable/ui/milliseconds", "false");
   _insert_shortdescription("lighttable/ui/milliseconds", "show image time with milliseconds");
   _insert_longdescription("lighttable/ui/milliseconds", "defines whether time should be displayed with milliseconds");

   // darkroom/ui/rawoverexposed/mode
   _insert_type("darkroom/ui/rawoverexposed/mode", "int");
   _insert_default("darkroom/ui/rawoverexposed/mode", "0");
   _insert_shortdescription("darkroom/ui/rawoverexposed/mode", "");
   _insert_longdescription("darkroom/ui/rawoverexposed/mode", "");

   // darkroom/ui/rawoverexposed/colorscheme
   _insert_type("darkroom/ui/rawoverexposed/colorscheme", "int");
   _insert_default("darkroom/ui/rawoverexposed/colorscheme", "0");
   _insert_shortdescription("darkroom/ui/rawoverexposed/colorscheme", "");
   _insert_longdescription("darkroom/ui/rawoverexposed/colorscheme", "");

   // darkroom/ui/rawoverexposed/threshold
   _insert_type("darkroom/ui/rawoverexposed/threshold", "float");
   _insert_default("darkroom/ui/rawoverexposed/threshold", "1.0");
   _insert_shortdescription("darkroom/ui/rawoverexposed/threshold", "");
   _insert_longdescription("darkroom/ui/rawoverexposed/threshold", "");

   // darkroom/ui/overexposed/colorscheme
   _insert_type("darkroom/ui/overexposed/colorscheme", "int");
   _insert_default("darkroom/ui/overexposed/colorscheme", "1");
   _insert_shortdescription("darkroom/ui/overexposed/colorscheme", "");
   _insert_longdescription("darkroom/ui/overexposed/colorscheme", "");

   // darkroom/ui/overexposed/lower
   _insert_type("darkroom/ui/overexposed/lower", "float");
   _insert_default("darkroom/ui/overexposed/lower", "-12.69");
   _insert_shortdescription("darkroom/ui/overexposed/lower", "");
   _insert_longdescription("darkroom/ui/overexposed/lower", "");

   // darkroom/ui/overexposed/upper
   _insert_type("darkroom/ui/overexposed/upper", "float");
   _insert_default("darkroom/ui/overexposed/upper", "99.99");
   _insert_shortdescription("darkroom/ui/overexposed/upper", "");
   _insert_longdescription("darkroom/ui/overexposed/upper", "");

   // plugins/darkroom/channelmixerrgb/gui_page
   _insert_type("plugins/darkroom/channelmixerrgb/gui_page", "int");
   _insert_default("plugins/darkroom/channelmixerrgb/gui_page", "0");
   _insert_shortdescription("plugins/darkroom/channelmixerrgb/gui_page", "last page selected in channel mixer rgb notebook");

   // plugins/darkroom/negadoctor/gui_page
   _insert_type("plugins/darkroom/negadoctor/gui_page", "int");
   _insert_default("plugins/darkroom/negadoctor/gui_page", "0");
   _insert_shortdescription("plugins/darkroom/negadoctor/gui_page", "last page selected in negadoctor notebook");

   // plugins/darkroom/retouch/default_algo
   _insert_type("plugins/darkroom/retouch/default_algo", "int");
   _insert_default("plugins/darkroom/retouch/default_algo", "2");
   _insert_shortdescription("plugins/darkroom/retouch/default_algo", "default algorithm for the retouch module");

   // plugins/darkroom/demosaic/fdc_xover_iso
   _insert_type("plugins/darkroom/demosaic/fdc_xover_iso", "int");
   _insert_default("plugins/darkroom/demosaic/fdc_xover_iso", "1600");
   _insert_shortdescription("plugins/darkroom/demosaic/fdc_xover_iso", "crossover iso for X-Trans fdc demosaicing");
   _insert_longdescription("plugins/darkroom/demosaic/fdc_xover_iso", "up to, and including, this iso, X-Trans frequency domain chroma demosaicing uses the hybrid mode for determining chroma; for all higher iso values the pure fdc is used.");

   // plugins/darkroom/denoiseprofile/show_compute_variance_mode
   _insert_type("plugins/darkroom/denoiseprofile/show_compute_variance_mode", "bool");
   _insert_default("plugins/darkroom/denoiseprofile/show_compute_variance_mode", "false");
   _insert_shortdescription("plugins/darkroom/denoiseprofile/show_compute_variance_mode", "whether to show the compute variance mode in denoiseprofile");
   _insert_longdescription("plugins/darkroom/denoiseprofile/show_compute_variance_mode", "adds a mode in denoiseprofile that allows to compute the variance after the generalized anscombe transform is performed");

   // darkroom/ui/loading_screen
   _insert_type("darkroom/ui/loading_screen", "bool");
   _insert_default("darkroom/ui/loading_screen", "true");
   _insert_shortdescription("darkroom/ui/loading_screen", "show loading screen between images");
   _insert_longdescription("darkroom/ui/loading_screen", "show gray loading screen when navigating between images in the darkroom\ndisable to just show a toast message");

   // plugins/lighttable/export/pixel_interpolator_warp
   _insert_type("plugins/lighttable/export/pixel_interpolator_warp", "enum");
   _insert_values("plugins/lighttable/export/pixel_interpolator_warp", "[bilinear][bicubic][lanczos2]");
   const char *id58 = C_("preferences", "bilinear");
   const char *id59 = C_("preferences", "bicubic");
   const char *id60 = C_("preferences", "lanczos2");
   _insert_default("plugins/lighttable/export/pixel_interpolator_warp", "bicubic");
   _insert_shortdescription("plugins/lighttable/export/pixel_interpolator_warp", "pixel interpolator (warp)");
   _insert_longdescription("plugins/lighttable/export/pixel_interpolator_warp", "pixel interpolator used in modules for rotation, lens correction, liquify, cropping and final scaling (bilinear, bicubic, lanczos2).");

   // plugins/lighttable/export/pixel_interpolator
   _insert_type("plugins/lighttable/export/pixel_interpolator", "enum");
   _insert_values("plugins/lighttable/export/pixel_interpolator", "[bilinear][bicubic][lanczos2][lanczos3]");
   const char *id61 = C_("preferences", "bilinear");
   const char *id62 = C_("preferences", "bicubic");
   const char *id63 = C_("preferences", "lanczos2");
   const char *id64 = C_("preferences", "lanczos3");
   _insert_default("plugins/lighttable/export/pixel_interpolator", "lanczos3");
   _insert_shortdescription("plugins/lighttable/export/pixel_interpolator", "pixel interpolator (scaling)");
   _insert_longdescription("plugins/lighttable/export/pixel_interpolator", "pixel interpolator used for scaling (bilinear, bicubic, lanczos2, lanczos3).");

   // plugins/lighttable/export/dimensions_type
   _insert_type("plugins/lighttable/export/dimensions_type", "int");
   _insert_default("plugins/lighttable/export/dimensions_type", "4");
   _insert_min("plugins/lighttable/export/dimensions_type", "0");
   _insert_shortdescription("plugins/lighttable/export/dimensions_type", "unit of the printing size");
   _insert_longdescription("plugins/lighttable/export/dimensions_type", "unit in which to input the image size.");

   // plugins/lighttable/export/print_dpi
   _insert_type("plugins/lighttable/export/print_dpi", "int");
   _insert_default("plugins/lighttable/export/print_dpi", "300");
   _insert_min("plugins/lighttable/export/print_dpi", "72");
   _insert_max("plugins/lighttable/export/print_dpi", "9600");
   _insert_shortdescription("plugins/lighttable/export/print_dpi", "DPI");
   _insert_longdescription("plugins/lighttable/export/print_dpi", "print resolusion in DPI.");

   // plugins/lighttable/export/width
   _insert_type("plugins/lighttable/export/width", "int");
   _insert_default("plugins/lighttable/export/width", "0");
   _insert_min("plugins/lighttable/export/width", "0");
   _insert_shortdescription("plugins/lighttable/export/width", "width of the exported image");
   _insert_longdescription("plugins/lighttable/export/width", "width of the exported image, or 0 if no scaling should be done.");

   // plugins/lighttable/export/height
   _insert_type("plugins/lighttable/export/height", "int");
   _insert_default("plugins/lighttable/export/height", "0");
   _insert_min("plugins/lighttable/export/height", "0");
   _insert_shortdescription("plugins/lighttable/export/height", "height of the exported image");
   _insert_longdescription("plugins/lighttable/export/height", "height of the exported image, or 0 if no scaling should be done.");

   // plugins/lighttable/export/storage_name
   _insert_type("plugins/lighttable/export/storage_name", "string");
   _insert_default("plugins/lighttable/export/storage_name", "disk");
   _insert_shortdescription("plugins/lighttable/export/storage_name", "");
   _insert_longdescription("plugins/lighttable/export/storage_name", "");

   // plugins/lighttable/export/format_name
   _insert_type("plugins/lighttable/export/format_name", "string");
   _insert_default("plugins/lighttable/export/format_name", "jpeg");
   _insert_shortdescription("plugins/lighttable/export/format_name", "");
   _insert_longdescription("plugins/lighttable/export/format_name", "");

   // plugins/lighttable/export/style
   _insert_type("plugins/lighttable/export/style", "string");
   _insert_default("plugins/lighttable/export/style", "");
   _insert_shortdescription("plugins/lighttable/export/style", "");
   _insert_longdescription("plugins/lighttable/export/style", "");

   // plugins/imageio/storage/disk/file_directory
   _insert_type("plugins/imageio/storage/disk/file_directory", "string");
   _insert_default("plugins/imageio/storage/disk/file_directory", "$(FILE.FOLDER)/ansel_exported/$(FILE.NAME)");
   _insert_shortdescription("plugins/imageio/storage/disk/file_directory", "");
   _insert_longdescription("plugins/imageio/storage/disk/file_directory", "");

   // plugins/imageio/storage/gallery/file_directory
   _insert_type("plugins/imageio/storage/gallery/file_directory", "string");
   _insert_default("plugins/imageio/storage/gallery/file_directory", "$(HOME)/ansel_gallery/img_$(SEQUENCE)");
   _insert_shortdescription("plugins/imageio/storage/gallery/file_directory", "");
   _insert_longdescription("plugins/imageio/storage/gallery/file_directory", "");

   // plugins/imageio/storage/gallery/title
   _insert_type("plugins/imageio/storage/gallery/title", "string");
   _insert_default("plugins/imageio/storage/gallery/title", "ansel gallery");
   _insert_shortdescription("plugins/imageio/storage/gallery/title", "");
   _insert_longdescription("plugins/imageio/storage/gallery/title", "");

   // plugins/imageio/storage/email/client
   _insert_type("plugins/imageio/storage/email/client", "string");
   _insert_default("plugins/imageio/storage/email/client", "");
   _insert_shortdescription("plugins/imageio/storage/email/client", "client to use, this overrides detection of default client.");
   _insert_longdescription("plugins/imageio/storage/email/client", "");

   // plugins/imageio/storage/gphoto/id
   _insert_type("plugins/imageio/storage/gphoto/id", "string");
   _insert_default("plugins/imageio/storage/gphoto/id", "642055548087-n01fgvugnbns7a9jq8jfucjsn5l1t6so.apps.googleusercontent.com");
   _insert_shortdescription("plugins/imageio/storage/gphoto/id", "google photo client id");
   _insert_longdescription("plugins/imageio/storage/gphoto/id", "");

   // plugins/imageio/storage/gphoto/secret
   _insert_type("plugins/imageio/storage/gphoto/secret", "string");
   _insert_default("plugins/imageio/storage/gphoto/secret", "o29QcbsDWS5cauRqdmGdF3sP");
   _insert_shortdescription("plugins/imageio/storage/gphoto/secret", "google photo client secret");
   _insert_longdescription("plugins/imageio/storage/gphoto/secret", "");

   // plugins/imageio/format/pdf/size
   _insert_type("plugins/imageio/format/pdf/size", "string");
   _insert_default("plugins/imageio/format/pdf/size", "a4");
   _insert_shortdescription("plugins/imageio/format/pdf/size", "");
   _insert_longdescription("plugins/imageio/format/pdf/size", "");

   // plugins/imageio/format/pdf/border
   _insert_type("plugins/imageio/format/pdf/border", "string");
   _insert_default("plugins/imageio/format/pdf/border", "0 mm");
   _insert_shortdescription("plugins/imageio/format/pdf/border", "");
   _insert_longdescription("plugins/imageio/format/pdf/border", "");

   // plugins/imageio/format/pdf/dpi
   _insert_type("plugins/imageio/format/pdf/dpi", "float");
   _insert_default("plugins/imageio/format/pdf/dpi", "300");
   _insert_shortdescription("plugins/imageio/format/pdf/dpi", "");
   _insert_longdescription("plugins/imageio/format/pdf/dpi", "");

   // plugins/imageio/format/pdf/bpp
   _insert_type("plugins/imageio/format/pdf/bpp", "enum");
   _insert_values("plugins/imageio/format/pdf/bpp", "[8][16]");
   _insert_default("plugins/imageio/format/pdf/bpp", "8");
   _insert_shortdescription("plugins/imageio/format/pdf/bpp", "PDF bit depth (bpp)");
   _insert_longdescription("plugins/imageio/format/pdf/bpp", "");

   // plugins/imageio/format/pdf/compression
   _insert_type("plugins/imageio/format/pdf/compression", "int");
   _insert_default("plugins/imageio/format/pdf/compression", "1");
   _insert_shortdescription("plugins/imageio/format/pdf/compression", "");
   _insert_longdescription("plugins/imageio/format/pdf/compression", "");

   // plugins/imageio/format/exr/bpp
   _insert_type("plugins/imageio/format/exr/bpp", "enum");
   _insert_values("plugins/imageio/format/exr/bpp", "[16][32]");
   _insert_default("plugins/imageio/format/exr/bpp", "32");
   _insert_shortdescription("plugins/imageio/format/exr/bpp", "EXR float bit depth (bpp)");
   _insert_longdescription("plugins/imageio/format/exr/bpp", "");

   // plugins/imageio/format/exr/compression
   _insert_type("plugins/imageio/format/exr/compression", "int");
   _insert_default("plugins/imageio/format/exr/compression", "4");
   _insert_shortdescription("plugins/imageio/format/exr/compression", "");
   _insert_longdescription("plugins/imageio/format/exr/compression", "");

   // plugins/imageio/format/jpeg/quality
   _insert_type("plugins/imageio/format/jpeg/quality", "int");
   _insert_default("plugins/imageio/format/jpeg/quality", "95");
   _insert_min("plugins/imageio/format/jpeg/quality", "5");
   _insert_max("plugins/imageio/format/jpeg/quality", "100");
   _insert_shortdescription("plugins/imageio/format/jpeg/quality", "");
   _insert_longdescription("plugins/imageio/format/jpeg/quality", "");

   // plugins/imageio/format/j2k/quality
   _insert_type("plugins/imageio/format/j2k/quality", "int");
   _insert_default("plugins/imageio/format/j2k/quality", "95");
   _insert_min("plugins/imageio/format/j2k/quality", "5");
   _insert_max("plugins/imageio/format/j2k/quality", "100");
   _insert_shortdescription("plugins/imageio/format/j2k/quality", "");
   _insert_longdescription("plugins/imageio/format/j2k/quality", "");

   // plugins/imageio/format/tiff/bpp
   _insert_type("plugins/imageio/format/tiff/bpp", "enum");
   _insert_values("plugins/imageio/format/tiff/bpp", "[8][16][32]");
   _insert_default("plugins/imageio/format/tiff/bpp", "8");
   _insert_shortdescription("plugins/imageio/format/tiff/bpp", "TIFF bit depth (bpp)");
   _insert_longdescription("plugins/imageio/format/tiff/bpp", "");

   // plugins/imageio/format/tiff/compress
   _insert_type("plugins/imageio/format/tiff/compress", "int");
   _insert_default("plugins/imageio/format/tiff/compress", "2");
   _insert_shortdescription("plugins/imageio/format/tiff/compress", "");
   _insert_longdescription("plugins/imageio/format/tiff/compress", "");

   // plugins/imageio/format/tiff/compresslevel
   _insert_type("plugins/imageio/format/tiff/compresslevel", "int");
   _insert_default("plugins/imageio/format/tiff/compresslevel", "6");
   _insert_min("plugins/imageio/format/tiff/compresslevel", "0");
   _insert_max("plugins/imageio/format/tiff/compresslevel", "9");
   _insert_shortdescription("plugins/imageio/format/tiff/compresslevel", "");
   _insert_longdescription("plugins/imageio/format/tiff/compresslevel", "");

   // plugins/imageio/format/png/bpp
   _insert_type("plugins/imageio/format/png/bpp", "enum");
   _insert_values("plugins/imageio/format/png/bpp", "[8][16]");
   _insert_default("plugins/imageio/format/png/bpp", "8");
   _insert_shortdescription("plugins/imageio/format/png/bpp", "PNG bit depth (bpp)");
   _insert_longdescription("plugins/imageio/format/png/bpp", "");

   // plugins/imageio/format/png/compression
   _insert_type("plugins/imageio/format/png/compression", "int");
   _insert_default("plugins/imageio/format/png/compression", "5");
   _insert_min("plugins/imageio/format/png/compression", "0");
   _insert_max("plugins/imageio/format/png/compression", "9");
   _insert_shortdescription("plugins/imageio/format/png/compression", "");
   _insert_longdescription("plugins/imageio/format/png/compression", "");

   // plugins/imageio/format/webp/comp_type
   _insert_type("plugins/imageio/format/webp/comp_type", "int");
   _insert_default("plugins/imageio/format/webp/comp_type", "0");
   _insert_min("plugins/imageio/format/webp/comp_type", "0");
   _insert_max("plugins/imageio/format/webp/comp_type", "1");
   _insert_shortdescription("plugins/imageio/format/webp/comp_type", "");
   _insert_longdescription("plugins/imageio/format/webp/comp_type", "");

   // plugins/imageio/format/webp/quality
   _insert_type("plugins/imageio/format/webp/quality", "int");
   _insert_default("plugins/imageio/format/webp/quality", "95");
   _insert_min("plugins/imageio/format/webp/quality", "5");
   _insert_max("plugins/imageio/format/webp/quality", "100");
   _insert_shortdescription("plugins/imageio/format/webp/quality", "");
   _insert_longdescription("plugins/imageio/format/webp/quality", "");

   // plugins/imageio/format/webp/hint
   _insert_type("plugins/imageio/format/webp/hint", "int");
   _insert_default("plugins/imageio/format/webp/hint", "0");
   _insert_shortdescription("plugins/imageio/format/webp/hint", "");
   _insert_longdescription("plugins/imageio/format/webp/hint", "");

   // plugins/imageio/format/avif/bpp
   _insert_type("plugins/imageio/format/avif/bpp", "enum");
   _insert_values("plugins/imageio/format/avif/bpp", "[8][10][12]");
   _insert_default("plugins/imageio/format/avif/bpp", "8");
   _insert_shortdescription("plugins/imageio/format/avif/bpp", "AVIF bit depth (bpp)");
   _insert_longdescription("plugins/imageio/format/avif/bpp", "");

   // plugins/imageio/format/avif/color_mode
   _insert_type("plugins/imageio/format/avif/color_mode", "int");
   _insert_default("plugins/imageio/format/avif/color_mode", "0");
   _insert_min("plugins/imageio/format/avif/color_mode", "0");
   _insert_shortdescription("plugins/imageio/format/avif/color_mode", "");
   _insert_longdescription("plugins/imageio/format/avif/color_mode", "");

   // plugins/imageio/format/avif/tiling
   _insert_type("plugins/imageio/format/avif/tiling", "bool");
   _insert_default("plugins/imageio/format/avif/tiling", "true");
   _insert_shortdescription("plugins/imageio/format/avif/tiling", "AVIF Tiling");
   _insert_longdescription("plugins/imageio/format/avif/tiling", "");

   // plugins/imageio/format/avif/compression_type
   _insert_type("plugins/imageio/format/avif/compression_type", "int");
   _insert_default("plugins/imageio/format/avif/compression_type", "0");
   _insert_min("plugins/imageio/format/avif/compression_type", "0");
   _insert_shortdescription("plugins/imageio/format/avif/compression_type", "");
   _insert_longdescription("plugins/imageio/format/avif/compression_type", "");

   // plugins/imageio/format/avif/quality
   _insert_type("plugins/imageio/format/avif/quality", "int");
   _insert_default("plugins/imageio/format/avif/quality", "92");
   _insert_min("plugins/imageio/format/avif/quality", "5");
   _insert_max("plugins/imageio/format/avif/quality", "100");
   _insert_shortdescription("plugins/imageio/format/avif/quality", "");
   _insert_longdescription("plugins/imageio/format/avif/quality", "");

   // plugins/imageio/format/xcf/bpp
   _insert_type("plugins/imageio/format/xcf/bpp", "enum");
   _insert_values("plugins/imageio/format/xcf/bpp", "[8][16][32]");
   _insert_default("plugins/imageio/format/xcf/bpp", "32");
   _insert_shortdescription("plugins/imageio/format/xcf/bpp", "XCF bit depth (bpp)");
   _insert_longdescription("plugins/imageio/format/xcf/bpp", "");

   // plugins/pwstorage/pwstorage_backend
   _insert_type("plugins/pwstorage/pwstorage_backend", "enum");
   _insert_values("plugins/pwstorage/pwstorage_backend", "[auto][none][libsecret][kwallet]");
   const char *id65 = C_("preferences", "auto");
   const char *id66 = C_("preferences", "none");
   const char *id67 = C_("preferences", "libsecret");
   const char *id68 = C_("preferences", "kwallet");
   _insert_default("plugins/pwstorage/pwstorage_backend", "auto");
   _insert_shortdescription("plugins/pwstorage/pwstorage_backend", "password storage backend to use");
   _insert_longdescription("plugins/pwstorage/pwstorage_backend", "the storage backend for password storage: auto, none, libsecret, kwallet");

   // plugins/lighttable/export/icctype
   _insert_type("plugins/lighttable/export/icctype", "int");
   _insert_default("plugins/lighttable/export/icctype", "1");
   _insert_shortdescription("plugins/lighttable/export/icctype", "ICC profile type to use for export");
   _insert_longdescription("plugins/lighttable/export/icctype", "this overrides the per-image settings, if not set to -1.");

   // plugins/lighttable/export/iccprofile
   _insert_type("plugins/lighttable/export/iccprofile", "string");
   _insert_default("plugins/lighttable/export/iccprofile", "");
   _insert_shortdescription("plugins/lighttable/export/iccprofile", "ICC profile filename to use for export");
   _insert_longdescription("plugins/lighttable/export/iccprofile", "this overrides the per-image settings, if icctype not set to -1.");

   // plugins/lighttable/export/iccintent
   _insert_type("plugins/lighttable/export/iccintent", "int");
   _insert_default("plugins/lighttable/export/iccintent", "1");
   _insert_shortdescription("plugins/lighttable/export/iccintent", "ICC rendering intent");
   _insert_longdescription("plugins/lighttable/export/iccintent", "if non-negative, this overrides the per-image output color profile rendering intent on export.");

   // plugins/darkroom/groups
   _insert_type("plugins/darkroom/groups", "int");
   _insert_default("plugins/darkroom/groups", "2");
   _insert_shortdescription("plugins/darkroom/groups", "");
   _insert_longdescription("plugins/darkroom/groups", "");

   // plugins/darkroom/active
   _insert_type("plugins/darkroom/active", "string");
   _insert_default("plugins/darkroom/active", "");
   _insert_shortdescription("plugins/darkroom/active", "");
   _insert_longdescription("plugins/darkroom/active", "");

   // plugins/darkroom/spots/circle_size
   _insert_type("plugins/darkroom/spots/circle_size", "float");
   _insert_default("plugins/darkroom/spots/circle_size", "0.02");
   _insert_shortdescription("plugins/darkroom/spots/circle_size", "");
   _insert_longdescription("plugins/darkroom/spots/circle_size", "");

   // plugins/darkroom/spots/circle_border
   _insert_type("plugins/darkroom/spots/circle_border", "float");
   _insert_default("plugins/darkroom/spots/circle_border", "0.02");
   _insert_shortdescription("plugins/darkroom/spots/circle_border", "");
   _insert_longdescription("plugins/darkroom/spots/circle_border", "");

   // plugins/darkroom/spots/ellipse_radius_a
   _insert_type("plugins/darkroom/spots/ellipse_radius_a", "float");
   _insert_default("plugins/darkroom/spots/ellipse_radius_a", "0.02");
   _insert_shortdescription("plugins/darkroom/spots/ellipse_radius_a", "");
   _insert_longdescription("plugins/darkroom/spots/ellipse_radius_a", "");

   // plugins/darkroom/spots/ellipse_radius_b
   _insert_type("plugins/darkroom/spots/ellipse_radius_b", "float");
   _insert_default("plugins/darkroom/spots/ellipse_radius_b", "0.01414");
   _insert_shortdescription("plugins/darkroom/spots/ellipse_radius_b", "");
   _insert_longdescription("plugins/darkroom/spots/ellipse_radius_b", "");

   // plugins/darkroom/spots/ellipse_border
   _insert_type("plugins/darkroom/spots/ellipse_border", "float");
   _insert_default("plugins/darkroom/spots/ellipse_border", "0.02");
   _insert_shortdescription("plugins/darkroom/spots/ellipse_border", "");
   _insert_longdescription("plugins/darkroom/spots/ellipse_border", "");

   // plugins/darkroom/spots/ellipse_rotation
   _insert_type("plugins/darkroom/spots/ellipse_rotation", "float");
   _insert_default("plugins/darkroom/spots/ellipse_rotation", "90.0");
   _insert_shortdescription("plugins/darkroom/spots/ellipse_rotation", "");
   _insert_longdescription("plugins/darkroom/spots/ellipse_rotation", "");

   // plugins/darkroom/spots/ellipse_flags
   _insert_type("plugins/darkroom/spots/ellipse_flags", "int");
   _insert_default("plugins/darkroom/spots/ellipse_flags", "0");
   _insert_shortdescription("plugins/darkroom/spots/ellipse_flags", "");
   _insert_longdescription("plugins/darkroom/spots/ellipse_flags", "");

   // plugins/darkroom/spots/path_border
   _insert_type("plugins/darkroom/spots/path_border", "float");
   _insert_default("plugins/darkroom/spots/path_border", "0.05");
   _insert_shortdescription("plugins/darkroom/spots/path_border", "");
   _insert_longdescription("plugins/darkroom/spots/path_border", "");

   // plugins/darkroom/spots/brush_border
   _insert_type("plugins/darkroom/spots/brush_border", "float");
   _insert_default("plugins/darkroom/spots/brush_border", "0.05");
   _insert_shortdescription("plugins/darkroom/spots/brush_border", "");
   _insert_longdescription("plugins/darkroom/spots/brush_border", "");

   // plugins/darkroom/spots/brush_density
   _insert_type("plugins/darkroom/spots/brush_density", "float");
   _insert_default("plugins/darkroom/spots/brush_density", "1.0");
   _insert_shortdescription("plugins/darkroom/spots/brush_density", "");
   _insert_longdescription("plugins/darkroom/spots/brush_density", "");

   // plugins/darkroom/spots/brush_hardness
   _insert_type("plugins/darkroom/spots/brush_hardness", "float");
   _insert_default("plugins/darkroom/spots/brush_hardness", "0.66");
   _insert_shortdescription("plugins/darkroom/spots/brush_hardness", "");
   _insert_longdescription("plugins/darkroom/spots/brush_hardness", "");

   // plugins/darkroom/clipping/ratio_d
   _insert_type("plugins/darkroom/clipping/ratio_d", "int");
   _insert_default("plugins/darkroom/clipping/ratio_d", "0");
   _insert_shortdescription("plugins/darkroom/clipping/ratio_d", "last chosen aspect ratio denominator");
   _insert_longdescription("plugins/darkroom/clipping/ratio_d", "");

   // plugins/darkroom/clipping/ratio_n
   _insert_type("plugins/darkroom/clipping/ratio_n", "int");
   _insert_default("plugins/darkroom/clipping/ratio_n", "0");
   _insert_shortdescription("plugins/darkroom/clipping/ratio_n", "last chosen aspect ratio numerator");
   _insert_longdescription("plugins/darkroom/clipping/ratio_n", "");

   // plugins/darkroom/clipping/guide
   _insert_type("plugins/darkroom/clipping/guide", "int");
   _insert_default("plugins/darkroom/clipping/guide", "0");
   _insert_shortdescription("plugins/darkroom/clipping/guide", "last chosen guide style");
   _insert_longdescription("plugins/darkroom/clipping/guide", "");

   // plugins/darkroom/histogram/display
   _insert_type("plugins/darkroom/histogram/display", "int");
   _insert_default("plugins/darkroom/histogram/display", "0");
   _insert_min("plugins/darkroom/histogram/display", "0");
   _insert_max("plugins/darkroom/histogram/display", "2");
   _insert_shortdescription("plugins/darkroom/histogram/display", "Histogram display mode");
   _insert_longdescription("plugins/darkroom/histogram/display", "");

   // plugins/darkroom/histogram/op
   _insert_type("plugins/darkroom/histogram/op", "string");
   _insert_default("plugins/darkroom/histogram/op", "gamma");
   _insert_shortdescription("plugins/darkroom/histogram/op", "Module at which the histogram is sampled");
   _insert_longdescription("plugins/darkroom/histogram/op", "");

   // plugins/darkroom/histogram/zoom
   _insert_type("plugins/darkroom/histogram/zoom", "float");
   _insert_default("plugins/darkroom/histogram/zoom", "220.0");
   _insert_shortdescription("plugins/darkroom/histogram/zoom", "Zoom level in vectorscope");
   _insert_longdescription("plugins/darkroom/histogram/zoom", "");

   // plugins/darkroom/atrous/aspect_percent
   _insert_type("plugins/darkroom/atrous/aspect_percent", "int");
   _insert_default("plugins/darkroom/atrous/aspect_percent", "56");
   _insert_min("plugins/darkroom/atrous/aspect_percent", "50");
   _insert_max("plugins/darkroom/atrous/aspect_percent", "100");
   _insert_shortdescription("plugins/darkroom/atrous/aspect_percent", "aspect ratio of contrast equalizer gui in per cent");
   _insert_longdescription("plugins/darkroom/atrous/aspect_percent", "aspect ratio of contrast equalizer gui in per cent");

   // plugins/darkroom/denoiseprofile/aspect_percent
   _insert_type("plugins/darkroom/denoiseprofile/aspect_percent", "int");
   _insert_default("plugins/darkroom/denoiseprofile/aspect_percent", "56");
   _insert_min("plugins/darkroom/denoiseprofile/aspect_percent", "50");
   _insert_max("plugins/darkroom/denoiseprofile/aspect_percent", "100");
   _insert_shortdescription("plugins/darkroom/denoiseprofile/aspect_percent", "aspect ratio of denoise (profiled) wavelets gui in per cent");
   _insert_longdescription("plugins/darkroom/denoiseprofile/aspect_percent", "aspect ratio of denoise (profiled) wavelets gui in per cent");

   // plugins/darkroom/rawdenoise/aspect_percent
   _insert_type("plugins/darkroom/rawdenoise/aspect_percent", "int");
   _insert_default("plugins/darkroom/rawdenoise/aspect_percent", "56");
   _insert_min("plugins/darkroom/rawdenoise/aspect_percent", "50");
   _insert_max("plugins/darkroom/rawdenoise/aspect_percent", "100");
   _insert_shortdescription("plugins/darkroom/rawdenoise/aspect_percent", "aspect ratio of raw denoise wavelets gui in per cent");
   _insert_longdescription("plugins/darkroom/rawdenoise/aspect_percent", "aspect ratio of raw denoise wavelets gui in per cent");

   // plugins/darkroom/colorzones/aspect_percent
   _insert_type("plugins/darkroom/colorzones/aspect_percent", "int");
   _insert_default("plugins/darkroom/colorzones/aspect_percent", "56");
   _insert_min("plugins/darkroom/colorzones/aspect_percent", "50");
   _insert_max("plugins/darkroom/colorzones/aspect_percent", "100");
   _insert_shortdescription("plugins/darkroom/colorzones/aspect_percent", "aspect ratio of color zones graph in per cent");
   _insert_longdescription("plugins/darkroom/colorzones/aspect_percent", "aspect ratio of color zones graph in per cent");

   // plugins/darkroom/lowlight/aspect_percent
   _insert_type("plugins/darkroom/lowlight/aspect_percent", "int");
   _insert_default("plugins/darkroom/lowlight/aspect_percent", "56");
   _insert_min("plugins/darkroom/lowlight/aspect_percent", "50");
   _insert_max("plugins/darkroom/lowlight/aspect_percent", "100");
   _insert_shortdescription("plugins/darkroom/lowlight/aspect_percent", "aspect ratio of lowlight graph in per cent");
   _insert_longdescription("plugins/darkroom/lowlight/aspect_percent", "aspect ratio of lowlight graph in per cent");

   // plugins/darkroom/levels/aspect_percent
   _insert_type("plugins/darkroom/levels/aspect_percent", "int");
   _insert_default("plugins/darkroom/levels/aspect_percent", "56");
   _insert_min("plugins/darkroom/levels/aspect_percent", "25");
   _insert_max("plugins/darkroom/levels/aspect_percent", "100");
   _insert_shortdescription("plugins/darkroom/levels/aspect_percent", "aspect ratio of levels graph in per cent");
   _insert_longdescription("plugins/darkroom/levels/aspect_percent", "aspect ratio of levels graph in per cent");

   // plugins/darkroom/rgblevels/aspect_percent
   _insert_type("plugins/darkroom/rgblevels/aspect_percent", "int");
   _insert_default("plugins/darkroom/rgblevels/aspect_percent", "56");
   _insert_min("plugins/darkroom/rgblevels/aspect_percent", "25");
   _insert_max("plugins/darkroom/rgblevels/aspect_percent", "100");
   _insert_shortdescription("plugins/darkroom/rgblevels/aspect_percent", "aspect ratio of rgb levels graph in per cent");
   _insert_longdescription("plugins/darkroom/rgblevels/aspect_percent", "aspect ratio of rgb levels graph in per cent");

   // plugins/darkroom/filmicrgb/aspect_percent
   _insert_type("plugins/darkroom/filmicrgb/aspect_percent", "int");
   _insert_default("plugins/darkroom/filmicrgb/aspect_percent", "56");
   _insert_min("plugins/darkroom/filmicrgb/aspect_percent", "50");
   _insert_max("plugins/darkroom/filmicrgb/aspect_percent", "100");
   _insert_shortdescription("plugins/darkroom/filmicrgb/aspect_percent", "aspect ratio of filmic rgb graph in per cent");
   _insert_longdescription("plugins/darkroom/filmicrgb/aspect_percent", "aspect ratio of filmic rgb graph in per cent");

   // plugins/darkroom/colorbalancergb/aspect_percent
   _insert_type("plugins/darkroom/colorbalancergb/aspect_percent", "int");
   _insert_default("plugins/darkroom/colorbalancergb/aspect_percent", "56");
   _insert_min("plugins/darkroom/colorbalancergb/aspect_percent", "50");
   _insert_max("plugins/darkroom/colorbalancergb/aspect_percent", "100");
   _insert_shortdescription("plugins/darkroom/colorbalancergb/aspect_percent", "aspect ratio of color balance rgb graph in per cent");
   _insert_longdescription("plugins/darkroom/colorbalancergb/aspect_percent", "aspect ratio of color balance rgb graph in per cent");

   // plugins/darkroom/masks/opacity
   _insert_type("plugins/darkroom/masks/opacity", "float");
   _insert_default("plugins/darkroom/masks/opacity", "1.0");
   _insert_shortdescription("plugins/darkroom/masks/opacity", "");
   _insert_longdescription("plugins/darkroom/masks/opacity", "");

   // plugins/darkroom/masks/circle/size
   _insert_type("plugins/darkroom/masks/circle/size", "float");
   _insert_default("plugins/darkroom/masks/circle/size", "0.05");
   _insert_shortdescription("plugins/darkroom/masks/circle/size", "");
   _insert_longdescription("plugins/darkroom/masks/circle/size", "");

   // plugins/darkroom/masks/circle/border
   _insert_type("plugins/darkroom/masks/circle/border", "float");
   _insert_default("plugins/darkroom/masks/circle/border", "0.05");
   _insert_shortdescription("plugins/darkroom/masks/circle/border", "");
   _insert_longdescription("plugins/darkroom/masks/circle/border", "");

   // plugins/darkroom/masks/ellipse/radius_a
   _insert_type("plugins/darkroom/masks/ellipse/radius_a", "float");
   _insert_default("plugins/darkroom/masks/ellipse/radius_a", "0.05");
   _insert_shortdescription("plugins/darkroom/masks/ellipse/radius_a", "");
   _insert_longdescription("plugins/darkroom/masks/ellipse/radius_a", "");

   // plugins/darkroom/masks/ellipse/radius_b
   _insert_type("plugins/darkroom/masks/ellipse/radius_b", "float");
   _insert_default("plugins/darkroom/masks/ellipse/radius_b", "0.03535");
   _insert_shortdescription("plugins/darkroom/masks/ellipse/radius_b", "");
   _insert_longdescription("plugins/darkroom/masks/ellipse/radius_b", "");

   // plugins/darkroom/masks/ellipse/border
   _insert_type("plugins/darkroom/masks/ellipse/border", "float");
   _insert_default("plugins/darkroom/masks/ellipse/border", "0.05");
   _insert_shortdescription("plugins/darkroom/masks/ellipse/border", "");
   _insert_longdescription("plugins/darkroom/masks/ellipse/border", "");

   // plugins/darkroom/masks/ellipse/rotation
   _insert_type("plugins/darkroom/masks/ellipse/rotation", "float");
   _insert_default("plugins/darkroom/masks/ellipse/rotation", "90.0");
   _insert_shortdescription("plugins/darkroom/masks/ellipse/rotation", "");
   _insert_longdescription("plugins/darkroom/masks/ellipse/rotation", "");

   // plugins/darkroom/masks/ellipse/flags
   _insert_type("plugins/darkroom/masks/ellipse/flags", "int");
   _insert_default("plugins/darkroom/masks/ellipse/flags", "0");
   _insert_shortdescription("plugins/darkroom/masks/ellipse/flags", "");
   _insert_longdescription("plugins/darkroom/masks/ellipse/flags", "");

   // plugins/darkroom/masks/path/border
   _insert_type("plugins/darkroom/masks/path/border", "float");
   _insert_default("plugins/darkroom/masks/path/border", "0.05");
   _insert_shortdescription("plugins/darkroom/masks/path/border", "");
   _insert_longdescription("plugins/darkroom/masks/path/border", "");

   // plugins/darkroom/masks/gradient/rotation
   _insert_type("plugins/darkroom/masks/gradient/rotation", "float");
   _insert_default("plugins/darkroom/masks/gradient/rotation", "0.0");
   _insert_shortdescription("plugins/darkroom/masks/gradient/rotation", "");
   _insert_longdescription("plugins/darkroom/masks/gradient/rotation", "");

   // plugins/darkroom/masks/gradient/compression
   _insert_type("plugins/darkroom/masks/gradient/compression", "float");
   _insert_default("plugins/darkroom/masks/gradient/compression", "0.5");
   _insert_shortdescription("plugins/darkroom/masks/gradient/compression", "");
   _insert_longdescription("plugins/darkroom/masks/gradient/compression", "");

   // plugins/darkroom/masks/gradient/steepness
   _insert_type("plugins/darkroom/masks/gradient/steepness", "float");
   _insert_default("plugins/darkroom/masks/gradient/steepness", "0.0");
   _insert_shortdescription("plugins/darkroom/masks/gradient/steepness", "");
   _insert_longdescription("plugins/darkroom/masks/gradient/steepness", "");

   // plugins/darkroom/masks/brush/border
   _insert_type("plugins/darkroom/masks/brush/border", "float");
   _insert_default("plugins/darkroom/masks/brush/border", "0.05");
   _insert_shortdescription("plugins/darkroom/masks/brush/border", "");
   _insert_longdescription("plugins/darkroom/masks/brush/border", "");

   // plugins/darkroom/masks/brush/density
   _insert_type("plugins/darkroom/masks/brush/density", "float");
   _insert_default("plugins/darkroom/masks/brush/density", "1.0");
   _insert_shortdescription("plugins/darkroom/masks/brush/density", "");
   _insert_longdescription("plugins/darkroom/masks/brush/density", "");

   // plugins/darkroom/masks/brush/hardness
   _insert_type("plugins/darkroom/masks/brush/hardness", "float");
   _insert_default("plugins/darkroom/masks/brush/hardness", "0.66");
   _insert_shortdescription("plugins/darkroom/masks/brush/hardness", "");
   _insert_longdescription("plugins/darkroom/masks/brush/hardness", "");

   // plugins/darkroom/masks/heightview
   _insert_type("plugins/darkroom/masks/heightview", "int");
   _insert_default("plugins/darkroom/masks/heightview", "300");
   _insert_min("plugins/darkroom/masks/heightview", "100");
   _insert_max("plugins/darkroom/masks/heightview", "1000");
   _insert_shortdescription("plugins/darkroom/masks/heightview", "height of mask manager view window");
   _insert_longdescription("plugins/darkroom/masks/heightview", "maximum height the masks view in darkroom will grow to before scrolling");

   // plugins/darkroom/ashift/near_delta
   _insert_type("plugins/darkroom/ashift/near_delta", "float");
   _insert_default("plugins/darkroom/ashift/near_delta", "20.0");
   _insert_shortdescription("plugins/darkroom/ashift/near_delta", "");
   _insert_longdescription("plugins/darkroom/ashift/near_delta", "");

   // plugins/darkroom/ashift/near_delta_draw
   _insert_type("plugins/darkroom/ashift/near_delta_draw", "float");
   _insert_default("plugins/darkroom/ashift/near_delta_draw", "5.0");
   _insert_shortdescription("plugins/darkroom/ashift/near_delta_draw", "");
   _insert_longdescription("plugins/darkroom/ashift/near_delta_draw", "");

   // plugins/print/print/black_point_compensation
   _insert_type("plugins/print/print/black_point_compensation", "bool");
   _insert_default("plugins/print/print/black_point_compensation", "true");
   _insert_shortdescription("plugins/print/print/black_point_compensation", "");
   _insert_longdescription("plugins/print/print/black_point_compensation", "");

   // plugins/print/print/grid_size
   _insert_type("plugins/print/print/grid_size", "float");
   _insert_default("plugins/print/print/grid_size", "10");
   _insert_min("plugins/print/print/grid_size", "0");
   _insert_max("plugins/print/print/grid_size", "100");
   _insert_shortdescription("plugins/print/print/grid_size", "");
   _insert_longdescription("plugins/print/print/grid_size", "");

   // plugins/print/print/unit
   _insert_type("plugins/print/print/unit", "enum");
   _insert_values("plugins/print/print/unit", "[mm][cm][inch]");
   const char *id69 = C_("preferences", "mm");
   const char *id70 = C_("preferences", "cm");
   const char *id71 = C_("preferences", "inch");
   _insert_default("plugins/print/print/unit", "mm");
   _insert_shortdescription("plugins/print/print/unit", "measurement units");
   _insert_longdescription("plugins/print/print/unit", "");

   // plugins/print/print/top_margin
   _insert_type("plugins/print/print/top_margin", "float");
   _insert_default("plugins/print/print/top_margin", "17");
   _insert_min("plugins/print/print/top_margin", "-50");
   _insert_max("plugins/print/print/top_margin", "500");
   _insert_shortdescription("plugins/print/print/top_margin", "");
   _insert_longdescription("plugins/print/print/top_margin", "");

   // plugins/print/print/bottom_margin
   _insert_type("plugins/print/print/bottom_margin", "float");
   _insert_default("plugins/print/print/bottom_margin", "17");
   _insert_min("plugins/print/print/bottom_margin", "-50");
   _insert_max("plugins/print/print/bottom_margin", "500");
   _insert_shortdescription("plugins/print/print/bottom_margin", "");
   _insert_longdescription("plugins/print/print/bottom_margin", "");

   // plugins/print/print/left_margin
   _insert_type("plugins/print/print/left_margin", "float");
   _insert_default("plugins/print/print/left_margin", "17");
   _insert_min("plugins/print/print/left_margin", "-50");
   _insert_max("plugins/print/print/left_margin", "500");
   _insert_shortdescription("plugins/print/print/left_margin", "");
   _insert_longdescription("plugins/print/print/left_margin", "");

   // plugins/print/print/right_margin
   _insert_type("plugins/print/print/right_margin", "float");
   _insert_default("plugins/print/print/right_margin", "17");
   _insert_min("plugins/print/print/right_margin", "-50");
   _insert_max("plugins/print/print/right_margin", "500");
   _insert_shortdescription("plugins/print/print/right_margin", "");
   _insert_longdescription("plugins/print/print/right_margin", "");

   // ui_last/display_profile_source
   _insert_type("ui_last/display_profile_source", "enum");
   _insert_values("ui_last/display_profile_source", "[all][xatom][colord]");
   const char *id72 = C_("preferences", "all");
   const char *id73 = C_("preferences", "xatom");
   const char *id74 = C_("preferences", "colord");
   _insert_default("ui_last/display_profile_source", "all");
   _insert_shortdescription("ui_last/display_profile_source", "method to use for getting the display profile");
   _insert_longdescription("ui_last/display_profile_source", "this option allows to force a specific means of getting the current display profile. this is useful when one alternative gives wrong results");

   // metadata/resolution
   _insert_type("metadata/resolution", "int");
   _insert_default("metadata/resolution", "300");
   _insert_min("metadata/resolution", "72");
   _insert_max("metadata/resolution", "9600");
   _insert_shortdescription("metadata/resolution", "DPI value for exported files");
   _insert_longdescription("metadata/resolution", "");

   // run_crawler_on_start
   _insert_type("run_crawler_on_start", "bool");
   _insert_default("run_crawler_on_start", "false");
   _insert_shortdescription("run_crawler_on_start", "look for updated xmp files on startup");
   _insert_longdescription("run_crawler_on_start", "check file modification times of all xmp files on startup to check if any got updated in the meantime");

   // plugins/lighttable/audio_player
   _insert_type("plugins/lighttable/audio_player", "string");
   _insert_default("plugins/lighttable/audio_player", "aplay");
   _insert_shortdescription("plugins/lighttable/audio_player", "executable for playing audio files");
   _insert_longdescription("plugins/lighttable/audio_player", "this external program is used to play audio files some cameras record to keep notes for images");

   // plugins/darkroom/lut3d/def_path
   _insert_type("plugins/darkroom/lut3d/def_path", "dir");
   gchar *default_path = dt_conf_expand_default_dir("$(home)");
   _insert_default("plugins/darkroom/lut3d/def_path", default_path);
   g_free(default_path);
   _insert_shortdescription("plugins/darkroom/lut3d/def_path", "3D lut root folder");
   _insert_longdescription("plugins/darkroom/lut3d/def_path", "this folder (and sub-folders) contains Lut files used by lut3d modules. (need a restart).");

   // ui/detect_mono_exif
   _insert_type("ui/detect_mono_exif", "bool");
   _insert_default("ui/detect_mono_exif", "false");
   _insert_shortdescription("ui/detect_mono_exif", "detect monochrome previews");
   _insert_longdescription("ui/detect_mono_exif", "many monochrome images can be identified via exif and preview data. beware: this slows down imports and reading exif data");

   // screen_dpi_overwrite
   _insert_type("screen_dpi_overwrite", "float");
   _insert_default("screen_dpi_overwrite", "-1.0");
   _insert_shortdescription("screen_dpi_overwrite", "overwrite the screen's dpi setting");
   _insert_longdescription("screen_dpi_overwrite", "if this value is > 0.0 then it is used as the screen's dpi setting which is used to scale the gui");

   // plugins/lighttable/preview/max_in_memory_images
   _insert_type("plugins/lighttable/preview/max_in_memory_images", "int");
   _insert_default("plugins/lighttable/preview/max_in_memory_images", "4");
   _insert_shortdescription("plugins/lighttable/preview/max_in_memory_images", "maximum number of full-res images to load in memory");
   _insert_longdescription("plugins/lighttable/preview/max_in_memory_images", "if more images are display in expose mode, zooming will be deactivated");

   // codepaths/sse2
   _insert_type("codepaths/sse2", "bool");
   _insert_default("codepaths/sse2", "true");
   _insert_shortdescription("codepaths/sse2", "enable usage of SSE2-optimized codepaths");
   _insert_longdescription("codepaths/sse2", "");

   // codepaths/openmp_simd
   _insert_type("codepaths/openmp_simd", "bool");
   _insert_default("codepaths/openmp_simd", "false");
   _insert_shortdescription("codepaths/openmp_simd", "enable usage of OpenMP SIMD codepaths. if enabled, and such codepath exists, it will have the highest priority");
   _insert_longdescription("codepaths/openmp_simd", "");

   // allow_lab_output
   _insert_type("allow_lab_output", "bool");
   _insert_default("allow_lab_output", "false");
   _insert_shortdescription("allow_lab_output", "allow XYZ and Lab color spaces as output");
   _insert_longdescription("allow_lab_output", "this is mainly useful for debugging and to create colorchecker lut styles externally.");

   // plugins/darkroom/rawprepare/allow_editing_crop
   _insert_type("plugins/darkroom/rawprepare/allow_editing_crop", "bool");
   _insert_default("plugins/darkroom/rawprepare/allow_editing_crop", "false");
   _insert_shortdescription("plugins/darkroom/rawprepare/allow_editing_crop", "allow editing raw cropping boundaries");
   _insert_longdescription("plugins/darkroom/rawprepare/allow_editing_crop", "this is mainly useful for debugging and to add new camera support.");

   // darkroom/modules/exposure/lightness
   _insert_type("darkroom/modules/exposure/lightness", "float");
   _insert_default("darkroom/modules/exposure/lightness", "50.0");
   _insert_shortdescription("darkroom/modules/exposure/lightness", "lightness spot in exposure compensation");

   // darkroom/modules/channelmixerrgb/colorchecker
   _insert_type("darkroom/modules/channelmixerrgb/colorchecker", "int");
   _insert_default("darkroom/modules/channelmixerrgb/colorchecker", "0");
   _insert_shortdescription("darkroom/modules/channelmixerrgb/colorchecker", "current colorchecker model used");

   // darkroom/modules/channelmixerrgb/optimization
   _insert_type("darkroom/modules/channelmixerrgb/optimization", "int");
   _insert_default("darkroom/modules/channelmixerrgb/optimization", "0");
   _insert_shortdescription("darkroom/modules/channelmixerrgb/optimization", "current colorchecker optimization mode");

   // darkroom/modules/channelmixerrgb/safety
   _insert_type("darkroom/modules/channelmixerrgb/safety", "float");
   _insert_default("darkroom/modules/channelmixerrgb/safety", "0.5");
   _insert_shortdescription("darkroom/modules/channelmixerrgb/safety", "patch scale, safety margin");

   // plugins/darkroom/modulegroups_preset
   _insert_type("plugins/darkroom/modulegroups_preset", "string");
   _insert_default("plugins/darkroom/modulegroups_preset", "");
   _insert_shortdescription("plugins/darkroom/modulegroups_preset", "preset use for defining iop layout");
   _insert_longdescription("plugins/darkroom/modulegroups_preset", "preset use for defining iop layout");

   // plugins/darkroom/modulegroups_basics_sections_labels
   _insert_type("plugins/darkroom/modulegroups_basics_sections_labels", "bool");
   _insert_default("plugins/darkroom/modulegroups_basics_sections_labels", "true");
   _insert_shortdescription("plugins/darkroom/modulegroups_basics_sections_labels", "show the name of the module of each basic widget");
   _insert_longdescription("plugins/darkroom/modulegroups_basics_sections_labels", "show the name of the module of each basic widget");

   // plugins/lighttable/geotagging/heighttracklist
   _insert_type("plugins/lighttable/geotagging/heighttracklist", "int");
   _insert_default("plugins/lighttable/geotagging/heighttracklist", "50");
   _insert_shortdescription("plugins/lighttable/geotagging/heighttracklist", "height of the track list");
   _insert_longdescription("plugins/lighttable/geotagging/heighttracklist", "maximum height the track list will grow to before scrolling");

   // plugins/lighttable/geotagging/tz
   _insert_type("plugins/lighttable/geotagging/tz", "string");
   _insert_default("plugins/lighttable/geotagging/tz", "UTC");
   _insert_shortdescription("plugins/lighttable/geotagging/tz", _("camera time zone"));
   _insert_longdescription("plugins/lighttable/geotagging/tz", _("most cameras don't store the time zone in EXIF. give the correct time zone so the GPX data can be correctly matched"));

   // plugins/map/geotagging_search_url
   _insert_type("plugins/map/geotagging_search_url", "string");
   _insert_default("plugins/map/geotagging_search_url", "https://nominatim.openstreetmap.org/search/%s?format=xml&limit=%d&polygon_text=1");
   _insert_shortdescription("plugins/map/geotagging_search_url", "Geotagging search URL");
   _insert_longdescription("plugins/map/geotagging_search_url", "this can be changed when the default OpenStreetMap search URL is broken");

   // plugins/darkroom/temperature/colored_sliders
   _insert_type("plugins/darkroom/temperature/colored_sliders", "enum");
   _insert_values("plugins/darkroom/temperature/colored_sliders", "[no color][illuminant color][effect emulation]");
   const char *id75 = C_("preferences", "no color");
   const char *id76 = C_("preferences", "illuminant color");
   const char *id77 = C_("preferences", "effect emulation");
   _insert_default("plugins/darkroom/temperature/colored_sliders", "no color");
   _insert_shortdescription("plugins/darkroom/temperature/colored_sliders", "white balance slider colors");
   _insert_longdescription("plugins/darkroom/temperature/colored_sliders", "visual indication of temperature adjustments.\nin 'illuminant color' mode slider colors represent the color of the light source,\nin 'effect emulation' slider colors represent the effect the adjustment would have on the scene");

   // plugins/darkroom/temperature/expand_coefficients
   _insert_type("plugins/darkroom/temperature/expand_coefficients", "bool");
   _insert_default("plugins/darkroom/temperature/expand_coefficients", "false");
   _insert_shortdescription("plugins/darkroom/temperature/expand_coefficients", "whether to show coefficients");
   _insert_longdescription("plugins/darkroom/temperature/expand_coefficients", "this is just for remembering whether to show coefficients or not and remember it");

   // plugins/darkroom/temperature/button_bar
   _insert_type("plugins/darkroom/temperature/button_bar", "bool");
   _insert_default("plugins/darkroom/temperature/button_bar", "true");
   _insert_shortdescription("plugins/darkroom/temperature/button_bar", "arange buttons as bar below temp/tint sliders");
   _insert_longdescription("plugins/darkroom/temperature/button_bar", "if enabled, the buttons in white balance module will be arranged below temp/tint sliders, otherwise they'll be shown in a grid to the right of temp/tint sliders");

   // plugins/darkroom/crop/expand_margins
   _insert_type("plugins/darkroom/crop/expand_margins", "bool");
   _insert_default("plugins/darkroom/crop/expand_margins", "false");
   _insert_shortdescription("plugins/darkroom/crop/expand_margins", "whether to show margins");
   _insert_longdescription("plugins/darkroom/crop/expand_margins", "this is just for remembering whether to show margins or not and remember it");

   // plugins/darkroom/ashift/expand_values
   _insert_type("plugins/darkroom/ashift/expand_values", "bool");
   _insert_default("plugins/darkroom/ashift/expand_values", "false");
   _insert_shortdescription("plugins/darkroom/ashift/expand_values", "whether to show values");
   _insert_longdescription("plugins/darkroom/ashift/expand_values", "this is just for remembering whether to show values or not");

   // plugins/darkroom/ashift/autocrop_value
   _insert_type("plugins/darkroom/ashift/autocrop_value", "int");
   _insert_default("plugins/darkroom/ashift/autocrop_value", "1");
   _insert_shortdescription("plugins/darkroom/ashift/autocrop_value", "auto-crop mode");
   _insert_longdescription("plugins/darkroom/ashift/autocrop_value", "0=off ; 1= largest area ; 2= original image");

   // plugins/darkroom/colorzones/bg_sat_factor
   _insert_type("plugins/darkroom/colorzones/bg_sat_factor", "float");
   _insert_default("plugins/darkroom/colorzones/bg_sat_factor", "0.5");
   _insert_min("plugins/darkroom/colorzones/bg_sat_factor", "0.1");
   _insert_max("plugins/darkroom/colorzones/bg_sat_factor", "1.0");
   _insert_shortdescription("plugins/darkroom/colorzones/bg_sat_factor", "saturation factor of the color zones background");
   _insert_longdescription("plugins/darkroom/colorzones/bg_sat_factor", "higher value means more saturated backgrounds in color zones");

   // plugins/darkroom/colorbalance/layout
   _insert_type("plugins/darkroom/colorbalance/layout", "enum");
   _insert_values("plugins/darkroom/colorbalance/layout", "[list][tabs][columns]");
   const char *id78 = C_("preferences", "list");
   const char *id79 = C_("preferences", "tabs");
   const char *id80 = C_("preferences", "columns");
   _insert_default("plugins/darkroom/colorbalance/layout", "list");
   _insert_shortdescription("plugins/darkroom/colorbalance/layout", "color balance slider block layout");
   _insert_longdescription("plugins/darkroom/colorbalance/layout", "choose how to organise the slider blocks for lift, gamma and gain:\nlist - all sliders are shown in one long list (with headers),\ntabs - use tabs to switch between the blocks of sliders,\ncolumns - the blocks of sliders are shown next to each other (in narrow columns)");

   // plugins/darkroom/temperature/visible
   _insert_type("plugins/darkroom/temperature/visible", "bool");
   _insert_default("plugins/darkroom/temperature/visible", "true");
   _insert_shortdescription("plugins/darkroom/temperature/visible", "");
   _insert_longdescription("plugins/darkroom/temperature/visible", "");

   // plugins/darkroom/exposure/visible
   _insert_type("plugins/darkroom/exposure/visible", "bool");
   _insert_default("plugins/darkroom/exposure/visible", "true");
   _insert_shortdescription("plugins/darkroom/exposure/visible", "");
   _insert_longdescription("plugins/darkroom/exposure/visible", "");

   // plugins/darkroom/colorbalance/visible
   _insert_type("plugins/darkroom/colorbalance/visible", "bool");
   _insert_default("plugins/darkroom/colorbalance/visible", "true");
   _insert_shortdescription("plugins/darkroom/colorbalance/visible", "");
   _insert_longdescription("plugins/darkroom/colorbalance/visible", "");

   // plugins/darkroom/colorin/visible
   _insert_type("plugins/darkroom/colorin/visible", "bool");
   _insert_default("plugins/darkroom/colorin/visible", "true");
   _insert_shortdescription("plugins/darkroom/colorin/visible", "");
   _insert_longdescription("plugins/darkroom/colorin/visible", "");

   // plugins/darkroom/clipping/visible
   _insert_type("plugins/darkroom/clipping/visible", "bool");
   _insert_default("plugins/darkroom/clipping/visible", "true");
   _insert_shortdescription("plugins/darkroom/clipping/visible", "");
   _insert_longdescription("plugins/darkroom/clipping/visible", "");

   // plugins/darkroom/crop/visible
   _insert_type("plugins/darkroom/crop/visible", "bool");
   _insert_default("plugins/darkroom/crop/visible", "true");
   _insert_shortdescription("plugins/darkroom/crop/visible", "");
   _insert_longdescription("plugins/darkroom/crop/visible", "");

   // plugins/darkroom/sharpen/visible
   _insert_type("plugins/darkroom/sharpen/visible", "bool");
   _insert_default("plugins/darkroom/sharpen/visible", "true");
   _insert_shortdescription("plugins/darkroom/sharpen/visible", "");
   _insert_longdescription("plugins/darkroom/sharpen/visible", "");

   // plugins/darkroom/basecurve/visible
   _insert_type("plugins/darkroom/basecurve/visible", "bool");
   _insert_default("plugins/darkroom/basecurve/visible", "true");
   _insert_shortdescription("plugins/darkroom/basecurve/visible", "");
   _insert_longdescription("plugins/darkroom/basecurve/visible", "");

   // plugins/darkroom/highlights/visible
   _insert_type("plugins/darkroom/highlights/visible", "bool");
   _insert_default("plugins/darkroom/highlights/visible", "true");
   _insert_shortdescription("plugins/darkroom/highlights/visible", "");
   _insert_longdescription("plugins/darkroom/highlights/visible", "");

   // plugins/darkroom/demosaic/visible
   _insert_type("plugins/darkroom/demosaic/visible", "bool");
   _insert_default("plugins/darkroom/demosaic/visible", "true");
   _insert_shortdescription("plugins/darkroom/demosaic/visible", "");
   _insert_longdescription("plugins/darkroom/demosaic/visible", "");

   // plugins/darkroom/rgblevels/visible
   _insert_type("plugins/darkroom/rgblevels/visible", "bool");
   _insert_default("plugins/darkroom/rgblevels/visible", "true");
   _insert_shortdescription("plugins/darkroom/rgblevels/visible", "");
   _insert_longdescription("plugins/darkroom/rgblevels/visible", "");

   // plugins/darkroom/flip/visible
   _insert_type("plugins/darkroom/flip/visible", "bool");
   _insert_default("plugins/darkroom/flip/visible", "true");
   _insert_shortdescription("plugins/darkroom/flip/visible", "");
   _insert_longdescription("plugins/darkroom/flip/visible", "");

   // plugins/darkroom/bilat/visible
   _insert_type("plugins/darkroom/bilat/visible", "bool");
   _insert_default("plugins/darkroom/bilat/visible", "true");
   _insert_shortdescription("plugins/darkroom/bilat/visible", "");
   _insert_longdescription("plugins/darkroom/bilat/visible", "");

   // plugins/darkroom/denoiseprofile/visible
   _insert_type("plugins/darkroom/denoiseprofile/visible", "bool");
   _insert_default("plugins/darkroom/denoiseprofile/visible", "true");
   _insert_shortdescription("plugins/darkroom/denoiseprofile/visible", "");
   _insert_longdescription("plugins/darkroom/denoiseprofile/visible", "");

   // plugins/darkroom/hazeremoval/visible
   _insert_type("plugins/darkroom/hazeremoval/visible", "bool");
   _insert_default("plugins/darkroom/hazeremoval/visible", "true");
   _insert_shortdescription("plugins/darkroom/hazeremoval/visible", "");
   _insert_longdescription("plugins/darkroom/hazeremoval/visible", "");

   // plugins/darkroom/toneequal/visible
   _insert_type("plugins/darkroom/toneequal/visible", "bool");
   _insert_default("plugins/darkroom/toneequal/visible", "true");
   _insert_shortdescription("plugins/darkroom/toneequal/visible", "");
   _insert_longdescription("plugins/darkroom/toneequal/visible", "");

   // plugins/darkroom/lens/visible
   _insert_type("plugins/darkroom/lens/visible", "bool");
   _insert_default("plugins/darkroom/lens/visible", "true");
   _insert_shortdescription("plugins/darkroom/lens/visible", "");
   _insert_longdescription("plugins/darkroom/lens/visible", "");

   // darkroom/ui/scale_step_multiplier
   _insert_type("darkroom/ui/scale_step_multiplier", "float");
   _insert_default("darkroom/ui/scale_step_multiplier", "1.0");
   _insert_shortdescription("darkroom/ui/scale_step_multiplier", "the multiplier that is applied to any slider value change");
   _insert_longdescription("darkroom/ui/scale_step_multiplier", "any slider value change will be multiplied by this number, when changing slider while NOT holding SHIFT or CTRL modifiers");

   // darkroom/ui/scale_rough_step_multiplier
   _insert_type("darkroom/ui/scale_rough_step_multiplier", "float");
   _insert_default("darkroom/ui/scale_rough_step_multiplier", "10.0");
   _insert_shortdescription("darkroom/ui/scale_rough_step_multiplier", "the multiplier that is applied to any slider rough value change");
   _insert_longdescription("darkroom/ui/scale_rough_step_multiplier", "any slider value change will be multiplied by this number, when changing slider while holding SHIFT modifier");

   // darkroom/ui/scale_precise_step_multiplier
   _insert_type("darkroom/ui/scale_precise_step_multiplier", "float");
   _insert_default("darkroom/ui/scale_precise_step_multiplier", "0.1");
   _insert_shortdescription("darkroom/ui/scale_precise_step_multiplier", "the multiplier that is applied to any slider precise value change");
   _insert_longdescription("darkroom/ui/scale_precise_step_multiplier", "any slider value change will be multiplied by this number, when changing slider while holding CTRL modifier");

   // plugins/darkroom/duplicate/windowheight
   _insert_type("plugins/darkroom/duplicate/windowheight", "int");
   _insert_default("plugins/darkroom/duplicate/windowheight", "400");
   _insert_shortdescription("plugins/darkroom/duplicate/windowheight", "height of the duplicates view");
   _insert_longdescription("plugins/darkroom/duplicate/windowheight", "maximum height the duplicates view in darkroom will grow to before scrolling");

   // plugins/darkroom/colorpicker/windowheight
   _insert_type("plugins/darkroom/colorpicker/windowheight", "int");
   _insert_default("plugins/darkroom/colorpicker/windowheight", "200");
   _insert_shortdescription("plugins/darkroom/colorpicker/windowheight", "height of the color picker list");
   _insert_longdescription("plugins/darkroom/colorpicker/windowheight", "maximum height the color picker samples list in darkroom will grow to before scrolling");

   // plugins/darkroom/history/windowheight
   _insert_type("plugins/darkroom/history/windowheight", "int");
   _insert_default("plugins/darkroom/history/windowheight", "1000");
   _insert_shortdescription("plugins/darkroom/history/windowheight", "height of the history list");
   _insert_longdescription("plugins/darkroom/history/windowheight", "maximum height the history list in darkroom will grow to before scrolling");

   // plugins/lighttable/metadata_view/windowheight
   _insert_type("plugins/lighttable/metadata_view/windowheight", "int");
   _insert_default("plugins/lighttable/metadata_view/windowheight", "1000");
   _insert_shortdescription("plugins/lighttable/metadata_view/windowheight", "height of the image information view");
   _insert_longdescription("plugins/lighttable/metadata_view/windowheight", "maximum height the image information view in lighttable and darkroom will grow to before scrolling");

   // plugins/lighttable/recentcollect/windowheight
   _insert_type("plugins/lighttable/recentcollect/windowheight", "int");
   _insert_default("plugins/lighttable/recentcollect/windowheight", "1000");
   _insert_shortdescription("plugins/lighttable/recentcollect/windowheight", "height of the recent collections list");
   _insert_longdescription("plugins/lighttable/recentcollect/windowheight", "maximum height the recent collections list in lighttable will grow to before scrolling");

   // plugins/darkroom/snapshots/windowheight
   _insert_type("plugins/darkroom/snapshots/windowheight", "int");
   _insert_default("plugins/darkroom/snapshots/windowheight", "200");
   _insert_shortdescription("plugins/darkroom/snapshots/windowheight", "height of the snapshots list");
   _insert_longdescription("plugins/darkroom/snapshots/windowheight", "maximum height the snapshots list in darkroom will grow to before scrolling");

   // plugins/lighttable/style/windowheight
   _insert_type("plugins/lighttable/style/windowheight", "int");
   _insert_default("plugins/lighttable/style/windowheight", "400");
   _insert_shortdescription("plugins/lighttable/style/windowheight", "height of the styles list");
   _insert_longdescription("plugins/lighttable/style/windowheight", "maximum height the styles list in lighttable will grow to before scrolling");

   // plugins/darkroom/toneequal/gui_page
   _insert_type("plugins/darkroom/toneequal/gui_page", "int");
   _insert_default("plugins/darkroom/toneequal/gui_page", "0");
   _insert_shortdescription("plugins/darkroom/toneequal/gui_page", "active tab in tone equaliser module");
   _insert_longdescription("plugins/darkroom/toneequal/gui_page", "which of simple, advanced or masking tabs will show at startup");

   // plugins/lighttable/collect/windowheight
   _insert_type("plugins/lighttable/collect/windowheight", "int");
   _insert_default("plugins/lighttable/collect/windowheight", "500");
   _insert_shortdescription("plugins/lighttable/collect/windowheight", "height of the collect list");
   _insert_longdescription("plugins/lighttable/collect/windowheight", "maximum height the collect list in lighttable will grow to before scrolling");

}
#endif