/** generated file, do not edit! */
#ifndef DT_PREFERENCES_H
#define DT_PREFERENCES_H

#pragma GCC diagnostic ignored "-Wunused-function"
#pragma GCC diagnostic ignored "-Wunused-variable"

#include <gtk/gtk.h>
#include "control/conf.h"
#include "common/calculator.h"

#define NON_DEF_CHAR "●"

static gboolean handle_enter_key(GtkWidget *widget, GdkEvent *event, gpointer data)
{
  guint keyval;

  gdk_event_get_keyval ((GdkEvent*)event, &keyval);

  if (keyval == GDK_KEY_Return || keyval == GDK_KEY_KP_Enter)
     return TRUE;
  return FALSE;
}

static void set_widget_label_default(GtkWidget *widget, const char *confstr, GtkWidget *label, const float factor)
{
  gboolean is_default = TRUE;

  if (GTK_IS_CHECK_BUTTON(widget))
  {
    const gboolean c_default = dt_confgen_get_bool(confstr, DT_DEFAULT);
    const gboolean c_state = gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget));
    is_default = (c_state == c_default);
  }
  else if(GTK_IS_COMBO_BOX(widget))
  {
    const gchar *c_default = dt_confgen_get(confstr, DT_DEFAULT);
    GtkTreeIter iter;
    GtkTreeModel *model = gtk_combo_box_get_model(GTK_COMBO_BOX(widget));
    const gint active = gtk_combo_box_get_active(GTK_COMBO_BOX(widget));
    gchar *c_state = NULL;
    gtk_tree_model_iter_nth_child(model, &iter, NULL, active);
    gtk_tree_model_get(model, &iter, 0, &c_state, -1);
    is_default = (g_strcmp0(c_state, c_default) == 0);
  }
  else if(GTK_IS_SPIN_BUTTON(widget))
  {
    const gchar *c_default = dt_confgen_get(confstr, DT_DEFAULT);
    const float v_default = dt_calculator_solve(1, c_default) * factor;
    const float v_state = gtk_spin_button_get_value(GTK_SPIN_BUTTON(widget));
    is_default = (v_state == v_default);
  }
  else if(GTK_IS_ENTRY(widget))
  {
    const gchar *c_default = dt_confgen_get(confstr, DT_DEFAULT);
    const gchar *c_state = gtk_entry_get_text(GTK_ENTRY(widget));
    is_default = (g_strcmp0(c_state, c_default) == 0);
  }
  else if(GTK_IS_FILE_CHOOSER(widget))
  {
    const gchar *c_default = dt_confgen_get(confstr, DT_DEFAULT);
    const gchar *c_state = gtk_file_chooser_get_filename(GTK_FILE_CHOOSER(widget));
    is_default = (g_strcmp0(c_state, c_default) == 0);
  }
  else
  {
    // other unsupported widgets
    return;
  }

  if(is_default)
  {
    // replace * with space
    gtk_label_set_text(GTK_LABEL(label), "");
    g_object_set(label, "tooltip-text", NULL, (gchar *)0);
  }
  else
  {
    // replace space with *
    gtk_label_set_text(GTK_LABEL(label), NON_DEF_CHAR);
    g_object_set(label, "tooltip-text", _("this setting has been modified"), (gchar *)0);
  }
}

gboolean restart_required = FALSE;
static gboolean
reset_widget_id1 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), FALSE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id2 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), FALSE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id3 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), FALSE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id4 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), FALSE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id5 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), FALSE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id6 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_entry_set_text(GTK_ENTRY(widget), "library.db");
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id7 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), 2);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id8 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    float factor = 1.0f;
    gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget), 25 * factor);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id9 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), 2);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id10 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    float factor = 1.0f;
    gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget), 10 * factor);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id11 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    float factor = 1.0f;
    gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget), 5 * factor);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id12 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    float factor = 1.0f;
    gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget), -1 * factor);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id13 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    float factor = 1.0f;
    gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget), 8 * factor);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id14 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    float factor = 1.0f;
    gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget), 4500 * factor);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id15 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    float factor = 1.0f;
    gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget), 1000 * factor);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id16 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), 3);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id17 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    float factor = 1.0f;
    gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget), 100 * factor);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id18 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), TRUE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id19 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), 2);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id20 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), 2);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id21 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), FALSE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id22 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), FALSE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id23 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), TRUE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id24 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    float factor = 1.0f;
    gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget), 200 * factor);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id25 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_entry_set_text(GTK_ENTRY(widget), "");
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id26 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_entry_set_text(GTK_ENTRY(widget), "cr3,");
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id27 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_entry_set_text(GTK_ENTRY(widget), "");
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id28 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_entry_set_text(GTK_ENTRY(widget), "");
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id29 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), TRUE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id30 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), TRUE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id31 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), TRUE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id32 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), TRUE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id33 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), TRUE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id34 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), TRUE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id35 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), FALSE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id36 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    float factor = 1.0f;
    gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget), 10 * factor);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id37 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    float factor = 1.0f;
    gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget), 1 * factor);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id38 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), 0);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id39 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), TRUE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id40 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), 0);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id41 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), 1);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id42 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), 0);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id43 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {

        gtk_text_buffer_set_text(gtk_text_view_get_buffer(GTK_TEXT_VIEW(widget)), "$(EXIF_EXPOSURE) • f/$(EXIF_APERTURE) • $(EXIF_FOCAL_LENGTH) mm • $(EXIF_ISO) ISO", strlen("$(EXIF_EXPOSURE) • f/$(EXIF_APERTURE) • $(EXIF_FOCAL_LENGTH) mm • $(EXIF_ISO) ISO"));
     
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id44 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), 3);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id45 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), TRUE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id46 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), FALSE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id47 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), FALSE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id48 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), TRUE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id49 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    float factor = 1.0f;
    gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget), 50 * factor);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id50 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    float factor = 1.0f;
    gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget), 20 * factor);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id51 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), TRUE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id52 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), TRUE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id53 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), TRUE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id54 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), TRUE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id55 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), FALSE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id56 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), FALSE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id57 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), TRUE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id58 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), 1);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id59 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), 3);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id60 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), 0);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id61 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), 0);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id62 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), FALSE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id63 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_entry_set_text(GTK_ENTRY(widget), "aplay");
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id64 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gchar *path = dt_conf_expand_default_dir("$(home)");
    dt_conf_set_string("plugins/darkroom/lut3d/def_path", path);
    g_free(path);
    path = dt_conf_get_string("plugins/darkroom/lut3d/def_path");
    gtk_file_chooser_set_filename(GTK_FILE_CHOOSER(widget), path);
    g_free(path);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id65 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), FALSE);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id66 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), 0);
    return TRUE;
  }
  return FALSE;
}

static gboolean
reset_widget_id67 (GtkWidget *label, GdkEventButton *event, GtkWidget *widget)
{
  if(event->type == GDK_2BUTTON_PRESS)
  {
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), 0);
    return TRUE;
  }
  return FALSE;
}

static void
preferences_response_callback_id1 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("/views/print/enable", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id2 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("/views/map/enable", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id3 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("/views/slideshow/enable", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id4 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("scroll/reverse_y", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id5 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("scroll/reverse_x", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id6 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_string("database", gtk_entry_get_text(GTK_ENTRY(widget)));
}

static void
preferences_response_callback_id7 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  GtkTreeIter iter;
  if(gtk_combo_box_get_active_iter(GTK_COMBO_BOX(widget), &iter))
  {
    gchar *s = NULL;
    gtk_tree_model_get(gtk_combo_box_get_model(GTK_COMBO_BOX(widget)), &iter, 0, &s, -1);
    dt_conf_set_string("database/maintenance_check", s);
    g_free(s);
  }
}

static void
preferences_response_callback_id8 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  float factor = 1.0f;
  dt_conf_set_int("database/maintenance_freepage_ratio", gtk_spin_button_get_value(GTK_SPIN_BUTTON(widget)) / factor);
}

static void
preferences_response_callback_id9 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  GtkTreeIter iter;
  if(gtk_combo_box_get_active_iter(GTK_COMBO_BOX(widget), &iter))
  {
    gchar *s = NULL;
    gtk_tree_model_get(gtk_combo_box_get_model(GTK_COMBO_BOX(widget)), &iter, 0, &s, -1);
    dt_conf_set_string("database/create_snapshot", s);
    g_free(s);
  }
}

static void
preferences_response_callback_id10 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  float factor = 1.0f;
  dt_conf_set_int("database/keep_snapshots", gtk_spin_button_get_value(GTK_SPIN_BUTTON(widget)) / factor);
}

static void
preferences_response_callback_id11 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  float factor = 1.0f;
  dt_conf_set_int("slideshow_delay", gtk_spin_button_get_value(GTK_SPIN_BUTTON(widget)) / factor);
}

static void
preferences_response_callback_id12 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  float factor = 1.0f;
  dt_conf_set_int("cpu_threads", gtk_spin_button_get_value(GTK_SPIN_BUTTON(widget)) / factor);
}

static void
preferences_response_callback_id13 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  float factor = 1.0f;
  dt_conf_set_int("worker_threads", gtk_spin_button_get_value(GTK_SPIN_BUTTON(widget)) / factor);
}

static void
preferences_response_callback_id14 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  float factor = 1.0f;
  dt_conf_set_int("memory_os_headroom", gtk_spin_button_get_value(GTK_SPIN_BUTTON(widget)) / factor);
}

static void
preferences_response_callback_id15 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  float factor = 1.0f;
  dt_conf_set_int("memory_mipmap_cache", gtk_spin_button_get_value(GTK_SPIN_BUTTON(widget)) / factor);
}

static void
preferences_response_callback_id16 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  GtkTreeIter iter;
  if(gtk_combo_box_get_active_iter(GTK_COMBO_BOX(widget), &iter))
  {
    gchar *s = NULL;
    gtk_tree_model_get(gtk_combo_box_get_model(GTK_COMBO_BOX(widget)), &iter, 0, &s, -1);
    dt_conf_set_string("raw_resolution", s);
    g_free(s);
  }
}

static void
preferences_response_callback_id17 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  float factor = 1.0f;
  dt_conf_set_int("timeout", gtk_spin_button_get_value(GTK_SPIN_BUTTON(widget)) / factor);
}

static void
preferences_response_callback_id18 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("cache_disk_backend", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id19 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  GtkTreeIter iter;
  if(gtk_combo_box_get_active_iter(GTK_COMBO_BOX(widget), &iter))
  {
    gchar *s = NULL;
    gtk_tree_model_get(gtk_combo_box_get_model(GTK_COMBO_BOX(widget)), &iter, 0, &s, -1);
    dt_conf_set_string("write_sidecar_files", s);
    g_free(s);
  }
}

static void
preferences_response_callback_id20 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  GtkTreeIter iter;
  if(gtk_combo_box_get_active_iter(GTK_COMBO_BOX(widget), &iter))
  {
    gchar *s = NULL;
    gtk_tree_model_get(gtk_combo_box_get_model(GTK_COMBO_BOX(widget)), &iter, 0, &s, -1);
    dt_conf_set_string("compress_xmp_tags", s);
    g_free(s);
  }
}

static void
preferences_response_callback_id21 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("omit_tag_hierarchy", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id22 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("plugins/lighttable/tagging/no_uncategorized", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id23 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("opencl", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id24 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  float factor = 1.0f;
  dt_conf_set_int("memory_opencl_headroom", gtk_spin_button_get_value(GTK_SPIN_BUTTON(widget)) / factor);
}

static void
preferences_response_callback_id25 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_string("opencl_library", gtk_entry_get_text(GTK_ENTRY(widget)));
}

static void
preferences_response_callback_id26 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_string("libraw/extensions", gtk_entry_get_text(GTK_ENTRY(widget)));
}

static void
preferences_response_callback_id27 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_string("libraw/models", gtk_entry_get_text(GTK_ENTRY(widget)));
}

static void
preferences_response_callback_id28 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_string("libraw/makers", gtk_entry_get_text(GTK_ENTRY(widget)));
}

static void
preferences_response_callback_id29 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("ask_before_remove", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id30 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("ask_before_delete", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id31 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("ask_before_discard", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id32 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("send_to_trash", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id33 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("ask_before_move", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id34 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("ask_before_copy", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id35 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("ask_before_rmdir", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id36 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  float factor = 1.0f;
  dt_conf_set_int("plugins/lighttable/recentcollect/max_items", gtk_spin_button_get_value(GTK_SPIN_BUTTON(widget)) / factor);
}

static void
preferences_response_callback_id37 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  float factor = 1.0f;
  dt_conf_set_int("show_folder_levels", gtk_spin_button_get_value(GTK_SPIN_BUTTON(widget)) / factor);
}

static void
preferences_response_callback_id38 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  GtkTreeIter iter;
  if(gtk_combo_box_get_active_iter(GTK_COMBO_BOX(widget), &iter))
  {
    gchar *s = NULL;
    gtk_tree_model_get(gtk_combo_box_get_model(GTK_COMBO_BOX(widget)), &iter, 0, &s, -1);
    dt_conf_set_string("plugins/collect/filmroll_sort", s);
    g_free(s);
  }
}

static void
preferences_response_callback_id39 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("plugins/collect/descending", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id40 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  GtkTreeIter iter;
  if(gtk_combo_box_get_active_iter(GTK_COMBO_BOX(widget), &iter))
  {
    gchar *s = NULL;
    gtk_tree_model_get(gtk_combo_box_get_model(GTK_COMBO_BOX(widget)), &iter, 0, &s, -1);
    dt_conf_set_string("pressure_sensitivity", s);
    g_free(s);
  }
}

static void
preferences_response_callback_id41 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  GtkTreeIter iter;
  if(gtk_combo_box_get_active_iter(GTK_COMBO_BOX(widget), &iter))
  {
    gchar *s = NULL;
    gtk_tree_model_get(gtk_combo_box_get_model(GTK_COMBO_BOX(widget)), &iter, 0, &s, -1);
    dt_conf_set_string("brush_smoothing", s);
    g_free(s);
  }
}

static void
preferences_response_callback_id42 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  GtkTreeIter iter;
  if(gtk_combo_box_get_active_iter(GTK_COMBO_BOX(widget), &iter))
  {
    gchar *s = NULL;
    gtk_tree_model_get(gtk_combo_box_get_model(GTK_COMBO_BOX(widget)), &iter, 0, &s, -1);
    dt_conf_set_string("channel_display", s);
    g_free(s);
  }
}

static void
preferences_response_callback_id43 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));

        GtkTextIter start, end;
        GtkTextBuffer *buffer = gtk_text_view_get_buffer(GTK_TEXT_VIEW(widget));
        gtk_text_buffer_get_start_iter(buffer, &start);
        gtk_text_buffer_get_end_iter(buffer, &end);
        dt_conf_set_string("plugins/darkroom/image_infos_pattern", gtk_text_buffer_get_text(buffer, &start, &end, FALSE));
     
}

static void
preferences_response_callback_id44 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  GtkTreeIter iter;
  if(gtk_combo_box_get_active_iter(GTK_COMBO_BOX(widget), &iter))
  {
    gchar *s = NULL;
    gtk_tree_model_get(gtk_combo_box_get_model(GTK_COMBO_BOX(widget)), &iter, 0, &s, -1);
    dt_conf_set_string("plugins/darkroom/image_infos_position", s);
    g_free(s);
  }
}

static void
preferences_response_callback_id45 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("modules/default_presets_first", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id46 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("plugins/darkroom/hide_default_presets", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id47 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("plugins/lighttable/hide_default_presets", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id48 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("plugins/lighttable/tagging/ask_before_delete_tag", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id49 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  float factor = 1.0f;
  dt_conf_set_int("plugins/lighttable/tagging/confidence", gtk_spin_button_get_value(GTK_SPIN_BUTTON(widget)) / factor);
}

static void
preferences_response_callback_id50 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  float factor = 1.0f;
  dt_conf_set_int("plugins/lighttable/tagging/nb_recent_tags", gtk_spin_button_get_value(GTK_SPIN_BUTTON(widget)) / factor);
}

static void
preferences_response_callback_id51 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("plugins/lighttable/style/ask_before_delete_style", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id52 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("plugins/lighttable/preset/ask_before_delete_preset", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id53 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("plugins/lighttable/export/ask_before_export_overwrite", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id54 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("plugins/lighttable/metadata_view/pretty_location", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id55 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("plugins/lighttable/export/force_lcms2", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id56 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("lighttable/ui/milliseconds", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id57 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("darkroom/ui/loading_screen", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id58 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  GtkTreeIter iter;
  if(gtk_combo_box_get_active_iter(GTK_COMBO_BOX(widget), &iter))
  {
    gchar *s = NULL;
    gtk_tree_model_get(gtk_combo_box_get_model(GTK_COMBO_BOX(widget)), &iter, 0, &s, -1);
    dt_conf_set_string("plugins/lighttable/export/pixel_interpolator_warp", s);
    g_free(s);
  }
}

static void
preferences_response_callback_id59 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  GtkTreeIter iter;
  if(gtk_combo_box_get_active_iter(GTK_COMBO_BOX(widget), &iter))
  {
    gchar *s = NULL;
    gtk_tree_model_get(gtk_combo_box_get_model(GTK_COMBO_BOX(widget)), &iter, 0, &s, -1);
    dt_conf_set_string("plugins/lighttable/export/pixel_interpolator", s);
    g_free(s);
  }
}

static void
preferences_response_callback_id60 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  GtkTreeIter iter;
  if(gtk_combo_box_get_active_iter(GTK_COMBO_BOX(widget), &iter))
  {
    gchar *s = NULL;
    gtk_tree_model_get(gtk_combo_box_get_model(GTK_COMBO_BOX(widget)), &iter, 0, &s, -1);
    dt_conf_set_string("plugins/pwstorage/pwstorage_backend", s);
    g_free(s);
  }
}

static void
preferences_response_callback_id61 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  GtkTreeIter iter;
  if(gtk_combo_box_get_active_iter(GTK_COMBO_BOX(widget), &iter))
  {
    gchar *s = NULL;
    gtk_tree_model_get(gtk_combo_box_get_model(GTK_COMBO_BOX(widget)), &iter, 0, &s, -1);
    dt_conf_set_string("ui_last/display_profile_source", s);
    g_free(s);
  }
}

static void
preferences_response_callback_id62 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("run_crawler_on_start", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id63 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_string("plugins/lighttable/audio_player", gtk_entry_get_text(GTK_ENTRY(widget)));
}

static void
preferences_response_callback_id64 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  gchar *folder = gtk_file_chooser_get_filename(GTK_FILE_CHOOSER(widget));
  dt_conf_set_string("plugins/darkroom/lut3d/def_path", folder);
  g_free(folder);
}

static void
preferences_response_callback_id65 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  dt_conf_set_bool("ui/detect_mono_exif", gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(widget)));
}

static void
preferences_response_callback_id66 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  GtkTreeIter iter;
  if(gtk_combo_box_get_active_iter(GTK_COMBO_BOX(widget), &iter))
  {
    gchar *s = NULL;
    gtk_tree_model_get(gtk_combo_box_get_model(GTK_COMBO_BOX(widget)), &iter, 0, &s, -1);
    dt_conf_set_string("plugins/darkroom/temperature/colored_sliders", s);
    g_free(s);
  }
}

static void
preferences_response_callback_id67 (GtkDialog *dialog, gint response_id, GtkWidget *widget)
{
  const gint dkind = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "local-dialog"));
  if(dkind)
  {
    if(response_id == GTK_RESPONSE_NONE) return;
    if(response_id == GTK_RESPONSE_DELETE_EVENT) return;
  }
  else
  {
    if(response_id != GTK_RESPONSE_DELETE_EVENT) return;
  }
  gtk_widget_set_can_focus(GTK_WIDGET(dialog), TRUE);
  gtk_widget_grab_focus(GTK_WIDGET(dialog));
  GtkTreeIter iter;
  if(gtk_combo_box_get_active_iter(GTK_COMBO_BOX(widget), &iter))
  {
    gchar *s = NULL;
    gtk_tree_model_get(gtk_combo_box_get_model(GTK_COMBO_BOX(widget)), &iter, 0, &s, -1);
    dt_conf_set_string("plugins/darkroom/colorbalance/layout", s);
    g_free(s);
  }
}

static void
preferences_changed_callback_id1 (GtkWidget *widget, gpointer user_data)
{
  restart_required = TRUE;
  float factor = 1.0f;
  set_widget_label_default(widget, "/views/print/enable", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id2 (GtkWidget *widget, gpointer user_data)
{
  restart_required = TRUE;
  float factor = 1.0f;
  set_widget_label_default(widget, "/views/map/enable", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id3 (GtkWidget *widget, gpointer user_data)
{
  restart_required = TRUE;
  float factor = 1.0f;
  set_widget_label_default(widget, "/views/slideshow/enable", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id4 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "scroll/reverse_y", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id5 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "scroll/reverse_x", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id6 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "database", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id7 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "database/maintenance_check", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id8 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "database/maintenance_freepage_ratio", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id9 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "database/create_snapshot", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id10 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "database/keep_snapshots", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id11 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "slideshow_delay", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id12 (GtkWidget *widget, gpointer user_data)
{
  restart_required = TRUE;
  float factor = 1.0f;
  set_widget_label_default(widget, "cpu_threads", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id13 (GtkWidget *widget, gpointer user_data)
{
  restart_required = TRUE;
  float factor = 1.0f;
  set_widget_label_default(widget, "worker_threads", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id14 (GtkWidget *widget, gpointer user_data)
{
  restart_required = TRUE;
  float factor = 1.0f;
  set_widget_label_default(widget, "memory_os_headroom", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id15 (GtkWidget *widget, gpointer user_data)
{
  restart_required = TRUE;
  float factor = 1.0f;
  set_widget_label_default(widget, "memory_mipmap_cache", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id16 (GtkWidget *widget, gpointer user_data)
{
  restart_required = TRUE;
  float factor = 1.0f;
  set_widget_label_default(widget, "raw_resolution", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id17 (GtkWidget *widget, gpointer user_data)
{
  restart_required = TRUE;
  float factor = 1.0f;
  set_widget_label_default(widget, "timeout", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id18 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "cache_disk_backend", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id19 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "write_sidecar_files", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id20 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "compress_xmp_tags", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id21 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "omit_tag_hierarchy", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id22 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "plugins/lighttable/tagging/no_uncategorized", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id23 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "opencl", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id24 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "memory_opencl_headroom", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id25 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "opencl_library", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id26 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "libraw/extensions", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id27 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "libraw/models", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id28 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "libraw/makers", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id29 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "ask_before_remove", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id30 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "ask_before_delete", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id31 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "ask_before_discard", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id32 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "send_to_trash", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id33 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "ask_before_move", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id34 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "ask_before_copy", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id35 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "ask_before_rmdir", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id36 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "plugins/lighttable/recentcollect/max_items", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id37 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "show_folder_levels", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id38 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "plugins/collect/filmroll_sort", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id39 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "plugins/collect/descending", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id40 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "pressure_sensitivity", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id41 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "brush_smoothing", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id42 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "channel_display", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id43 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "plugins/darkroom/image_infos_pattern", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id44 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "plugins/darkroom/image_infos_position", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id45 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "modules/default_presets_first", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id46 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "plugins/darkroom/hide_default_presets", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id47 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "plugins/lighttable/hide_default_presets", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id48 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "plugins/lighttable/tagging/ask_before_delete_tag", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id49 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "plugins/lighttable/tagging/confidence", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id50 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "plugins/lighttable/tagging/nb_recent_tags", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id51 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "plugins/lighttable/style/ask_before_delete_style", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id52 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "plugins/lighttable/preset/ask_before_delete_preset", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id53 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "plugins/lighttable/export/ask_before_export_overwrite", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id54 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "plugins/lighttable/metadata_view/pretty_location", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id55 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "plugins/lighttable/export/force_lcms2", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id56 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "lighttable/ui/milliseconds", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id57 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "darkroom/ui/loading_screen", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id58 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "plugins/lighttable/export/pixel_interpolator_warp", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id59 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "plugins/lighttable/export/pixel_interpolator", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id60 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "plugins/pwstorage/pwstorage_backend", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id61 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "ui_last/display_profile_source", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id62 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "run_crawler_on_start", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id63 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "plugins/lighttable/audio_player", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id64 (GtkWidget *widget, gpointer user_data)
{
  restart_required = TRUE;
  float factor = 1.0f;
  set_widget_label_default(widget, "plugins/darkroom/lut3d/def_path", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id65 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "ui/detect_mono_exif", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id66 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "plugins/darkroom/temperature/colored_sliders", GTK_WIDGET(user_data), factor);
}

static void
preferences_changed_callback_id67 (GtkWidget *widget, gpointer user_data)
{
  float factor = 1.0f;
  set_widget_label_default(widget, "plugins/darkroom/colorbalance/layout", GTK_WIDGET(user_data), factor);
}


static void
init_tab_lighttable (GtkWidget *dialog, GtkWidget *stack)
{
  GtkWidget *widget, *label, *labelev, *viewport, *box;
  GtkWidget *grid = gtk_grid_new();
  gtk_grid_set_row_spacing(GTK_GRID(grid), DT_PIXEL_APPLY_DPI(3));
  gtk_grid_set_column_spacing(GTK_GRID(grid), DT_PIXEL_APPLY_DPI(5));
  gtk_widget_set_valign(grid, GTK_ALIGN_START);
  int line = 0;
  char tooltip[1024];
  GtkWidget *scroll = gtk_scrolled_window_new(NULL, NULL);
  gtk_scrolled_window_set_policy(GTK_SCROLLED_WINDOW(scroll), GTK_POLICY_AUTOMATIC, GTK_POLICY_AUTOMATIC);
  viewport = gtk_viewport_new(NULL, NULL);
  gtk_viewport_set_shadow_type(GTK_VIEWPORT(viewport), GTK_SHADOW_NONE); // doesn't seem to work from gtkrc
  gtk_container_add(GTK_CONTAINER(scroll), viewport);
  gtk_container_add(GTK_CONTAINER(viewport), grid);
  gtk_stack_add_titled(GTK_STACK(stack), scroll, _("lighttable"), _("lighttable"));

    {
      GtkWidget *seclabel = gtk_label_new(_("general"));
      GtkWidget *lbox = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
      gtk_box_pack_start(GTK_BOX(lbox), seclabel, FALSE, FALSE, 0);
      gtk_widget_set_name(lbox, "pref_section");
      gtk_grid_attach(GTK_GRID(grid), lbox, 0, line++, 2, 1);
    }
  
  {
    const gboolean is_default = dt_conf_is_default("plugins/lighttable/hide_default_presets");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("hide built-in presets for utility modules"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("plugins/lighttable/hide_default_presets"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id47), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id47), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "FALSE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("hides built-in presets of utility modules in presets menu."), (gchar *)0);
    gtk_widget_set_name(widget, "plugins/lighttable/hide_default_presets");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id47), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("lighttable/ui/milliseconds");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("show image time with milliseconds"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("lighttable/ui/milliseconds"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id56), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id56), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "FALSE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("defines whether time should be displayed with milliseconds"), (gchar *)0);
    gtk_widget_set_name(widget, "lighttable/ui/milliseconds");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id56), (gpointer)widget);

  }

   {
      GtkWidget *seclabel = gtk_label_new(_("thumbnails"));
      GtkWidget *lbox = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
      gtk_box_pack_start(GTK_BOX(lbox), seclabel, FALSE, FALSE, 0);
      gtk_widget_set_name(lbox, "pref_section");
      gtk_grid_attach(GTK_GRID(grid), lbox, 0, line++, 2, 1);
   }
  
  gtk_widget_show_all(stack);
}

static void
init_tab_darkroom (GtkWidget *dialog, GtkWidget *stack)
{
  GtkWidget *widget, *label, *labelev, *viewport, *box;
  GtkWidget *grid = gtk_grid_new();
  gtk_grid_set_row_spacing(GTK_GRID(grid), DT_PIXEL_APPLY_DPI(3));
  gtk_grid_set_column_spacing(GTK_GRID(grid), DT_PIXEL_APPLY_DPI(5));
  gtk_widget_set_valign(grid, GTK_ALIGN_START);
  int line = 0;
  char tooltip[1024];
  GtkWidget *scroll = gtk_scrolled_window_new(NULL, NULL);
  gtk_scrolled_window_set_policy(GTK_SCROLLED_WINDOW(scroll), GTK_POLICY_AUTOMATIC, GTK_POLICY_AUTOMATIC);
  viewport = gtk_viewport_new(NULL, NULL);
  gtk_viewport_set_shadow_type(GTK_VIEWPORT(viewport), GTK_SHADOW_NONE); // doesn't seem to work from gtkrc
  gtk_container_add(GTK_CONTAINER(scroll), viewport);
  gtk_container_add(GTK_CONTAINER(viewport), grid);
  gtk_stack_add_titled(GTK_STACK(stack), scroll, _("darkroom"), _("darkroom"));

    {
      GtkWidget *seclabel = gtk_label_new(_("general"));
      GtkWidget *lbox = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
      gtk_box_pack_start(GTK_BOX(lbox), seclabel, FALSE, FALSE, 0);
      gtk_widget_set_name(lbox, "pref_section");
      gtk_grid_attach(GTK_GRID(grid), lbox, 0, line++, 2, 1);
    }
  
  {
    const gboolean is_default = dt_conf_is_default("pressure_sensitivity");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("pen pressure control for brush masks"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    GtkTreeIter iter;
    GtkListStore *store = gtk_list_store_new(2, G_TYPE_STRING, G_TYPE_STRING);
    gchar *str = dt_conf_get_string("pressure_sensitivity");
    gint pos = -1;

        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "off", 1, C_("preferences", "off"), -1);
        if(pos == -1 && strcmp(str, "off") == 0)
          pos = 0;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "hardness (relative)", 1, C_("preferences", "hardness (relative)"), -1);
        if(pos == -1 && strcmp(str, "hardness (relative)") == 0)
          pos = 1;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "hardness (absolute)", 1, C_("preferences", "hardness (absolute)"), -1);
        if(pos == -1 && strcmp(str, "hardness (absolute)") == 0)
          pos = 2;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "opacity (relative)", 1, C_("preferences", "opacity (relative)"), -1);
        if(pos == -1 && strcmp(str, "opacity (relative)") == 0)
          pos = 3;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "opacity (absolute)", 1, C_("preferences", "opacity (absolute)"), -1);
        if(pos == -1 && strcmp(str, "opacity (absolute)") == 0)
          pos = 4;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "brush size (relative)", 1, C_("preferences", "brush size (relative)"), -1);
        if(pos == -1 && strcmp(str, "brush size (relative)") == 0)
          pos = 5;
      

    g_free(str);

    widget = gtk_combo_box_new_with_model(GTK_TREE_MODEL(store));
    gtk_widget_set_hexpand(widget, FALSE);
    g_object_unref(store);
    GtkCellRenderer *renderer = gtk_cell_renderer_text_new();
    gtk_cell_renderer_set_padding(renderer, 0, 0);
    gtk_cell_layout_pack_start(GTK_CELL_LAYOUT(widget), renderer, TRUE);
    gtk_cell_layout_set_attributes(GTK_CELL_LAYOUT(widget), renderer, "text", 1, NULL);
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), pos);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
     g_signal_connect(G_OBJECT(widget), "changed", G_CALLBACK(preferences_changed_callback_id40), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id40), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "off"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("off - pressure reading ignored, hardness/opacity/brush size - pressure reading controls specified attribute, absolute/relative - pressure reading is taken directly as attribute value or multiplied with pre-defined setting."), (gchar *)0);
    gtk_widget_set_name(widget, "pressure_sensitivity");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id40), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("brush_smoothing");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("smoothing of brush strokes"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    GtkTreeIter iter;
    GtkListStore *store = gtk_list_store_new(2, G_TYPE_STRING, G_TYPE_STRING);
    gchar *str = dt_conf_get_string("brush_smoothing");
    gint pos = -1;

        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "low", 1, C_("preferences", "low"), -1);
        if(pos == -1 && strcmp(str, "low") == 0)
          pos = 0;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "medium", 1, C_("preferences", "medium"), -1);
        if(pos == -1 && strcmp(str, "medium") == 0)
          pos = 1;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "high", 1, C_("preferences", "high"), -1);
        if(pos == -1 && strcmp(str, "high") == 0)
          pos = 2;
      

    g_free(str);

    widget = gtk_combo_box_new_with_model(GTK_TREE_MODEL(store));
    gtk_widget_set_hexpand(widget, FALSE);
    g_object_unref(store);
    GtkCellRenderer *renderer = gtk_cell_renderer_text_new();
    gtk_cell_renderer_set_padding(renderer, 0, 0);
    gtk_cell_layout_pack_start(GTK_CELL_LAYOUT(widget), renderer, TRUE);
    gtk_cell_layout_set_attributes(GTK_CELL_LAYOUT(widget), renderer, "text", 1, NULL);
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), pos);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
     g_signal_connect(G_OBJECT(widget), "changed", G_CALLBACK(preferences_changed_callback_id41), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id41), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "medium"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("sets level for smoothing of brush strokes. stronger smoothing leads to less nodes and easier editing but with lower control of accuracy."), (gchar *)0);
    gtk_widget_set_name(widget, "brush_smoothing");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id41), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("plugins/darkroom/image_infos_pattern");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("pattern for the image information line"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    GtkTextBuffer *buffer = gtk_text_buffer_new(NULL);
    widget = gtk_text_view_new_with_buffer(buffer);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, TRUE, TRUE, 0);
    gtk_text_view_set_wrap_mode(GTK_TEXT_VIEW(widget), GTK_WRAP_WORD);
    gtk_text_view_set_accepts_tab(GTK_TEXT_VIEW(widget), FALSE);
    gtk_widget_set_halign(widget, GTK_ALIGN_FILL);
    gtk_widget_set_hexpand(widget, TRUE);
    gchar *setting = dt_conf_get_string("plugins/darkroom/image_infos_pattern");
    gtk_text_buffer_set_text(buffer, setting, strlen(setting));
    g_free(setting);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id43), widget);
    g_signal_connect(G_OBJECT(widget), "key-press-event", G_CALLBACK(handle_enter_key), NULL);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), "$(EXIF_EXPOSURE) • f/$(EXIF_APERTURE) • $(EXIF_FOCAL_LENGTH) mm • $(EXIF_ISO) ISO");
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("see manual for a list of the tags you can use."), (gchar *)0);
    gtk_widget_set_name(widget, "plugins/darkroom/image_infos_pattern");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id43), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("plugins/darkroom/image_infos_position");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("position of the image information line"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    GtkTreeIter iter;
    GtkListStore *store = gtk_list_store_new(2, G_TYPE_STRING, G_TYPE_STRING);
    gchar *str = dt_conf_get_string("plugins/darkroom/image_infos_position");
    gint pos = -1;

        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "top left", 1, C_("preferences", "top left"), -1);
        if(pos == -1 && strcmp(str, "top left") == 0)
          pos = 0;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "top right", 1, C_("preferences", "top right"), -1);
        if(pos == -1 && strcmp(str, "top right") == 0)
          pos = 1;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "top center", 1, C_("preferences", "top center"), -1);
        if(pos == -1 && strcmp(str, "top center") == 0)
          pos = 2;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "bottom", 1, C_("preferences", "bottom"), -1);
        if(pos == -1 && strcmp(str, "bottom") == 0)
          pos = 3;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "hidden", 1, C_("preferences", "hidden"), -1);
        if(pos == -1 && strcmp(str, "hidden") == 0)
          pos = 4;
      

    g_free(str);

    widget = gtk_combo_box_new_with_model(GTK_TREE_MODEL(store));
    gtk_widget_set_hexpand(widget, FALSE);
    g_object_unref(store);
    GtkCellRenderer *renderer = gtk_cell_renderer_text_new();
    gtk_cell_renderer_set_padding(renderer, 0, 0);
    gtk_cell_layout_pack_start(GTK_CELL_LAYOUT(widget), renderer, TRUE);
    gtk_cell_layout_set_attributes(GTK_CELL_LAYOUT(widget), renderer, "text", 1, NULL);
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), pos);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
     g_signal_connect(G_OBJECT(widget), "changed", G_CALLBACK(preferences_changed_callback_id44), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id44), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "bottom"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    gtk_widget_set_name(widget, "plugins/darkroom/image_infos_position");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id44), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("darkroom/ui/loading_screen");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("show loading screen between images"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("darkroom/ui/loading_screen"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id57), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id57), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "TRUE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("show gray loading screen when navigating between images in the darkroom\ndisable to just show a toast message"), (gchar *)0);
    gtk_widget_set_name(widget, "darkroom/ui/loading_screen");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id57), (gpointer)widget);

  }

   {
      GtkWidget *seclabel = gtk_label_new(_("modules"));
      GtkWidget *lbox = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
      gtk_box_pack_start(GTK_BOX(lbox), seclabel, FALSE, FALSE, 0);
      gtk_widget_set_name(lbox, "pref_section");
      gtk_grid_attach(GTK_GRID(grid), lbox, 0, line++, 2, 1);
   }
  
  {
    const gboolean is_default = dt_conf_is_default("channel_display");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("display of individual color channels"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    GtkTreeIter iter;
    GtkListStore *store = gtk_list_store_new(2, G_TYPE_STRING, G_TYPE_STRING);
    gchar *str = dt_conf_get_string("channel_display");
    gint pos = -1;

        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "false color", 1, C_("preferences", "false color"), -1);
        if(pos == -1 && strcmp(str, "false color") == 0)
          pos = 0;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "grayscale", 1, C_("preferences", "grayscale"), -1);
        if(pos == -1 && strcmp(str, "grayscale") == 0)
          pos = 1;
      

    g_free(str);

    widget = gtk_combo_box_new_with_model(GTK_TREE_MODEL(store));
    gtk_widget_set_hexpand(widget, FALSE);
    g_object_unref(store);
    GtkCellRenderer *renderer = gtk_cell_renderer_text_new();
    gtk_cell_renderer_set_padding(renderer, 0, 0);
    gtk_cell_layout_pack_start(GTK_CELL_LAYOUT(widget), renderer, TRUE);
    gtk_cell_layout_set_attributes(GTK_CELL_LAYOUT(widget), renderer, "text", 1, NULL);
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), pos);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
     g_signal_connect(G_OBJECT(widget), "changed", G_CALLBACK(preferences_changed_callback_id42), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id42), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "false color"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("defines how color channels are displayed when activated in the parametric masks feature."), (gchar *)0);
    gtk_widget_set_name(widget, "channel_display");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id42), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("plugins/darkroom/hide_default_presets");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("hide built-in presets for processing modules"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("plugins/darkroom/hide_default_presets"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id46), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id46), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "FALSE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("hides built-in presets of processing modules in both presets and favourites menu."), (gchar *)0);
    gtk_widget_set_name(widget, "plugins/darkroom/hide_default_presets");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id46), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("plugins/darkroom/temperature/colored_sliders");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("white balance slider colors"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    GtkTreeIter iter;
    GtkListStore *store = gtk_list_store_new(2, G_TYPE_STRING, G_TYPE_STRING);
    gchar *str = dt_conf_get_string("plugins/darkroom/temperature/colored_sliders");
    gint pos = -1;

        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "no color", 1, C_("preferences", "no color"), -1);
        if(pos == -1 && strcmp(str, "no color") == 0)
          pos = 0;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "illuminant color", 1, C_("preferences", "illuminant color"), -1);
        if(pos == -1 && strcmp(str, "illuminant color") == 0)
          pos = 1;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "effect emulation", 1, C_("preferences", "effect emulation"), -1);
        if(pos == -1 && strcmp(str, "effect emulation") == 0)
          pos = 2;
      

    g_free(str);

    widget = gtk_combo_box_new_with_model(GTK_TREE_MODEL(store));
    gtk_widget_set_hexpand(widget, FALSE);
    g_object_unref(store);
    GtkCellRenderer *renderer = gtk_cell_renderer_text_new();
    gtk_cell_renderer_set_padding(renderer, 0, 0);
    gtk_cell_layout_pack_start(GTK_CELL_LAYOUT(widget), renderer, TRUE);
    gtk_cell_layout_set_attributes(GTK_CELL_LAYOUT(widget), renderer, "text", 1, NULL);
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), pos);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
     g_signal_connect(G_OBJECT(widget), "changed", G_CALLBACK(preferences_changed_callback_id66), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id66), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "no color"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("visual indication of temperature adjustments.\nin 'illuminant color' mode slider colors represent the color of the light source,\nin 'effect emulation' slider colors represent the effect the adjustment would have on the scene"), (gchar *)0);
    gtk_widget_set_name(widget, "plugins/darkroom/temperature/colored_sliders");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id66), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("plugins/darkroom/colorbalance/layout");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("color balance slider block layout"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    GtkTreeIter iter;
    GtkListStore *store = gtk_list_store_new(2, G_TYPE_STRING, G_TYPE_STRING);
    gchar *str = dt_conf_get_string("plugins/darkroom/colorbalance/layout");
    gint pos = -1;

        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "list", 1, C_("preferences", "list"), -1);
        if(pos == -1 && strcmp(str, "list") == 0)
          pos = 0;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "tabs", 1, C_("preferences", "tabs"), -1);
        if(pos == -1 && strcmp(str, "tabs") == 0)
          pos = 1;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "columns", 1, C_("preferences", "columns"), -1);
        if(pos == -1 && strcmp(str, "columns") == 0)
          pos = 2;
      

    g_free(str);

    widget = gtk_combo_box_new_with_model(GTK_TREE_MODEL(store));
    gtk_widget_set_hexpand(widget, FALSE);
    g_object_unref(store);
    GtkCellRenderer *renderer = gtk_cell_renderer_text_new();
    gtk_cell_renderer_set_padding(renderer, 0, 0);
    gtk_cell_layout_pack_start(GTK_CELL_LAYOUT(widget), renderer, TRUE);
    gtk_cell_layout_set_attributes(GTK_CELL_LAYOUT(widget), renderer, "text", 1, NULL);
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), pos);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
     g_signal_connect(G_OBJECT(widget), "changed", G_CALLBACK(preferences_changed_callback_id67), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id67), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "list"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("choose how to organise the slider blocks for lift, gamma and gain:\nlist - all sliders are shown in one long list (with headers),\ntabs - use tabs to switch between the blocks of sliders,\ncolumns - the blocks of sliders are shown next to each other (in narrow columns)"), (gchar *)0);
    gtk_widget_set_name(widget, "plugins/darkroom/colorbalance/layout");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id67), (gpointer)widget);

  }

  gtk_widget_show_all(stack);
}

static void
init_tab_otherviews (GtkWidget *dialog, GtkWidget *stack)
{
  GtkWidget *widget, *label, *labelev, *viewport, *box;
  GtkWidget *grid = gtk_grid_new();
  gtk_grid_set_row_spacing(GTK_GRID(grid), DT_PIXEL_APPLY_DPI(3));
  gtk_grid_set_column_spacing(GTK_GRID(grid), DT_PIXEL_APPLY_DPI(5));
  gtk_widget_set_valign(grid, GTK_ALIGN_START);
  int line = 0;
  char tooltip[1024];
  GtkWidget *scroll = gtk_scrolled_window_new(NULL, NULL);
  gtk_scrolled_window_set_policy(GTK_SCROLLED_WINDOW(scroll), GTK_POLICY_AUTOMATIC, GTK_POLICY_AUTOMATIC);
  viewport = gtk_viewport_new(NULL, NULL);
  gtk_viewport_set_shadow_type(GTK_VIEWPORT(viewport), GTK_SHADOW_NONE); // doesn't seem to work from gtkrc
  gtk_container_add(GTK_CONTAINER(scroll), viewport);
  gtk_container_add(GTK_CONTAINER(viewport), grid);
  gtk_stack_add_titled(GTK_STACK(stack), scroll, _("other views"), _("other views"));

  {
    const gboolean is_default = dt_conf_is_default("/views/print/enable");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("Enable the print view"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("/views/print/enable"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id1), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id1), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "FALSE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("Check to enable the global printing view. If you don't print yourself, keep disabled to save some resources. (needs a restart)"), (gchar *)0);
    gtk_widget_set_name(widget, "/views/print/enable");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id1), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("/views/map/enable");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("Enable the map view"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("/views/map/enable"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id2), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id2), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "FALSE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("Check to enable the global map view. If you don't print yourself, keep disabled to save some resources. (needs a restart)"), (gchar *)0);
    gtk_widget_set_name(widget, "/views/map/enable");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id2), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("/views/slideshow/enable");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("Enable the slideshow view"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("/views/slideshow/enable"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id3), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id3), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "FALSE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("Check to enable the global slideshow view. If you don't print yourself, keep disabled to save some resources. (needs a restart)"), (gchar *)0);
    gtk_widget_set_name(widget, "/views/slideshow/enable");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id3), (gpointer)widget);

  }

  gtk_widget_show_all(stack);
}

static void
init_tab_processing (GtkWidget *dialog, GtkWidget *stack)
{
  GtkWidget *widget, *label, *labelev, *viewport, *box;
  GtkWidget *grid = gtk_grid_new();
  gtk_grid_set_row_spacing(GTK_GRID(grid), DT_PIXEL_APPLY_DPI(3));
  gtk_grid_set_column_spacing(GTK_GRID(grid), DT_PIXEL_APPLY_DPI(5));
  gtk_widget_set_valign(grid, GTK_ALIGN_START);
  int line = 0;
  char tooltip[1024];
  GtkWidget *scroll = gtk_scrolled_window_new(NULL, NULL);
  gtk_scrolled_window_set_policy(GTK_SCROLLED_WINDOW(scroll), GTK_POLICY_AUTOMATIC, GTK_POLICY_AUTOMATIC);
  viewport = gtk_viewport_new(NULL, NULL);
  gtk_viewport_set_shadow_type(GTK_VIEWPORT(viewport), GTK_SHADOW_NONE); // doesn't seem to work from gtkrc
  gtk_container_add(GTK_CONTAINER(scroll), viewport);
  gtk_container_add(GTK_CONTAINER(viewport), grid);
  gtk_stack_add_titled(GTK_STACK(stack), scroll, _("processing"), _("processing"));

    {
      GtkWidget *seclabel = gtk_label_new(_("image processing"));
      GtkWidget *lbox = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
      gtk_box_pack_start(GTK_BOX(lbox), seclabel, FALSE, FALSE, 0);
      gtk_widget_set_name(lbox, "pref_section");
      gtk_grid_attach(GTK_GRID(grid), lbox, 0, line++, 2, 1);
    }
  
  {
    const gboolean is_default = dt_conf_is_default("plugins/lighttable/export/force_lcms2");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("always use LittleCMS 2 to apply output color profile"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("plugins/lighttable/export/force_lcms2"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id55), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id55), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "FALSE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("this is slower than the default."), (gchar *)0);
    gtk_widget_set_name(widget, "plugins/lighttable/export/force_lcms2");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id55), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("plugins/lighttable/export/pixel_interpolator_warp");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("pixel interpolator (warp)"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    GtkTreeIter iter;
    GtkListStore *store = gtk_list_store_new(2, G_TYPE_STRING, G_TYPE_STRING);
    gchar *str = dt_conf_get_string("plugins/lighttable/export/pixel_interpolator_warp");
    gint pos = -1;

        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "bilinear", 1, C_("preferences", "bilinear"), -1);
        if(pos == -1 && strcmp(str, "bilinear") == 0)
          pos = 0;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "bicubic", 1, C_("preferences", "bicubic"), -1);
        if(pos == -1 && strcmp(str, "bicubic") == 0)
          pos = 1;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "lanczos2", 1, C_("preferences", "lanczos2"), -1);
        if(pos == -1 && strcmp(str, "lanczos2") == 0)
          pos = 2;
      

    g_free(str);

    widget = gtk_combo_box_new_with_model(GTK_TREE_MODEL(store));
    gtk_widget_set_hexpand(widget, FALSE);
    g_object_unref(store);
    GtkCellRenderer *renderer = gtk_cell_renderer_text_new();
    gtk_cell_renderer_set_padding(renderer, 0, 0);
    gtk_cell_layout_pack_start(GTK_CELL_LAYOUT(widget), renderer, TRUE);
    gtk_cell_layout_set_attributes(GTK_CELL_LAYOUT(widget), renderer, "text", 1, NULL);
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), pos);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
     g_signal_connect(G_OBJECT(widget), "changed", G_CALLBACK(preferences_changed_callback_id58), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id58), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "bicubic"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("pixel interpolator used in modules for rotation, lens correction, liquify, cropping and final scaling (bilinear, bicubic, lanczos2)."), (gchar *)0);
    gtk_widget_set_name(widget, "plugins/lighttable/export/pixel_interpolator_warp");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id58), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("plugins/lighttable/export/pixel_interpolator");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("pixel interpolator (scaling)"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    GtkTreeIter iter;
    GtkListStore *store = gtk_list_store_new(2, G_TYPE_STRING, G_TYPE_STRING);
    gchar *str = dt_conf_get_string("plugins/lighttable/export/pixel_interpolator");
    gint pos = -1;

        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "bilinear", 1, C_("preferences", "bilinear"), -1);
        if(pos == -1 && strcmp(str, "bilinear") == 0)
          pos = 0;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "bicubic", 1, C_("preferences", "bicubic"), -1);
        if(pos == -1 && strcmp(str, "bicubic") == 0)
          pos = 1;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "lanczos2", 1, C_("preferences", "lanczos2"), -1);
        if(pos == -1 && strcmp(str, "lanczos2") == 0)
          pos = 2;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "lanczos3", 1, C_("preferences", "lanczos3"), -1);
        if(pos == -1 && strcmp(str, "lanczos3") == 0)
          pos = 3;
      

    g_free(str);

    widget = gtk_combo_box_new_with_model(GTK_TREE_MODEL(store));
    gtk_widget_set_hexpand(widget, FALSE);
    g_object_unref(store);
    GtkCellRenderer *renderer = gtk_cell_renderer_text_new();
    gtk_cell_renderer_set_padding(renderer, 0, 0);
    gtk_cell_layout_pack_start(GTK_CELL_LAYOUT(widget), renderer, TRUE);
    gtk_cell_layout_set_attributes(GTK_CELL_LAYOUT(widget), renderer, "text", 1, NULL);
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), pos);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
     g_signal_connect(G_OBJECT(widget), "changed", G_CALLBACK(preferences_changed_callback_id59), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id59), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "lanczos3"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("pixel interpolator used for scaling (bilinear, bicubic, lanczos2, lanczos3)."), (gchar *)0);
    gtk_widget_set_name(widget, "plugins/lighttable/export/pixel_interpolator");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id59), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("plugins/darkroom/lut3d/def_path");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("3D lut root folder"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_file_chooser_button_new(_("select directory"), GTK_FILE_CHOOSER_ACTION_SELECT_FOLDER);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, TRUE, TRUE, 0);
    gtk_file_chooser_button_set_width_chars(GTK_FILE_CHOOSER_BUTTON(widget), 20);
    gtk_widget_set_halign(widget, GTK_ALIGN_FILL);
    gtk_widget_set_hexpand(widget, TRUE);
    gchar *setting = dt_conf_get_string("plugins/darkroom/lut3d/def_path");
    gtk_file_chooser_set_current_folder(GTK_FILE_CHOOSER(widget), setting);
    g_free(setting);
    g_signal_connect(G_OBJECT(widget), "selection-changed", G_CALLBACK(preferences_changed_callback_id64), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id64), widget);
    gchar *default_path = dt_conf_expand_default_dir("$(home)");
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), default_path);
    g_free(default_path);
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
        gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("this folder (and sub-folders) contains Lut files used by lut3d modules. (need a restart)."), (gchar *)0);
    gtk_widget_set_name(widget, "plugins/darkroom/lut3d/def_path");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id64), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("ui/detect_mono_exif");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("detect monochrome previews"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("ui/detect_mono_exif"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id65), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id65), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "FALSE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("many monochrome images can be identified via exif and preview data. beware: this slows down imports and reading exif data"), (gchar *)0);
    gtk_widget_set_name(widget, "ui/detect_mono_exif");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id65), (gpointer)widget);

  }

    {
      GtkWidget *seclabel = gtk_label_new(_("cpu / gpu / memory"));
      GtkWidget *lbox = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
      gtk_box_pack_start(GTK_BOX(lbox), seclabel, FALSE, FALSE, 0);
      gtk_widget_set_name(lbox, "pref_section");
      gtk_grid_attach(GTK_GRID(grid), lbox, 0, line++, 2, 1);
    }
  
  {
    const gboolean is_default = dt_conf_is_default("cpu_threads");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("CPU cores"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    gint min = G_MININT;
    gint max = G_MAXINT;
    min = -1;
    float factor = 1.0f;
    double tmp;
    tmp = min * (double)factor; min = tmp;
    tmp = max * (double)factor; max = tmp;
    widget = gtk_spin_button_new_with_range(min, max, 1);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_widget_set_hexpand(widget, FALSE);
    gtk_spin_button_set_digits(GTK_SPIN_BUTTON(widget), 0);
    gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget), dt_conf_get_int("cpu_threads") * factor);
    g_signal_connect(G_OBJECT(widget), "value-changed", G_CALLBACK(preferences_changed_callback_id12), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id12), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%d'"), (int)(-1 * factor));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("Number of CPU cores to use for image processing, including virtual cores (hyperthreading). -1 or 0 uses all available/detected cores."), (gchar *)0);
    gtk_widget_set_name(widget, "cpu_threads");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id12), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("worker_threads");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("Background workers"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    gint min = G_MININT;
    gint max = G_MAXINT;
    min = 2;
    float factor = 1.0f;
    double tmp;
    tmp = min * (double)factor; min = tmp;
    tmp = max * (double)factor; max = tmp;
    widget = gtk_spin_button_new_with_range(min, max, 1);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_widget_set_hexpand(widget, FALSE);
    gtk_spin_button_set_digits(GTK_SPIN_BUTTON(widget), 0);
    gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget), dt_conf_get_int("worker_threads") * factor);
    g_signal_connect(G_OBJECT(widget), "value-changed", G_CALLBACK(preferences_changed_callback_id13), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id13), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%d'"), (int)(8 * factor));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("Number of concurrent background threads that can run in parallel, for example to export images, resynchronize XMP, fetch thumbnails, etc. Increasing this number will increase the memory consumption."), (gchar *)0);
    gtk_widget_set_name(widget, "worker_threads");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id13), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("memory_os_headroom");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("Memory headrom for OS/application (MiB)"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    gint min = G_MININT;
    gint max = G_MAXINT;
    min = 500;
    float factor = 1.0f;
    double tmp;
    tmp = min * (double)factor; min = tmp;
    tmp = max * (double)factor; max = tmp;
    widget = gtk_spin_button_new_with_range(min, max, 1);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_widget_set_hexpand(widget, FALSE);
    gtk_spin_button_set_digits(GTK_SPIN_BUTTON(widget), 0);
    gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget), dt_conf_get_int("memory_os_headroom") * factor);
    g_signal_connect(G_OBJECT(widget), "value-changed", G_CALLBACK(preferences_changed_callback_id14), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id14), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%d'"), (int)(4500 * factor));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("This is the amount of memory that Ansel will leave to the operating system and other applications"), (gchar *)0);
    gtk_widget_set_name(widget, "memory_os_headroom");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id14), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("memory_mipmap_cache");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("Memory reserved for lighttable thumbnail cache (MiB)"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    gint min = G_MININT;
    gint max = G_MAXINT;
    min = 500;
    float factor = 1.0f;
    double tmp;
    tmp = min * (double)factor; min = tmp;
    tmp = max * (double)factor; max = tmp;
    widget = gtk_spin_button_new_with_range(min, max, 1);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_widget_set_hexpand(widget, FALSE);
    gtk_spin_button_set_digits(GTK_SPIN_BUTTON(widget), 0);
    gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget), dt_conf_get_int("memory_mipmap_cache") * factor);
    g_signal_connect(G_OBJECT(widget), "value-changed", G_CALLBACK(preferences_changed_callback_id15), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id15), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%d'"), (int)(1000 * factor));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("This is the amount of memory that Ansel will use to keep lighttable thumbnails quickly accessible when scrolling back"), (gchar *)0);
    gtk_widget_set_name(widget, "memory_mipmap_cache");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id15), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("raw_resolution");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("Maximum RAW resolution to edit"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    GtkTreeIter iter;
    GtkListStore *store = gtk_list_store_new(2, G_TYPE_STRING, G_TYPE_STRING);
    gchar *str = dt_conf_get_string("raw_resolution");
    gint pos = -1;

        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "12 Mpx", 1, C_("preferences", "12 Mpx"), -1);
        if(pos == -1 && strcmp(str, "12 Mpx") == 0)
          pos = 0;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "16 Mpx", 1, C_("preferences", "16 Mpx"), -1);
        if(pos == -1 && strcmp(str, "16 Mpx") == 0)
          pos = 1;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "24 Mpx", 1, C_("preferences", "24 Mpx"), -1);
        if(pos == -1 && strcmp(str, "24 Mpx") == 0)
          pos = 2;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "36 Mpx", 1, C_("preferences", "36 Mpx"), -1);
        if(pos == -1 && strcmp(str, "36 Mpx") == 0)
          pos = 3;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "46 Mpx", 1, C_("preferences", "46 Mpx"), -1);
        if(pos == -1 && strcmp(str, "46 Mpx") == 0)
          pos = 4;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "52 Mpx", 1, C_("preferences", "52 Mpx"), -1);
        if(pos == -1 && strcmp(str, "52 Mpx") == 0)
          pos = 5;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "72 Mpx", 1, C_("preferences", "72 Mpx"), -1);
        if(pos == -1 && strcmp(str, "72 Mpx") == 0)
          pos = 6;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "100 Mpx", 1, C_("preferences", "100 Mpx"), -1);
        if(pos == -1 && strcmp(str, "100 Mpx") == 0)
          pos = 7;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "150 Mpx", 1, C_("preferences", "150 Mpx"), -1);
        if(pos == -1 && strcmp(str, "150 Mpx") == 0)
          pos = 8;
      

    g_free(str);

    widget = gtk_combo_box_new_with_model(GTK_TREE_MODEL(store));
    gtk_widget_set_hexpand(widget, FALSE);
    g_object_unref(store);
    GtkCellRenderer *renderer = gtk_cell_renderer_text_new();
    gtk_cell_renderer_set_padding(renderer, 0, 0);
    gtk_cell_layout_pack_start(GTK_CELL_LAYOUT(widget), renderer, TRUE);
    gtk_cell_layout_set_attributes(GTK_CELL_LAYOUT(widget), renderer, "text", 1, NULL);
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), pos);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
     g_signal_connect(G_OBJECT(widget), "changed", G_CALLBACK(preferences_changed_callback_id16), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id16), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "36 Mpx"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("This is the maximum resolution for your RAW images. It will be used to compute the required pixelpipe memory."), (gchar *)0);
    gtk_widget_set_name(widget, "raw_resolution");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id16), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("timeout");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("Pipe recompute timeout (milliseconds)"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    gint min = G_MININT;
    gint max = G_MAXINT;
    min = 0;
    float factor = 1.0f;
    double tmp;
    tmp = min * (double)factor; min = tmp;
    tmp = max * (double)factor; max = tmp;
    widget = gtk_spin_button_new_with_range(min, max, 1);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_widget_set_hexpand(widget, FALSE);
    gtk_spin_button_set_digits(GTK_SPIN_BUTTON(widget), 0);
    gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget), dt_conf_get_int("timeout") * factor);
    g_signal_connect(G_OBJECT(widget), "value-changed", G_CALLBACK(preferences_changed_callback_id17), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id17), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%d'"), (int)(100 * factor));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("Timeout preventing intermediate setting steps (e.g. while scrolling) to recompute the pipeline too often. Set to 0 to recompute immediately on module change."), (gchar *)0);
    gtk_widget_set_name(widget, "timeout");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id17), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("cache_disk_backend");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("enable disk backend for thumbnail cache"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("cache_disk_backend"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id18), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id18), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "TRUE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("if enabled, write thumbnails to disk (.cache/ansel/) when evicted from the memory cache. note that this can take a lot of memory (several gigabytes for 20k images) and will never delete cached thumbnails again. it's safe though to delete these manually, if you want. light table performance will be increased greatly when browsing a lot. to generate all thumbnails of your entire collection offline, run 'ansel-generate-cache'."), (gchar *)0);
    gtk_widget_set_name(widget, "cache_disk_backend");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id18), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("opencl");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("activate OpenCL support"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("opencl"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id23), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id23), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "TRUE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("if found, use OpenCL runtime on your system for improved processing speed. can be switched on and off at any time."), (gchar *)0);
    GtkWidget *notavailable = gtk_label_new(_("not available"));
    gtk_widget_set_halign(notavailable, GTK_ALIGN_START);
    gtk_widget_set_sensitive(notavailable, FALSE);
    g_object_set(notavailable, "tooltip-text", _("not available on this system"), (gchar *)0);
    gtk_widget_set_sensitive(labelev, dt_capabilities_check("opencl"));
    gtk_widget_set_sensitive(widget, dt_capabilities_check("opencl"));
    if(!dt_capabilities_check("opencl"))
      g_object_set(labelev, "tooltip-text", _("not available on this system"), (gchar *)0);
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), dt_capabilities_check("opencl") ? box : notavailable, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id23), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("memory_opencl_headroom");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("GPU vRAM headroom (MiB)"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    gint min = G_MININT;
    gint max = G_MAXINT;
    min = 0;
    float factor = 1.0f;
    double tmp;
    tmp = min * (double)factor; min = tmp;
    tmp = max * (double)factor; max = tmp;
    widget = gtk_spin_button_new_with_range(min, max, 1);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_widget_set_hexpand(widget, FALSE);
    gtk_spin_button_set_digits(GTK_SPIN_BUTTON(widget), 0);
    gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget), dt_conf_get_int("memory_opencl_headroom") * factor);
    g_signal_connect(G_OBJECT(widget), "value-changed", G_CALLBACK(preferences_changed_callback_id24), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id24), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%d'"), (int)(200 * factor));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("This is the amount of GPU memory that Ansel will leave to other GPU-accelerated applications, OpenGL, X server, etc."), (gchar *)0);
    GtkWidget *notavailable = gtk_label_new(_("not available"));
    gtk_widget_set_halign(notavailable, GTK_ALIGN_START);
    gtk_widget_set_sensitive(notavailable, FALSE);
    g_object_set(notavailable, "tooltip-text", _("not available on this system"), (gchar *)0);
    gtk_widget_set_sensitive(labelev, dt_capabilities_check("opencl"));
    gtk_widget_set_sensitive(widget, dt_capabilities_check("opencl"));
    if(!dt_capabilities_check("opencl"))
      g_object_set(labelev, "tooltip-text", _("not available on this system"), (gchar *)0);
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), dt_capabilities_check("opencl") ? box : notavailable, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id24), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("opencl_library");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("system library with OpenCL runtime"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_entry_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, TRUE, TRUE, 0);
    gtk_widget_set_halign(widget, GTK_ALIGN_FILL);
    gtk_widget_set_hexpand(widget, TRUE);
    gchar *setting = dt_conf_get_string("opencl_library");
    gtk_entry_set_text(GTK_ENTRY(widget), setting);
    g_free(setting);
    g_signal_connect(G_OBJECT(widget), "changed", G_CALLBACK(preferences_changed_callback_id25), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id25), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), "");
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("OpenCL runtime library is normally detected automatically by ansel. if your OpenCL runtime is at an unusual place and cannot be detected, enter the full pathname here. leave empty for default behavior."), (gchar *)0);
    GtkWidget *notavailable = gtk_label_new(_("not available"));
    gtk_widget_set_halign(notavailable, GTK_ALIGN_START);
    gtk_widget_set_sensitive(notavailable, FALSE);
    g_object_set(notavailable, "tooltip-text", _("not available on this system"), (gchar *)0);
    gtk_widget_set_sensitive(labelev, dt_capabilities_check("opencl"));
    gtk_widget_set_sensitive(widget, dt_capabilities_check("opencl"));
    if(!dt_capabilities_check("opencl"))
      g_object_set(labelev, "tooltip-text", _("not available on this system"), (gchar *)0);
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), dt_capabilities_check("opencl") ? box : notavailable, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id25), (gpointer)widget);

  }

    {
      GtkWidget *lbox = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
      gtk_box_pack_start(GTK_BOX(lbox), gtk_label_new(_("libraw")), FALSE, FALSE, 0);
      gtk_widget_set_name(lbox, "pref_section");
      gtk_grid_attach(GTK_GRID(grid), lbox, 0, line++, 2, 1);

      GtkWidget *warning_label = gtk_label_new(NULL);
      gtk_label_set_markup(GTK_LABEL(warning_label), _("This feature is experimental. Please read : https://ansel.photos/en/doc/preferences-settings/processing/#libraw"));
      lbox = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
      gtk_box_pack_start(GTK_BOX(lbox), warning_label, FALSE, FALSE, 0);
      gtk_grid_attach(GTK_GRID(grid), lbox, 0, line++, 4, 1);
    }
  
  {
    const gboolean is_default = dt_conf_is_default("libraw/extensions");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("Raw file extensions to load through Libraw"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_entry_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, TRUE, TRUE, 0);
    gtk_widget_set_halign(widget, GTK_ALIGN_FILL);
    gtk_widget_set_hexpand(widget, TRUE);
    gchar *setting = dt_conf_get_string("libraw/extensions");
    gtk_entry_set_text(GTK_ENTRY(widget), setting);
    g_free(setting);
    g_signal_connect(G_OBJECT(widget), "changed", G_CALLBACK(preferences_changed_callback_id26), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id26), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), "cr3,");
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("Force Libraw use to decode the defined coma-separated file extensions. Otherwise, they are loaded through Rawspeed if it supports them, which is better integrated into Ansel. Use this if your camera is not properly supported by Rawspeed."), (gchar *)0);
    gtk_widget_set_name(widget, "libraw/extensions");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id26), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("libraw/models");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("Camera models to load through Libraw"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_entry_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, TRUE, TRUE, 0);
    gtk_widget_set_halign(widget, GTK_ALIGN_FILL);
    gtk_widget_set_hexpand(widget, TRUE);
    gchar *setting = dt_conf_get_string("libraw/models");
    gtk_entry_set_text(GTK_ENTRY(widget), setting);
    g_free(setting);
    g_signal_connect(G_OBJECT(widget), "changed", G_CALLBACK(preferences_changed_callback_id27), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id27), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), "");
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("Force Libraw use to decode the defined coma-separated camera models, described by the EXIF model field. Otherwise, they are loaded through Rawspeed if it supports them, which is better integrated into Ansel. Use this if your camera is not properly supported by Rawspeed."), (gchar *)0);
    gtk_widget_set_name(widget, "libraw/models");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id27), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("libraw/makers");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("Camera makers to load through Libraw"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_entry_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, TRUE, TRUE, 0);
    gtk_widget_set_halign(widget, GTK_ALIGN_FILL);
    gtk_widget_set_hexpand(widget, TRUE);
    gchar *setting = dt_conf_get_string("libraw/makers");
    gtk_entry_set_text(GTK_ENTRY(widget), setting);
    g_free(setting);
    g_signal_connect(G_OBJECT(widget), "changed", G_CALLBACK(preferences_changed_callback_id28), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id28), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), "");
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("Force Libraw use to decode the defined coma-separated camera vendors, described by the EXIF maker field. Otherwise, they are loaded through Rawspeed if it supports them, which is better integrated into Ansel. Use this if your camera is not properly supported by Rawspeed."), (gchar *)0);
    gtk_widget_set_name(widget, "libraw/makers");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id28), (gpointer)widget);

  }

  gtk_widget_show_all(stack);
}

static void
init_tab_security (GtkWidget *dialog, GtkWidget *stack)
{
  GtkWidget *widget, *label, *labelev, *viewport, *box;
  GtkWidget *grid = gtk_grid_new();
  gtk_grid_set_row_spacing(GTK_GRID(grid), DT_PIXEL_APPLY_DPI(3));
  gtk_grid_set_column_spacing(GTK_GRID(grid), DT_PIXEL_APPLY_DPI(5));
  gtk_widget_set_valign(grid, GTK_ALIGN_START);
  int line = 0;
  char tooltip[1024];
  GtkWidget *scroll = gtk_scrolled_window_new(NULL, NULL);
  gtk_scrolled_window_set_policy(GTK_SCROLLED_WINDOW(scroll), GTK_POLICY_AUTOMATIC, GTK_POLICY_AUTOMATIC);
  viewport = gtk_viewport_new(NULL, NULL);
  gtk_viewport_set_shadow_type(GTK_VIEWPORT(viewport), GTK_SHADOW_NONE); // doesn't seem to work from gtkrc
  gtk_container_add(GTK_CONTAINER(scroll), viewport);
  gtk_container_add(GTK_CONTAINER(viewport), grid);
  gtk_stack_add_titled(GTK_STACK(stack), scroll, _("security"), _("security"));

    {
      GtkWidget *seclabel = gtk_label_new(_("general"));
      GtkWidget *lbox = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
      gtk_box_pack_start(GTK_BOX(lbox), seclabel, FALSE, FALSE, 0);
      gtk_widget_set_name(lbox, "pref_section");
      gtk_grid_attach(GTK_GRID(grid), lbox, 0, line++, 2, 1);
    }
  
  {
    const gboolean is_default = dt_conf_is_default("ask_before_remove");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("ask before removing images from the library"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("ask_before_remove"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id29), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id29), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "TRUE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("always ask the user before any image is removed from the library"), (gchar *)0);
    gtk_widget_set_name(widget, "ask_before_remove");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id29), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("ask_before_delete");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("ask before deleting images from disk"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("ask_before_delete"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id30), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id30), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "TRUE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("always ask the user before any image file is deleted"), (gchar *)0);
    gtk_widget_set_name(widget, "ask_before_delete");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id30), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("ask_before_discard");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("ask before discarding history stack"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("ask_before_discard"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id31), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id31), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "TRUE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("always ask the user before history stack is discarded on any image"), (gchar *)0);
    gtk_widget_set_name(widget, "ask_before_discard");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id31), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("send_to_trash");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("try to use trash when deleting images"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("send_to_trash"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id32), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id32), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "TRUE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("send files to trash instead of permanently deleting files on system that supports it"), (gchar *)0);
    gtk_widget_set_name(widget, "send_to_trash");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id32), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("ask_before_move");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("ask before moving images from film roll folder"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("ask_before_move"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id33), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id33), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "TRUE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("always ask the user before any image file is moved."), (gchar *)0);
    gtk_widget_set_name(widget, "ask_before_move");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id33), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("ask_before_copy");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("ask before copying images to new film roll folder"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("ask_before_copy"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id34), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id34), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "TRUE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("always ask the user before any image file is copied."), (gchar *)0);
    gtk_widget_set_name(widget, "ask_before_copy");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id34), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("ask_before_rmdir");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("ask before removing empty folders"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("ask_before_rmdir"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id35), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id35), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "FALSE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("always ask the user before removing any empty folder. this can happen after moving or deleting images."), (gchar *)0);
    gtk_widget_set_name(widget, "ask_before_rmdir");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id35), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("plugins/lighttable/tagging/ask_before_delete_tag");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("ask before deleting a tag"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("plugins/lighttable/tagging/ask_before_delete_tag"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id48), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id48), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "TRUE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    gtk_widget_set_name(widget, "plugins/lighttable/tagging/ask_before_delete_tag");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id48), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("plugins/lighttable/style/ask_before_delete_style");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("ask before deleting a style"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("plugins/lighttable/style/ask_before_delete_style"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id51), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id51), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "TRUE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    gtk_widget_set_name(widget, "plugins/lighttable/style/ask_before_delete_style");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id51), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("plugins/lighttable/preset/ask_before_delete_preset");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("ask before deleting a preset"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("plugins/lighttable/preset/ask_before_delete_preset"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id52), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id52), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "TRUE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("will ask for confirmation before deleting or overwriting a preset"), (gchar *)0);
    gtk_widget_set_name(widget, "plugins/lighttable/preset/ask_before_delete_preset");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id52), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("plugins/lighttable/export/ask_before_export_overwrite");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("ask before exporting in overwrite mode"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("plugins/lighttable/export/ask_before_export_overwrite"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id53), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id53), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "TRUE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("will ask for confirmation before exporting files in overwrite mode"), (gchar *)0);
    gtk_widget_set_name(widget, "plugins/lighttable/export/ask_before_export_overwrite");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id53), (gpointer)widget);

  }

   {
      GtkWidget *seclabel = gtk_label_new(_("other"));
      GtkWidget *lbox = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
      gtk_box_pack_start(GTK_BOX(lbox), seclabel, FALSE, FALSE, 0);
      gtk_widget_set_name(lbox, "pref_section");
      gtk_grid_attach(GTK_GRID(grid), lbox, 0, line++, 2, 1);
   }
  
  {
    const gboolean is_default = dt_conf_is_default("plugins/pwstorage/pwstorage_backend");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("password storage backend to use"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    GtkTreeIter iter;
    GtkListStore *store = gtk_list_store_new(2, G_TYPE_STRING, G_TYPE_STRING);
    gchar *str = dt_conf_get_string("plugins/pwstorage/pwstorage_backend");
    gint pos = -1;

        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "auto", 1, C_("preferences", "auto"), -1);
        if(pos == -1 && strcmp(str, "auto") == 0)
          pos = 0;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "none", 1, C_("preferences", "none"), -1);
        if(pos == -1 && strcmp(str, "none") == 0)
          pos = 1;
      if(dt_capabilities_check("libsecret")) {
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "libsecret", 1, C_("preferences", "libsecret"), -1);
        if(pos == -1 && strcmp(str, "libsecret") == 0)
          pos = 2;
      }
          if(dt_capabilities_check("kwallet")) {
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "kwallet", 1, C_("preferences", "kwallet"), -1);
        if(pos == -1 && strcmp(str, "kwallet") == 0)
          pos = 3;
      }
          

    g_free(str);

    widget = gtk_combo_box_new_with_model(GTK_TREE_MODEL(store));
    gtk_widget_set_hexpand(widget, FALSE);
    g_object_unref(store);
    GtkCellRenderer *renderer = gtk_cell_renderer_text_new();
    gtk_cell_renderer_set_padding(renderer, 0, 0);
    gtk_cell_layout_pack_start(GTK_CELL_LAYOUT(widget), renderer, TRUE);
    gtk_cell_layout_set_attributes(GTK_CELL_LAYOUT(widget), renderer, "text", 1, NULL);
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), pos);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
     g_signal_connect(G_OBJECT(widget), "changed", G_CALLBACK(preferences_changed_callback_id60), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id60), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "auto"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("the storage backend for password storage: auto, none, libsecret, kwallet"), (gchar *)0);
    gtk_widget_set_name(widget, "plugins/pwstorage/pwstorage_backend");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id60), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("plugins/lighttable/audio_player");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("executable for playing audio files"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_entry_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, TRUE, TRUE, 0);
    gtk_widget_set_halign(widget, GTK_ALIGN_FILL);
    gtk_widget_set_hexpand(widget, TRUE);
    gchar *setting = dt_conf_get_string("plugins/lighttable/audio_player");
    gtk_entry_set_text(GTK_ENTRY(widget), setting);
    g_free(setting);
    g_signal_connect(G_OBJECT(widget), "changed", G_CALLBACK(preferences_changed_callback_id63), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id63), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), "aplay");
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("this external program is used to play audio files some cameras record to keep notes for images"), (gchar *)0);
    gtk_widget_set_name(widget, "plugins/lighttable/audio_player");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id63), (gpointer)widget);

  }

  gtk_widget_show_all(stack);
}

static void
init_tab_storage (GtkWidget *dialog, GtkWidget *stack)
{
  GtkWidget *widget, *label, *labelev, *viewport, *box;
  GtkWidget *grid = gtk_grid_new();
  gtk_grid_set_row_spacing(GTK_GRID(grid), DT_PIXEL_APPLY_DPI(3));
  gtk_grid_set_column_spacing(GTK_GRID(grid), DT_PIXEL_APPLY_DPI(5));
  gtk_widget_set_valign(grid, GTK_ALIGN_START);
  int line = 0;
  char tooltip[1024];
  GtkWidget *scroll = gtk_scrolled_window_new(NULL, NULL);
  gtk_scrolled_window_set_policy(GTK_SCROLLED_WINDOW(scroll), GTK_POLICY_AUTOMATIC, GTK_POLICY_AUTOMATIC);
  viewport = gtk_viewport_new(NULL, NULL);
  gtk_viewport_set_shadow_type(GTK_VIEWPORT(viewport), GTK_SHADOW_NONE); // doesn't seem to work from gtkrc
  gtk_container_add(GTK_CONTAINER(scroll), viewport);
  gtk_container_add(GTK_CONTAINER(viewport), grid);
  gtk_stack_add_titled(GTK_STACK(stack), scroll, _("storage"), _("storage"));

   {
      GtkWidget *seclabel = gtk_label_new(_("database"));
      GtkWidget *lbox = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
      gtk_box_pack_start(GTK_BOX(lbox), seclabel, FALSE, FALSE, 0);
      gtk_widget_set_name(lbox, "pref_section");
      gtk_grid_attach(GTK_GRID(grid), lbox, 0, line++, 2, 1);
   }

  {
    const gboolean is_default = dt_conf_is_default("database");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("database location"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_entry_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, TRUE, TRUE, 0);
    gtk_widget_set_halign(widget, GTK_ALIGN_FILL);
    gtk_widget_set_hexpand(widget, TRUE);
    gchar *setting = dt_conf_get_string("database");
    gtk_entry_set_text(GTK_ENTRY(widget), setting);
    g_free(setting);
    g_signal_connect(G_OBJECT(widget), "changed", G_CALLBACK(preferences_changed_callback_id6), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id6), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), "library.db");
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("filename relative to ~/.config/ansel or starting with a slash (needs a restart)."), (gchar *)0);
    gtk_widget_set_name(widget, "database");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id6), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("database/maintenance_check");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("check for database maintenance"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    GtkTreeIter iter;
    GtkListStore *store = gtk_list_store_new(2, G_TYPE_STRING, G_TYPE_STRING);
    gchar *str = dt_conf_get_string("database/maintenance_check");
    gint pos = -1;

        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "never", 1, C_("preferences", "never"), -1);
        if(pos == -1 && strcmp(str, "never") == 0)
          pos = 0;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "on startup", 1, C_("preferences", "on startup"), -1);
        if(pos == -1 && strcmp(str, "on startup") == 0)
          pos = 1;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "on close", 1, C_("preferences", "on close"), -1);
        if(pos == -1 && strcmp(str, "on close") == 0)
          pos = 2;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "on both", 1, C_("preferences", "on both"), -1);
        if(pos == -1 && strcmp(str, "on both") == 0)
          pos = 3;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "on startup (don't ask)", 1, C_("preferences", "on startup (don't ask)"), -1);
        if(pos == -1 && strcmp(str, "on startup (don't ask)") == 0)
          pos = 4;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "on close (don't ask)", 1, C_("preferences", "on close (don't ask)"), -1);
        if(pos == -1 && strcmp(str, "on close (don't ask)") == 0)
          pos = 5;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "on both (don't ask)", 1, C_("preferences", "on both (don't ask)"), -1);
        if(pos == -1 && strcmp(str, "on both (don't ask)") == 0)
          pos = 6;
      

    g_free(str);

    widget = gtk_combo_box_new_with_model(GTK_TREE_MODEL(store));
    gtk_widget_set_hexpand(widget, FALSE);
    g_object_unref(store);
    GtkCellRenderer *renderer = gtk_cell_renderer_text_new();
    gtk_cell_renderer_set_padding(renderer, 0, 0);
    gtk_cell_layout_pack_start(GTK_CELL_LAYOUT(widget), renderer, TRUE);
    gtk_cell_layout_set_attributes(GTK_CELL_LAYOUT(widget), renderer, "text", 1, NULL);
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), pos);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
     g_signal_connect(G_OBJECT(widget), "changed", G_CALLBACK(preferences_changed_callback_id7), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id7), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "on close"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("this option indicates when to check database fragmentation and perform maintenance"), (gchar *)0);
    gtk_widget_set_name(widget, "database/maintenance_check");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id7), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("database/maintenance_freepage_ratio");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("database fragmentation ratio threshold"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    gint min = G_MININT;
    gint max = G_MAXINT;
    min = 0;
    float factor = 1.0f;
    double tmp;
    tmp = min * (double)factor; min = tmp;
    tmp = max * (double)factor; max = tmp;
    widget = gtk_spin_button_new_with_range(min, max, 1);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_widget_set_hexpand(widget, FALSE);
    gtk_spin_button_set_digits(GTK_SPIN_BUTTON(widget), 0);
    gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget), dt_conf_get_int("database/maintenance_freepage_ratio") * factor);
    g_signal_connect(G_OBJECT(widget), "value-changed", G_CALLBACK(preferences_changed_callback_id8), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id8), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%d'"), (int)(25 * factor));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("fragmentation ratio above which to ask or carry out automatically database maintenance"), (gchar *)0);
    gtk_widget_set_name(widget, "database/maintenance_freepage_ratio");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id8), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("database/create_snapshot");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("create database snapshot"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    GtkTreeIter iter;
    GtkListStore *store = gtk_list_store_new(2, G_TYPE_STRING, G_TYPE_STRING);
    gchar *str = dt_conf_get_string("database/create_snapshot");
    gint pos = -1;

        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "never", 1, C_("preferences", "never"), -1);
        if(pos == -1 && strcmp(str, "never") == 0)
          pos = 0;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "once a month", 1, C_("preferences", "once a month"), -1);
        if(pos == -1 && strcmp(str, "once a month") == 0)
          pos = 1;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "once a week", 1, C_("preferences", "once a week"), -1);
        if(pos == -1 && strcmp(str, "once a week") == 0)
          pos = 2;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "once a day", 1, C_("preferences", "once a day"), -1);
        if(pos == -1 && strcmp(str, "once a day") == 0)
          pos = 3;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "on close", 1, C_("preferences", "on close"), -1);
        if(pos == -1 && strcmp(str, "on close") == 0)
          pos = 4;
      

    g_free(str);

    widget = gtk_combo_box_new_with_model(GTK_TREE_MODEL(store));
    gtk_widget_set_hexpand(widget, FALSE);
    g_object_unref(store);
    GtkCellRenderer *renderer = gtk_cell_renderer_text_new();
    gtk_cell_renderer_set_padding(renderer, 0, 0);
    gtk_cell_layout_pack_start(GTK_CELL_LAYOUT(widget), renderer, TRUE);
    gtk_cell_layout_set_attributes(GTK_CELL_LAYOUT(widget), renderer, "text", 1, NULL);
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), pos);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
     g_signal_connect(G_OBJECT(widget), "changed", G_CALLBACK(preferences_changed_callback_id9), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id9), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "once a week"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("database snapshots are created right before closing ansel. options allow you to choose how often to make snapshots:\nnever - simply don't do snapshots. that way the only snapshots done are mandatory version-upgrade snapshots\nonce a month - create snapshot if a month has passed since last snapshot\nonce a week - create snapshot if 7 days had passed since last snapshot\nonce a day - create snapshot if over 24h passed since last snapshot\non close - create snapshot every time ansel is closed"), (gchar *)0);
    gtk_widget_set_name(widget, "database/create_snapshot");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id9), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("database/keep_snapshots");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("how many snapshots to keep"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    gint min = G_MININT;
    gint max = G_MAXINT;
    min = 0;
    float factor = 1.0f;
    double tmp;
    tmp = min * (double)factor; min = tmp;
    tmp = max * (double)factor; max = tmp;
    widget = gtk_spin_button_new_with_range(min, max, 1);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_widget_set_hexpand(widget, FALSE);
    gtk_spin_button_set_digits(GTK_SPIN_BUTTON(widget), 0);
    gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget), dt_conf_get_int("database/keep_snapshots") * factor);
    g_signal_connect(G_OBJECT(widget), "value-changed", G_CALLBACK(preferences_changed_callback_id10), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id10), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%d'"), (int)(10 * factor));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("after successfully creating snapshot, how many older snapshots to keep (excluding mandatory version update ones). enter -1 to keep all snapshots\nkeep in mind that snapshots do take some space and you only need the most recent one for successful restore"), (gchar *)0);
    gtk_widget_set_name(widget, "database/keep_snapshots");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id10), (gpointer)widget);

  }

   {
      GtkWidget *seclabel = gtk_label_new(_("xmp"));
      GtkWidget *lbox = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
      gtk_box_pack_start(GTK_BOX(lbox), seclabel, FALSE, FALSE, 0);
      gtk_widget_set_name(lbox, "pref_section");
      gtk_grid_attach(GTK_GRID(grid), lbox, 0, line++, 2, 1);
   }

  {
    const gboolean is_default = dt_conf_is_default("write_sidecar_files");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("write sidecar file for each image"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    GtkTreeIter iter;
    GtkListStore *store = gtk_list_store_new(2, G_TYPE_STRING, G_TYPE_STRING);
    gchar *str = dt_conf_get_string("write_sidecar_files");
    gint pos = -1;

        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "never", 1, C_("preferences", "never"), -1);
        if(pos == -1 && strcmp(str, "never") == 0)
          pos = 0;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "after edit", 1, C_("preferences", "after edit"), -1);
        if(pos == -1 && strcmp(str, "after edit") == 0)
          pos = 1;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "on import", 1, C_("preferences", "on import"), -1);
        if(pos == -1 && strcmp(str, "on import") == 0)
          pos = 2;
      

    g_free(str);

    widget = gtk_combo_box_new_with_model(GTK_TREE_MODEL(store));
    gtk_widget_set_hexpand(widget, FALSE);
    g_object_unref(store);
    GtkCellRenderer *renderer = gtk_cell_renderer_text_new();
    gtk_cell_renderer_set_padding(renderer, 0, 0);
    gtk_cell_layout_pack_start(GTK_CELL_LAYOUT(widget), renderer, TRUE);
    gtk_cell_layout_set_attributes(GTK_CELL_LAYOUT(widget), renderer, "text", 1, NULL);
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), pos);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
     g_signal_connect(G_OBJECT(widget), "changed", G_CALLBACK(preferences_changed_callback_id19), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id19), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "on import"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("the sidecar files hold information about all your development steps to allow flawless re-importing of image files.\n\ndepending on the selected mode sidecar files will be written:\n - never\n - on import: immediately after importing the image\n - after edit: after any user change on the image"), (gchar *)0);
    gtk_widget_set_name(widget, "write_sidecar_files");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id19), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("compress_xmp_tags");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("store xmp tags in compressed format"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    GtkTreeIter iter;
    GtkListStore *store = gtk_list_store_new(2, G_TYPE_STRING, G_TYPE_STRING);
    gchar *str = dt_conf_get_string("compress_xmp_tags");
    gint pos = -1;

        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "never", 1, C_("preferences", "never"), -1);
        if(pos == -1 && strcmp(str, "never") == 0)
          pos = 0;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "always", 1, C_("preferences", "always"), -1);
        if(pos == -1 && strcmp(str, "always") == 0)
          pos = 1;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "only large entries", 1, C_("preferences", "only large entries"), -1);
        if(pos == -1 && strcmp(str, "only large entries") == 0)
          pos = 2;
      

    g_free(str);

    widget = gtk_combo_box_new_with_model(GTK_TREE_MODEL(store));
    gtk_widget_set_hexpand(widget, FALSE);
    g_object_unref(store);
    GtkCellRenderer *renderer = gtk_cell_renderer_text_new();
    gtk_cell_renderer_set_padding(renderer, 0, 0);
    gtk_cell_layout_pack_start(GTK_CELL_LAYOUT(widget), renderer, TRUE);
    gtk_cell_layout_set_attributes(GTK_CELL_LAYOUT(widget), renderer, "text", 1, NULL);
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), pos);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
     g_signal_connect(G_OBJECT(widget), "changed", G_CALLBACK(preferences_changed_callback_id20), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id20), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "only large entries"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("entries in xmp tags can get rather large and may exceed the available space to store the history stack in output files. this option allows xmp tags to be compressed and save space."), (gchar *)0);
    gtk_widget_set_name(widget, "compress_xmp_tags");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id20), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("run_crawler_on_start");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("look for updated xmp files on startup"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("run_crawler_on_start"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id62), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id62), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "FALSE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("check file modification times of all xmp files on startup to check if any got updated in the meantime"), (gchar *)0);
    gtk_widget_set_name(widget, "run_crawler_on_start");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id62), (gpointer)widget);

  }

  gtk_widget_show_all(stack);
}

static void
init_tab_misc (GtkWidget *dialog, GtkWidget *stack)
{
  GtkWidget *widget, *label, *labelev, *viewport, *box;
  GtkWidget *grid = gtk_grid_new();
  gtk_grid_set_row_spacing(GTK_GRID(grid), DT_PIXEL_APPLY_DPI(3));
  gtk_grid_set_column_spacing(GTK_GRID(grid), DT_PIXEL_APPLY_DPI(5));
  gtk_widget_set_valign(grid, GTK_ALIGN_START);
  int line = 0;
  char tooltip[1024];
  GtkWidget *scroll = gtk_scrolled_window_new(NULL, NULL);
  gtk_scrolled_window_set_policy(GTK_SCROLLED_WINDOW(scroll), GTK_POLICY_AUTOMATIC, GTK_POLICY_AUTOMATIC);
  viewport = gtk_viewport_new(NULL, NULL);
  gtk_viewport_set_shadow_type(GTK_VIEWPORT(viewport), GTK_SHADOW_NONE); // doesn't seem to work from gtkrc
  gtk_container_add(GTK_CONTAINER(scroll), viewport);
  gtk_container_add(GTK_CONTAINER(viewport), grid);
  gtk_stack_add_titled(GTK_STACK(stack), scroll, _("miscellaneous"), _("miscellaneous"));

   {
      GtkWidget *seclabel = gtk_label_new(_("interface"));
      GtkWidget *lbox = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
      gtk_box_pack_start(GTK_BOX(lbox), seclabel, FALSE, FALSE, 0);
      gtk_widget_set_name(lbox, "pref_section");
      gtk_grid_attach(GTK_GRID(grid), lbox, 0, line++, 2, 1);
   }

  {
    const gboolean is_default = dt_conf_is_default("scroll/reverse_y");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("Invert the direction of the mouse vertical scroll"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("scroll/reverse_y"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id4), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id4), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "FALSE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("Check this if your OS/desktop environment is configured to scroll the view instead of the content, so scrolling over sliders yields the right value. This does not affect horizontal scrolling."), (gchar *)0);
    gtk_widget_set_name(widget, "scroll/reverse_y");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id4), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("scroll/reverse_x");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("Invert the direction of the mouse horizontal scroll"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("scroll/reverse_x"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id5), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id5), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "FALSE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("Check this if your OS/desktop environment is configured to scroll the view instead of the content, so scrolling over sliders yields the right value. This does not affect vertical scrolling."), (gchar *)0);
    gtk_widget_set_name(widget, "scroll/reverse_x");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id5), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("modules/default_presets_first");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("sort built-in presets first"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("modules/default_presets_first"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id45), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id45), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "TRUE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("whether to show built-in presets first before user's presets in presets menu."), (gchar *)0);
    gtk_widget_set_name(widget, "modules/default_presets_first");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id45), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("ui_last/display_profile_source");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("method to use for getting the display profile"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    GtkTreeIter iter;
    GtkListStore *store = gtk_list_store_new(2, G_TYPE_STRING, G_TYPE_STRING);
    gchar *str = dt_conf_get_string("ui_last/display_profile_source");
    gint pos = -1;

        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "all", 1, C_("preferences", "all"), -1);
        if(pos == -1 && strcmp(str, "all") == 0)
          pos = 0;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "xatom", 1, C_("preferences", "xatom"), -1);
        if(pos == -1 && strcmp(str, "xatom") == 0)
          pos = 1;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "colord", 1, C_("preferences", "colord"), -1);
        if(pos == -1 && strcmp(str, "colord") == 0)
          pos = 2;
      

    g_free(str);

    widget = gtk_combo_box_new_with_model(GTK_TREE_MODEL(store));
    gtk_widget_set_hexpand(widget, FALSE);
    g_object_unref(store);
    GtkCellRenderer *renderer = gtk_cell_renderer_text_new();
    gtk_cell_renderer_set_padding(renderer, 0, 0);
    gtk_cell_layout_pack_start(GTK_CELL_LAYOUT(widget), renderer, TRUE);
    gtk_cell_layout_set_attributes(GTK_CELL_LAYOUT(widget), renderer, "text", 1, NULL);
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), pos);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
     g_signal_connect(G_OBJECT(widget), "changed", G_CALLBACK(preferences_changed_callback_id61), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id61), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "all"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("this option allows to force a specific means of getting the current display profile. this is useful when one alternative gives wrong results"), (gchar *)0);
    gtk_widget_set_name(widget, "ui_last/display_profile_source");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id61), (gpointer)widget);

  }

   {
      GtkWidget *seclabel = gtk_label_new(_("tags"));
      GtkWidget *lbox = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
      gtk_box_pack_start(GTK_BOX(lbox), seclabel, FALSE, FALSE, 0);
      gtk_widget_set_name(lbox, "pref_section");
      gtk_grid_attach(GTK_GRID(grid), lbox, 0, line++, 2, 1);
   }

  {
    const gboolean is_default = dt_conf_is_default("omit_tag_hierarchy");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("omit hierarchy in simple tag lists"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("omit_tag_hierarchy"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id21), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id21), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "FALSE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("when creating XMP file the hierarchical tags are also added as a simple list of non-hierarchical ones to make them visible to some other programs. when this option is checked ansel will only include their last part and ignore the rest. so 'foo|bar|baz' will only add 'baz'."), (gchar *)0);
    gtk_widget_set_name(widget, "omit_tag_hierarchy");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id21), (gpointer)widget);

  }

   {
      GtkWidget *seclabel = gtk_label_new(_("shortcuts with multiple instances"));
      GtkWidget *lbox = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
      gtk_box_pack_start(GTK_BOX(lbox), seclabel, FALSE, FALSE, 0);
      gtk_widget_set_name(lbox, "pref_section");
      gtk_grid_attach(GTK_GRID(grid), lbox, 0, line++, 2, 1);
      g_object_set(lbox,  "tooltip-text", _("where multiple module instances are present, these preferences control rules that are applied (in order) to decide which module instance shortcuts will be applied to"), (gchar *)0);
   }

   {
      GtkWidget *seclabel = gtk_label_new(_("map / geolocalization view"));
      GtkWidget *lbox = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
      gtk_box_pack_start(GTK_BOX(lbox), seclabel, FALSE, FALSE, 0);
      gtk_widget_set_name(lbox, "pref_section");
      gtk_grid_attach(GTK_GRID(grid), lbox, 0, line++, 2, 1);
   }
  
  {
    const gboolean is_default = dt_conf_is_default("plugins/lighttable/metadata_view/pretty_location");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("pretty print the image location"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("plugins/lighttable/metadata_view/pretty_location"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id54), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id54), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "TRUE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("show a more readable representation of the location in the image information module"), (gchar *)0);
    gtk_widget_set_name(widget, "plugins/lighttable/metadata_view/pretty_location");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id54), (gpointer)widget);

  }

   {
      GtkWidget *seclabel = gtk_label_new(_("slideshow view"));
      GtkWidget *lbox = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
      gtk_box_pack_start(GTK_BOX(lbox), seclabel, FALSE, FALSE, 0);
      gtk_widget_set_name(lbox, "pref_section");
      gtk_grid_attach(GTK_GRID(grid), lbox, 0, line++, 2, 1);
   }

  {
    const gboolean is_default = dt_conf_is_default("slideshow_delay");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("waiting time between each picture in slideshow"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    gint min = G_MININT;
    gint max = G_MAXINT;
    min = 0;
    float factor = 1.0f;
    double tmp;
    tmp = min * (double)factor; min = tmp;
    tmp = max * (double)factor; max = tmp;
    widget = gtk_spin_button_new_with_range(min, max, 1);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_widget_set_hexpand(widget, FALSE);
    gtk_spin_button_set_digits(GTK_SPIN_BUTTON(widget), 0);
    gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget), dt_conf_get_int("slideshow_delay") * factor);
    g_signal_connect(G_OBJECT(widget), "value-changed", G_CALLBACK(preferences_changed_callback_id11), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id11), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%d'"), (int)(5 * factor));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    gtk_widget_set_name(widget, "slideshow_delay");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id11), (gpointer)widget);

  }

  gtk_widget_show_all(stack);
}

GtkWidget *dt_prefs_init_dialog_collect(GtkWidget *dialog)
{
  GtkWidget *widget, *label, *labelev, *viewport, *box;
  GtkWidget *grid = gtk_grid_new();
  gtk_grid_set_row_spacing(GTK_GRID(grid), DT_PIXEL_APPLY_DPI(3));
  gtk_grid_set_column_spacing(GTK_GRID(grid), DT_PIXEL_APPLY_DPI(5));
  gtk_widget_set_valign(grid, GTK_ALIGN_START);
  int line = 0;
  char tooltip[1024];
  GtkWidget *area = gtk_dialog_get_content_area(GTK_DIALOG(dialog));
  g_object_set_data(G_OBJECT(dialog), "local-dialog", GUINT_TO_POINTER(1));

  {
    const gboolean is_default = dt_conf_is_default("plugins/lighttable/tagging/no_uncategorized");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("do not set the 'uncategorized' entry for tags"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("plugins/lighttable/tagging/no_uncategorized"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id22), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id22), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "FALSE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("do not set the 'uncategorized' entry for tags which do not have children"), (gchar *)0);
    gtk_widget_set_name(widget, "plugins/lighttable/tagging/no_uncategorized");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id22), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("show_folder_levels");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("number of folder levels to show in lists"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    gint min = G_MININT;
    gint max = G_MAXINT;
    min = 1;
    max = 5;
    float factor = 1.0f;
    double tmp;
    tmp = min * (double)factor; min = tmp;
    tmp = max * (double)factor; max = tmp;
    widget = gtk_spin_button_new_with_range(min, max, 1);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_widget_set_hexpand(widget, FALSE);
    gtk_spin_button_set_digits(GTK_SPIN_BUTTON(widget), 0);
    gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget), dt_conf_get_int("show_folder_levels") * factor);
    g_signal_connect(G_OBJECT(widget), "value-changed", G_CALLBACK(preferences_changed_callback_id37), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id37), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%d'"), (int)(1 * factor));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("the number of folder levels to show in film roll names, starting from the right"), (gchar *)0);
    gtk_widget_set_name(widget, "show_folder_levels");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id37), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("plugins/collect/filmroll_sort");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("sort film rolls by"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    GtkTreeIter iter;
    GtkListStore *store = gtk_list_store_new(2, G_TYPE_STRING, G_TYPE_STRING);
    gchar *str = dt_conf_get_string("plugins/collect/filmroll_sort");
    gint pos = -1;

        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "id", 1, C_("preferences", "id"), -1);
        if(pos == -1 && strcmp(str, "id") == 0)
          pos = 0;
      
        gtk_list_store_append(store, &iter);
        gtk_list_store_set(store, &iter, 0, "folder", 1, C_("preferences", "folder"), -1);
        if(pos == -1 && strcmp(str, "folder") == 0)
          pos = 1;
      

    g_free(str);

    widget = gtk_combo_box_new_with_model(GTK_TREE_MODEL(store));
    gtk_widget_set_hexpand(widget, FALSE);
    g_object_unref(store);
    GtkCellRenderer *renderer = gtk_cell_renderer_text_new();
    gtk_cell_renderer_set_padding(renderer, 0, 0);
    gtk_cell_layout_pack_start(GTK_CELL_LAYOUT(widget), renderer, TRUE);
    gtk_cell_layout_set_attributes(GTK_CELL_LAYOUT(widget), renderer, "text", 1, NULL);
    gtk_combo_box_set_active(GTK_COMBO_BOX(widget), pos);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
     g_signal_connect(G_OBJECT(widget), "changed", G_CALLBACK(preferences_changed_callback_id38), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id38), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "id"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("sets the collections-list order for film rolls"), (gchar *)0);
    gtk_widget_set_name(widget, "plugins/collect/filmroll_sort");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id38), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("plugins/collect/descending");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("sort collection descending"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    widget = gtk_check_button_new();
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), dt_conf_get_bool("plugins/collect/descending"));
    g_signal_connect(G_OBJECT(widget), "toggled", G_CALLBACK(preferences_changed_callback_id39), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id39), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%s'"), C_("preferences", "TRUE"));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("sort the following collections in descending order: 'film roll' by folder, 'folder', 'times' (e.g. 'date taken')"), (gchar *)0);
    gtk_widget_set_name(widget, "plugins/collect/descending");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id39), (gpointer)widget);

  }

  gtk_box_pack_start(GTK_BOX(area), grid, FALSE, FALSE, 0);
  return grid;
  }

GtkWidget *dt_prefs_init_dialog_recentcollect(GtkWidget *dialog)
{
  GtkWidget *widget, *label, *labelev, *viewport, *box;
  GtkWidget *grid = gtk_grid_new();
  gtk_grid_set_row_spacing(GTK_GRID(grid), DT_PIXEL_APPLY_DPI(3));
  gtk_grid_set_column_spacing(GTK_GRID(grid), DT_PIXEL_APPLY_DPI(5));
  gtk_widget_set_valign(grid, GTK_ALIGN_START);
  int line = 0;
  char tooltip[1024];
  GtkWidget *area = gtk_dialog_get_content_area(GTK_DIALOG(dialog));
  g_object_set_data(G_OBJECT(dialog), "local-dialog", GUINT_TO_POINTER(1));

  {
    const gboolean is_default = dt_conf_is_default("plugins/lighttable/recentcollect/max_items");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("number of collections to be stored"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    gint min = G_MININT;
    gint max = G_MAXINT;
    min = 1;
    max = 50;
    float factor = 1.0f;
    double tmp;
    tmp = min * (double)factor; min = tmp;
    tmp = max * (double)factor; max = tmp;
    widget = gtk_spin_button_new_with_range(min, max, 1);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_widget_set_hexpand(widget, FALSE);
    gtk_spin_button_set_digits(GTK_SPIN_BUTTON(widget), 0);
    gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget), dt_conf_get_int("plugins/lighttable/recentcollect/max_items") * factor);
    g_signal_connect(G_OBJECT(widget), "value-changed", G_CALLBACK(preferences_changed_callback_id36), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id36), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%d'"), (int)(10 * factor));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("the number of recent collections to store and show in this list"), (gchar *)0);
    gtk_widget_set_name(widget, "plugins/lighttable/recentcollect/max_items");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id36), (gpointer)widget);

  }

  gtk_box_pack_start(GTK_BOX(area), grid, FALSE, FALSE, 0);
  return grid;
  }

GtkWidget *dt_prefs_init_dialog_import(GtkWidget *dialog)
{
  GtkWidget *widget, *label, *labelev, *viewport, *box;
  GtkWidget *grid = gtk_grid_new();
  gtk_grid_set_row_spacing(GTK_GRID(grid), DT_PIXEL_APPLY_DPI(3));
  gtk_grid_set_column_spacing(GTK_GRID(grid), DT_PIXEL_APPLY_DPI(5));
  gtk_widget_set_valign(grid, GTK_ALIGN_START);
  int line = 0;
  char tooltip[1024];
  GtkWidget *area = gtk_dialog_get_content_area(GTK_DIALOG(dialog));
  g_object_set_data(G_OBJECT(dialog), "local-dialog", GUINT_TO_POINTER(1));

  gtk_box_pack_start(GTK_BOX(area), grid, FALSE, FALSE, 0);
  return grid;
  }

GtkWidget *dt_prefs_init_dialog_tagging(GtkWidget *dialog)
{
  GtkWidget *widget, *label, *labelev, *viewport, *box;
  GtkWidget *grid = gtk_grid_new();
  gtk_grid_set_row_spacing(GTK_GRID(grid), DT_PIXEL_APPLY_DPI(3));
  gtk_grid_set_column_spacing(GTK_GRID(grid), DT_PIXEL_APPLY_DPI(5));
  gtk_widget_set_valign(grid, GTK_ALIGN_START);
  int line = 0;
  char tooltip[1024];
  GtkWidget *area = gtk_dialog_get_content_area(GTK_DIALOG(dialog));
  g_object_set_data(G_OBJECT(dialog), "local-dialog", GUINT_TO_POINTER(1));

  {
    const gboolean is_default = dt_conf_is_default("plugins/lighttable/tagging/confidence");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("suggested tags level of confidence"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    gint min = G_MININT;
    gint max = G_MAXINT;
    min = 0;
    max = 100;
    float factor = 1.0f;
    double tmp;
    tmp = min * (double)factor; min = tmp;
    tmp = max * (double)factor; max = tmp;
    widget = gtk_spin_button_new_with_range(min, max, 1);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_widget_set_hexpand(widget, FALSE);
    gtk_spin_button_set_digits(GTK_SPIN_BUTTON(widget), 0);
    gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget), dt_conf_get_int("plugins/lighttable/tagging/confidence") * factor);
    g_signal_connect(G_OBJECT(widget), "value-changed", G_CALLBACK(preferences_changed_callback_id49), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id49), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%d'"), (int)(50 * factor));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    /* xgettext:no-c-format */
    g_object_set(widget, "tooltip-text", _("level of confidence to include the tag in the suggestions list, 0: all associated tags, 99: 99% matching associated tags, 100: no matching tag to show only recent tags (faster)"), (gchar *)0);
    gtk_widget_set_name(widget, "plugins/lighttable/tagging/confidence");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id49), (gpointer)widget);

  }

  {
    const gboolean is_default = dt_conf_is_default("plugins/lighttable/tagging/nb_recent_tags");
    GtkWidget *labdef;
    if(is_default)
    {
       labdef = gtk_label_new("");
    }
    else
    {
       labdef = gtk_label_new(NON_DEF_CHAR);
       g_object_set(labdef, "tooltip-text", _("this setting has been modified"), (gchar *)0);
    }
    gtk_widget_set_name(labdef, "preference_non_default");
    label = gtk_label_new(_("number of recently attached tags"));
    gtk_widget_set_halign(label, GTK_ALIGN_START);
    labelev = gtk_event_box_new();
    gtk_widget_add_events(labelev, GDK_BUTTON_PRESS_MASK);
    gtk_container_add(GTK_CONTAINER(labelev), label);
    gint min = G_MININT;
    gint max = G_MAXINT;
    min = -1;
    max = 1000;
    float factor = 1.0f;
    double tmp;
    tmp = min * (double)factor; min = tmp;
    tmp = max * (double)factor; max = tmp;
    widget = gtk_spin_button_new_with_range(min, max, 1);
    box = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 0);
    gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
    gtk_widget_set_hexpand(widget, FALSE);
    gtk_spin_button_set_digits(GTK_SPIN_BUTTON(widget), 0);
    gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget), dt_conf_get_int("plugins/lighttable/tagging/nb_recent_tags") * factor);
    g_signal_connect(G_OBJECT(widget), "value-changed", G_CALLBACK(preferences_changed_callback_id50), labdef);
    g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(preferences_response_callback_id50), widget);
    snprintf(tooltip, 1024, _("double click to reset to `%d'"), (int)(20 * factor));
    g_object_set(labelev,  "tooltip-text", tooltip, (gchar *)0);
    gtk_event_box_set_visible_window(GTK_EVENT_BOX(labelev), FALSE);
    g_object_set(widget, "tooltip-text", _("number of recently attached tags which are included in the suggestions list. the value `-1' disables the recent list"), (gchar *)0);
    gtk_widget_set_name(widget, "plugins/lighttable/tagging/nb_recent_tags");
    gtk_grid_attach(GTK_GRID(grid), labelev, 0, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), labdef, 1, line, 1, 1);
    gtk_grid_attach(GTK_GRID(grid), box, 2, line++, 1, 1);
    g_signal_connect(G_OBJECT(labelev), "button-press-event", G_CALLBACK(reset_widget_id50), (gpointer)widget);

  }

  gtk_box_pack_start(GTK_BOX(area), grid, FALSE, FALSE, 0);
  return grid;
  }

#endif
